2015-05-10  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml, tkabber.tcl: Bumped the
	  Tkabber version to 1.1.2.

	* plugins/general/autoaway.tcl: Fixed restoring user status and text
	  status in case when Tkabber dies in autoaway state
	  (closes: [73ec6fa7ee]).

	* search.tcl: Fixed selecting JID for a context menu in case if it's
	  reported not as the first field.

2015-03-27  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Added xdg-open and sensible browser to the browsers
	  list. Don't try complicated options, just run 'browser url'.

	* default.tcl: Remove DDE calls to open browsers on Windows. Use
	  only the command shell with the start command.

	* richtext.tcl: Allow command prefixes as entity parsers.

2015-03-26  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Added a note that 1.1.1
	  is the last version that works with Tcl/Tk 8.4.

2015-03-25  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml, tkabber.tcl: Changed
	  version to 1.1.1, added a few lines on notable changes in version
	  1.1.1.

	* README, doc/tkabber.html, doc/tkabber.xml: Moved description for
	  rewrite_outgoing_message_hook to the appropriate message hooks
	  section. Fixed a few typos.

	* msgs/ru.msg: Updated Russian translations.

	* README, doc/tkabber.html, doc/tkabber.xml, ifacetk/iface.tcl,
	  splash.tcl: Extended copyright interval.

	* Makefile: Prettified rules for generating docs.

	* doc/tkabber.html, doc/tkabber.xml, README: Added a short section
	  on upgrade from version 1.0, put all section on upgrading to
	  subsections of a new top level section 'Upgrading'.

	* tkabber.tcl: Guess the VCS for Tkabber version string based on
	  file or subdirectory in the Tkabber directory.

2015-03-24  Sergei Golovan  <sgolovan@nes.ru>

	* Makefile: Add 'up' target which updates Tkabber and nested TclXMPP
	  from their Fossil repositories.

	* doc/tkabber.html, doc/tkabber.xml, README: Replace the links to
	  the old Tkabber third party repository (SVN) by the new ones
	  (Fossil).

2015-03-22  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Replaced the links to
	  the old Tkabber, Tkabber plugins and TclXMPP repositories (SVN) by
	  the new ones (Fossil).

	* tkabber.tcl: replaced svn by fossil in the development version
	  string.

2015-03-17  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Replaced the old TclGPG
	  link (https://code.google.com/p/tclgpg/) by the new one
	  (https://chiselapp.com/user/sgolovan/repository/tclgpg/).

	* Makefile: Adapted the doc target to the newer xml2rfc command line
	  syntax.

2015-02-11  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Made use of the $::webbrowser config variable more
	  robust (for example, allowed spaces inside the browser path).

2015-02-08  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Destroy all open data windows on disconnect
	  because the forms they access expire.

	* default.tcl: Fixed browsing URLs with $ and [ in them.

2014-12-27  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Added title to the configure room dialog window for the
	  case if the MUC server haven't supplied one.

	* msgs/ru.msg: Updated Russian translations.

2014-12-20  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl, plugins/general/captcha.tcl: Added title to the
	  jabber:x:data form windows. Use it for the CAPTCHA dialogs.

	* msgs/ru.msg: Updated Russian translations.

2014-12-09  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Fixed bug when unencrypted message is sent despite of
	  canceling in in the message dialog. The bug was introduced when
	  GPG support was rewritten as a plugin to be compatible with OTR.

2014-12-05  Sergei Golovan  <sgolovan@nes.ru>

	* register.tcl: Fixed processing the result of password change form
	  submit.

2014-10-29  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/muc.tcl: Added chatroom menu item which opend edit room
	  info dialog.

	* msgs/ru.msg: Updated Russian translation.

	* userinfo.tcl: Fixed setting vcard for a given JID which is not the
	  same as yhe user's own JID.

2014-10-20  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber-remote.tcl: Fixed usage for -eval command.

	* plugins/general/comm.tcl: Removed extra eval from the command call.

2014-05-08  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/completion.tcl: Use Shift-Tab to search through the
	  completion choices backward. Also, did a bit of code cleanup.

2014-05-02  Sergei Golovan  <sgolovan@nes.ru>

	* presence.tcl: Fixed caching maximum JID priority for a roster
	  contact.

2014-04-27  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Fixed typo in a comment.

2014-04-04  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Fixed typo in the Snack
	  version requirement.

2014-03-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/muc_ignore.tcl: Added /ignore and /unignore groupchat
	  window commands (thanks to Alexey Ignatov).

2014-02-27  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/roster.tcl: Return unavailable icon instead of unsubscribed
	  if the contact is not in the roster (these icons are shown only in
	  chat windows, where unavailable icon is more appropriate).

2014-02-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/conferences.tcl: Fixed processing autojoin attribute
	  (thanks to Vitaly Takmazov).

2014-02-14  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Added changes for the
	  upcoming 1.1 release.

	* *: 1.1 is released.

	* tkabber.tcl: Changed version prefix to 1.1.

2014-02-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/subscribe_gateway.tcl: Fixed managing subscription
	  request body.

2014-02-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sigh.tcl, plugins/chat/shuffle.tcl: Disabled
	  prank plugins.

	* roster.tcl: Optionally cache roster offline and use roster
	  versioning as in XEP-0237 and later in RFC-6121 (thanks to Jan
	  Zachorowski).

2014-01-30  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Store 'me' attribute in log files and
	  use it to show the user's own messages.

2014-01-27  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl, presence.tcl: Fixed checking message signature in case
	  when another plugin (like OTR) rewrites message body. Optionally
	  add the user's JID and timestamp to outgoing messages to prevent
	  replay attacks. Unfortunately, these JIDs and timestamps aren't
	  shown in user's own chat log.

2014-01-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl, plugins/general/message_archive.tcl:
	  Removed fake tkabber:x:dontlog namespace processing. Implemented
	  omitting the logs using flags in an appropriate hook.

	* messages.tcl: Introduced send_normal_message_hook which executes
	  when message is to be sent from a send message dialog. Moved
	  logging of incoming messages to process_message_hook, and logging
	  of outgoing messages to send_normal_message_hook. Use log flag
	  in this hooks to disable logging. Use send flag in
	  rewrite_outgoing_message_hook to disable actual sending.

	* hooks.tcl: Initialize flags variable when hook is created.

	* gpgme.tcl, utils.tcl, disco.tcl, search.tcl, privacy.tcl,
	  ifacetk/iface.tcl, ifacetk/roster.tcl, ifacetk/idefault.tcl,
	  plugins/chat/popupmenu.tcl, plugins/unix/tktray.tcl,
	  plugins/unix/systray.tcl, plugins/unix/dockingtray.tcl,
	  plugins/unix/wmdock.tcl, plugins/general/headlines.tcl,
	  plugins/general/offline.tcl, plugins/general/message_archive.tcl,
	  plugins/roster/metacontacts.tcl:
	  Replaced direct bindings to mouse buttons 2 and 3 by virtual
	  events <<PasteSelection>> and <<ContextMenu>>, because in MacOSX
	  and in Unix buttons 2 and 3 correspond to different mous buttons
	  (thanks to Vitaly Takmazov).

	* ifacetk/systray.tcl: Added option not to change the systray icon
	  when a groupchat message which is not highlighted is received.

	* hooks.tcl: Ensure that hook flags variable exists.

2014-01-22  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl, chats.tcl: Adjusted priority of rewrite_message_hook
	  items.

2014-01-20  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Don't send the message if its destination JID is
	  rewritten into an emty string in rewrite_outgoing_message_hook.

2014-01-19  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/open_window.tcl: Open a chat (and not a groupchat)
	  window if an info message is displayed first.

2014-01-16  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed encoding the primary X selection in chat
	  input windows if it is empty.

2014-01-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl, plugins/general/message_archive.tcl:
	  added another way of signalling if a message should not be logged.

	* presence.tcl: Store presence xml:lang attribute.

	* messages.tcl, gpgme.tcl: Introduced new rewrite_outgoing_message_hook
	  and moved GPG encryption and signing to this hook.

2014-01-07  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, ifacetk/roster.tcl, muc.tcl, plugins/general/remote.tcl,
	  roster.tcl: Added a few checks if roster::find_jid returns empty
	  string.

2014-01-01  Sergei Golovan  <sgolovan@nes.ru>

	* *: 1.0 is released.

	* tkabber.tcl: Bumped version prefix to 1.0.

	* proxy.tcl: Don't crash if there's no plugins/general/comm.tcl
	  available.

2013-12-31  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Define the autologin variable in Customize interface.

	* login.tcl, plugins/iq/ping.tcl: Added option to use ping only for
	  TCP based connections. Switch default behavior to ping TCP based
	  connections only.

	* msgs/ru.msg: Updated Russian translation.

	* chats.tcl: Changed default value for smart scroll to enabled.

	* muc.tcl: Request only unseen history by default.

	* disco.tcl, ifacetk/bwidget_workarounds.tcl,
	  plugins/general/headlines.tcl, plugins/general/offline.tcl: Use the
	  chat font linespace for the vertical space between tree branches.
	  It isn't perfect, but works in most cases.

	* Makefile: Changed mkdir and cp by install where appropriate.

2013-12-30  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Added section which
	  explains how to modify proxy configuration when upgrading from the
	  older Tkabber versions.

	* tkabber-remote.tcl: Take config directory from the TKABBER_HOME
	  environment variable if it is set. This partly mitigates the problem
	  that tkabber-remote.tcl cant find comm.PID files on non-unix
	  platforms.

	* proxy.tcl: Added mousewheel scroll for proxy list in the manage proxy
	  servers dialog window.

	* ifacetk/systray.tcl: Added new restore_main_window_hook hook which
	  runs right after the main window is restored from tray.

2013-12-29  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Added missing global definition.

2013-12-27  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Added a short description
	  for proxy profiles management. Fixed a few typos and added some
	  clarifications.

2013-12-26  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Added a few hooks
	  description.

2013-12-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Recognize Windows 8.1 (as Windows NT 6.3).

	* README, doc/tkabber.html, doc/tkabber.xml: Added small notes on 3rd
	  party plugins repository and about BOSH connection method.

	* proxy.tcl: Added GUI for choosing proxy profiles defined in the
	  config file. Implemented remote proxy profile changing via the
	  tkabber-remote script.

	* tkabber-remote.tcl: Added a small example with list-commands to the
	  usage message. Report PIDs of responded Tkabber processes.

	* msgs/ru.msg: Updated Russian translation.

	* login.tcl: Enable autoreconnect only after successful login,
	  otherwise unwanted reconencts happen when server closes stream just
	  after unsuccessful authentication.

2013-12-24  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml, ifacetk/iface.tcl,
	  splash.tcl: Updated copyright years.

	* README, doc/tkabber.html, doc/tkabber.xml: Added the changes list,
	  removed traces of Tcl/Tk 8.3, added note on installing Snack.

2013-12-23  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Updated Russian translation.

2013-12-22  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Reduced boshhold default option to 1 because 2 is proved
	  not to work with ejabberd mod_http_bind. Enabled TLSv1 because it
	  is disabled in the tls Tcl extension by default.

2013-12-03  Sergei Golovan  <sgolovan@nes.ru>

	* proxy.tcl: Enabled TLS1 for secure HTTP connections because there
	  are servers which have disabled SSLv3.

	* ifacetk/login.tcl, login.tcl: Added BOSH XMPP transport support.

2013-09-15  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Replace backslash by %5c in URLs which are passed to
	  a browser.

	* doc/tkabber.xml, doc.tkabber.html, README, splash.tcl,
	  ifacetk/iface.tcl: Added 2013 to the copyright notice.

2013-07-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Use the sound package instead of snack to
	  prevent unnecessary Tk loading in case of using a separate thread
	  for playing sound.

2013-07-06  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/search/search.tcl: Generate <<ListboxSelect>> event on found
	  item highlight. This helps to perform some additional tasks during
	  the search.

2013-07-04  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/muc.tcl: Added a new hook which is called after a MUC
	  affiliation or role list dialog is constructed.

	* plugins/search/muclists.tcl: Implemented search in MUC affiliation
	  and role lists.

	* plugins/search/search.tcl: Fixed search highlighting in multicolumn
	  listboxes.

	* plugins/search/spanel.tcl: Do not propagate Return and Shift-Return
	  events to make search bindings working in dialogs also.

2013-07-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/search/search.tcl: Added code for searching in multicolumn
	  listboxes.

2013-05-20  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Fixed choosing the outgoing connection when sending
	  normal messages using 'Services->Send message' menu item.

2013-02-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/dockingtray.tcl, plugins/unix/tktray.tcl,
	  plugins/unix/wmdock.tcl, README, doc/tkabber.html, doc/tkabber.xml:
	  Renamed WM class for systray icons to TkabberIcon. Also, documented
	  this.

2012-10-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Added version info for Windows 8 (thanks to
	  Vitaly Takmazov).

2012-08-26  Sergei Golovan  <sgolovan@nes.ru>

	* balloon.tcl: Fixed regression for MS Windows platform (switch balloon
	  windows overrideredirect parameter only for Unix platform).

2012-08-21  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Fixed using semicolons in browserurl if the webbrowser
	  variable is defined again.

	* plugins/general/ispell.tcl: Fixed error processing in case if Ispell
	  executable is missing or cannot be invoked. Also removed several
	  Tclx'isms.

2012-08-19  Sergei Golovan  <sgolovan@nes.ru>

	* balloon.tcl: Apply override redirect just before deiconifying the
	  balloon window. This helps geometry propagation for some window
	  managers (e.g. Mutter).

2012-08-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Fixed calling namespaced procedure
	  with args. Removed extra closing bracket.

2012-07-22  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Do not escape semicolon and @ as per RFC 1738.

2012-07-16  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/nickname.tcl: Fixed priority of nick setting in
	  roster_push_hook to make sure the roster item for which nickname
	  is set exists.

2012-06-14  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/uk.msg: Fixed line break in roster item info tooltip.

2012-05-30  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/chatstate.tcl: Added new option to ignore chat state
	  notifications in MUC rooms (enabled by default).

2012-05-20  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Started documenting
	  changes in upcoming Tkabber 1.0.

2012-05-10  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Don't convert & into %26 in URLs.

2012-05-07  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Escaped all dangerous characters in URL supplied to
	  a browser.

	* balloon.tcl: Shift the balloon if it's to be placed under the mouse
	  pointer (thanks to Kirill Korneev).

2012-05-06  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Changed a translateable message
	  "Timeout" to allow one to use different case in translation.

	* msgs/ru.msg: Updated Russian translation.

2012-04-27  Sergei Golovan  <sgolovan@nes.ru>

	* register.tcl: Fixed change password dialog.

	* README, doc/tkabber.html, doc/tkabber.xml, ifacetk/iface.tcl,
	  splash.tcl: Updated copyright years.

2011-12-16  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/systray.tcl, plugins/general/geometry.tcl, utils.tcl: Store
	  zoomed main window state in Linux as well as in Windows if -zoomed
	  attribute is supported.

2011-12-08  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Fixed check for MUC compatibility while changing user's
	  nickname.

2011-11-23  Konstantin Khomoutov  <flatworm@users.sourceforge.net>

	* Improve ability to configure system tray icon blinking
	  (thanks to Gebb).

2011-11-15  Konstantin Khomoutov  <flatworm@users.sourceforge.net>

	* Fix parsing output of lsb_release binary.

2011-10-05  Sergei Golovan  <sgolovan@nes.ru>

	* namespaces.tcl, plugins/general/nickname.tcl: Added support for
	  XEP-0172, user nicknames (thanks to Vitaly Takmazov).

2011-10-04  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/systray.tcl, presence.tcl: Introduced new hook
	  systray_menu_hook for popup menu in system tray (thanks to Kirill
	  Korneev).

2011-09-26  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Normalized group JID before activating its chat window
	  (thanks to Vitaly Takmazov).

	* pixmaps.tcl: Don't catch the error on loading the default pixmaps
	  theme.

2011-03-06  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* msgs/ru.msg: Updated Russian translation.

2011-02-20  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2011-02-13  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/comm.tcl: Remove stale comm.* files on start.

2011-02-06  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Added <Insert> binding to a headlines
	  tree which toggles message unseen state (thanks to Vitaly Takmazov).

	* plugins/roster/rosterx.tcl: Added support for roster exchange in IQ
	  (thanks to Vitaly Takmazov).

	* utils.tcl: Made moving chat window scrollbar after window size
	  changes more reliable.

	* plugins/richtext/urls.tcl: Twicked URL regexp a bit to allow matched
	  parentheses in it.

	* proxy.tcl: Changed proxy format in a config file to allow multiple
	  proxy profiles. Still to be done is adding profiles to GUI.

2010-12-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Added several TLDs to the URL regexp.

2010-11-18  Sergei Golovan  <sgolovan@nes.ru>

	* register.tcl: Added missing commands argument to the Unregister
	  procedure.

2010-11-17  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed drawing data form which contains a
	  list-single field with no values to choose.

	* pubsub.tcl: Added forgotten backslash at the end of line.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-10-29  Konstantin Khomoutov  <flatworm@users.sourceforge.net>

	* plugins/chat/histool.tcl: When scanning log file hierarchy,
	  skip year and month directories with invalid names.
	  This prevents problems when such a name is later attempted
	  to be interpreted according to its meaning.

2010-10-25  Sergei Golovan  <sgolovan@nes.ru>

	* iq.tcl: Added client_iq_hook for all incoming IQ stanzas.
	* plugins/general/bob.tcl: Find and cache BOB elements in incoming IQ
	  stanzas.
	* register.tcl, login.tcl: Preliminarily implemented request for
	  registration form after unsuccessfull login instead of sending the
	  prefilled fixed one.

2010-10-14  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/popupmenu.tcl: Switched "search in Google" shortcut to
	  Ctrl-H to avoid conflict with postpone plugin.

2010-10-11  Konstantin Khomoutov  <flatworm@users.sourceforge.net>

	* plugins/general/remote.tcl: Implement special processing
	  for the unavailable presence set remotely -- disconnect
	  current session rather than blindly setting the status
	  (thanks to Gebb for bug triaging).
	* plugins/general/remote.tcl, trans/*.msg: Fix spelling errors.

2010-10-03  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/uk.msg: Updated Ukrainian translation (thanks to Artem
	  Bondarenko).

	* plugins/chat/info_commands.tcl, msgs/ru.msg: Added /ping command to
	  chat input windows (thanks to Andrey Svetly).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-09-24  Konstantin Khomoutov  <flatworm@users.sourceforge.net>

	* msgs/uk.rc: Updated Ukrainian translation of BWidget resources
	  (thanks to Artem Bondarenko).

2010-09-01  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl, plugins/general/ispell.tcl: Created new hook for text
	  popup menus, moved spelling suggestions to the popup submenu
	  (thanks to Vitaly Takmazov).

2010-05-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/remote.tcl: Do not store service messages (with an
	  empty JID) for forwarding.

	* presence.tcl: Use the own nickname as a resource part of JID where
	  to send custom presence if it is to be sent into a MUC room
	  (closes: http://yo.jabber.ru/bugzilla/show_bug.cgi?id=397).

2010-05-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/emoticons.tcl: Started optimizing emoticons matching
	  code.

	* plugins/richtext/emoticons.tcl: Use a single rexexp call for a
	  message chunk. Returned to the old way of storing emoticons regexp.

2010-04-30  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Fixed DDE command argument (thanks to Jan Zachorowski)
	  and ensured that URL doesn't contain spaces, so it can be used
	  without turning into a list.

2010-04-28 Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* privacy.tcl: Fix creating new privacy list.

2010-04-21  Sergei Golovan  <sgolovan@nes.ru>

	* default.tcl: Changed DDE command which calls browser to open URL.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-03-08  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/muc_commands.tcl: Added /banjid command (thanks to
	  Serge Yudin).

2010-02-23  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/roster.tcl: Fixed commands in popup submenus if they contain
	  the menu path itself.

2010-02-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/bkup_conferences.tcl: Fixed storing roster conference
	  bookmarks backup.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-02-18  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: If chat window is to be opened with type 'error' change
	  the type to 'chat'. An additional investigation is needed to
	  determine if type 'groupchat' has to be considered in this case.

2010-02-17  Sergei Golovan  <sgolovan@nes.ru>

	* pubsub.tcl: Ignore pubsub notifications in error messages (thanks to
	  Vitaly Takmazov).

2010-02-14  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg, trans/pl.msg: Updated Polish translation (thanks to
	  Irek Chmielowiec).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-02-13  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/muc.tcl: Fixed adding MUC menu to a disco node.

	* plugins/roster/backup.tcl: Send imported roster items to the user's
	  XMPP server sequentially to match RFC-3921 requirement where
	  jabber:iq:roster set query must not include more than one item.

2010-02-08  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl, plugins/chat/muc_commands.tcl: Fixed typos.

2010-02-07  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/chat/muc_commands.tcl: Fixed call to a few procedures from
	  ::muc namespace.

	* ifacetk/muc.tcl: Moved group, server and nick lists back to the root
	  namespace.

2010-02-06  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Removed assigning global gr_nick, gr_server and
	  gra_server variables. They don't make sense in multiuser
	  environment.

	* utils.tcl, plugins/chat/histool.tcl, plugins/chat/irc_commands.tcl,
	  plugins/chat/logger.tcl, plugins/roster/conferences.tcl: Rewtitten
	  get_group_nick procedure not to use fallback which was often the
	  removed global variable gr_nick.

	* muc.tcl, ifacetk/muc.tcl: Moved Tk specific MUC code to a separate
	  file.

	* muc.tcl, plugins/chat/muc_commands.tcl: Moved MUC commands to a
	  separate plugin.

	* joingrdialog.tcl: Removed because all its code has been moved to
	  ifacetk/muc.tcl.

	* tkabber.tcl: Don't source joingrdialog.tcl.

	* plugins/general/remote.tcl: Don't use variable from ::chat namespace
	  directly.

	* ifacetk/iface.tcl: Source ifacetk/muc.tcl file. Added a check for
	  window existence before setting its title because of after idle call.

	* ifacetk/ilogin.tcl, ifacetk/iroster.tcl: renamed to ifacetk/login.tcl
	  and ifacetk/roster.tcl.

	* chats.tcl: Reset MUC tokens on disconnect instead of leaving groups.

	* examples/configs/badlop-config.tcl, examples/configs/mtr-config.tcl:
	  Replaced join_group calls by muc::join_group.

2010-02-05  Sergei Golovan  <sgolovan@nes.ru>

	* si.tcl: Moved customization variables definitions from finload_hook
	  to postload_hook.

2010-02-02  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Fixed calling add_message from the upper stack level.

2010-02-01  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Added a few debug instructions.

	* chats.tcl: Fixed reporting presence change for opened chat windows.

	* muc.tcl: Adapted to a small change in xmpp::jid package.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* ifacetk/iface.tcl: Don't change windows title too frequently because
	  it hurts some windows managers.

2010-01-31  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, muc.tcl, plugins/chat/muc_ignore.tcl: Changed arguments
	  of room_nickname_changed_hook to chatid, nick, new_nick to make
	  them consistent with chat_user_enter and chat_user_exit hooks.

	* muc.tcl: Added an option to retry joining a group with different
	  nicknames (adding _ at the end) in case of name conflicts.

	* chats.tcl: Fixed tracking nick change.

2010-01-30  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/conferences.tcl: Added option for ignoring autojoin
	  flag. Retain the order of fetched bookmarks on saving them. Store
	  the last roster group name used for placing bookmarks and suggest it
	  the next time a conference is added to the user's roster.

	* chats.tcl: Added bindings <Control-Alt-Home> and <Control-Alt-End>
	  events which scroll chat window to the top and the bottom.

	* presence.tcl: Moved creating arglist for sending presence to a
	  separate procedure to make it usable for new MUC join.

	* muc.tcl, chats.tcl: Started to rewrite MUC code, moving low-level
	  parts to TclXMPP. Two variables are already removed which leads to
	  potential backaward incompatibility: ::grouproster (use ::muc::roster
	  procedure instead, which returns a list of nicknames instead of JIDs
	  though), and ::muc::users (use ::muc::get_affiliation and
	  ::muc::get_role procedures instead).

	* plugins/chat/completion.tcl: Got rid of ::grouproster variable.

	* plugins/chat/irc_commands.tcl: Added /rejoin command which leaves
	  the current room and joins immediately after that. Rewritten /join
	  command to test if a room is joined already by pinging yourself
	  before actual entering the room.

	* muc.tcl: Fixed reporting nickname change.

	* chats.tcl: Fixed changing chat partners status icons and messages
	  in chat windows.

	* muc.tcl: Don't add status message when leaving room if it's empty.

	* plugins/chat/irc_commands.tcl: Fixed getting the current nickname
	  for rejoining room.

2010-01-28  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Do not add TYPE element to PHOTO vCard item if it
	  wasn't present in fetched vCard.

	* plugins/general/rawxml.tcl: Fixed the beginning of the comments.

2010-01-27  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Switched away from using clock clicks in generating
	  temporary file name.

2010-01-25  Sergei Golovan  <sgolovan@nes.ru>

	* *: Added 2010 to copyright statements.

2010-01-24  Sergei Golovan  <sgolovan@nes.ru>

	* trans/ru.msg: Updated Russian translation of the texts for outgoing
	  error messages.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* joingrdialog.tcl: Fixed calls to JID normalization where chatid was
	  passed to xmpp::jid::normalize instead of JID itself.

	* login.tcl: Do not reconnect on bad-namespace-prefix stream error.
	  Tkabber does use only the required 'stream' prefix, so there's
	  definitely some weird problem on the server.

2010-01-23  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl, roster.tcl: Use xmpp::register package from TclXMPP.

	* namespaces.tcl, register.tcl: Removed NS(register) array value.

	* plugins/general/clientinfo.tcl: Added the plugin option to Customize
	  interface window under Plugins group (closes:
	  http://yo.jabber.ru/bugzilla/show_bug.cgi?id=375).

	* plugins/roster/conferenceinfo.tcl: Moved optins to Plugins group in
	  Customize interface.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* ifacetk/iroster.tcl, plugins/chat/info_commands.tcl,
	  plugins/roster/backup.tcl, plugins/roster/metacontacts.tcl,
	  presence.tcl, register.tcl, userinfo.tcl: Fixed messages (mostly
	  capitalization) which are to be presented to a user.

	* msgs/ru.msg: Updated Russian translation.

2010-01-22 Konstantin Khomoutov <flatworm@users.sourceforge.net>

	* ifacetk/iface.tcl: Fix error occured when deletion of the status
	  message history was attempted from the context menu of the status
	  message combobox widget.

2010-01-21  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Don't try to redraw chatroom roster if it doesn't exist.

2010-01-16  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Moved timestamp and comments generation
	  to separate procedures. Ensure that commented line doesn't contain
	  two dashes -- (thanks to Konstantin Khomoutov).

	* login.tcl: Fixed typo.

	* login.tcl, ifacetk/iface.tcl: Added login log window to which
	  important login/logout messages are stored. Also, a bit rearranged
	  status processing and removed one 8.4-izm ("true" as a boolean
	  value).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2010-01-15  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Added IQ to blocked stanzas for JIDs in invisible list
	  to close another channel of leaking user's presence. The obvious
	  drawback is that it becomes impossible to query contacts bare JID
	  also (which doesn't reveal presence if the contact doesn't have full
	  access to his server).

2010-01-14  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Turned connect and login procedures into asynchronous
	  mode except for DNS resolution.

	* namespaces.tcl: Removed unused (moved to TclXMPP) namespaces.

	* plugins/chat/insert_nick.tcl: Forced focus to chat input window after
	  inserting nickname into it (thanks to Konstantin Khomoutov).

2010-01-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/bookmark_highlighted.tcl, plugins/chat/popupmenu.tcl:
	  Added bindings to XF86_Switch_VT_2 and XF86_Switch_VT_3 keysyms
	  (the same as for Shift-F2 and Shift-F3) which are recognized by Tk
	  in modern X when Shift-F2 and Shift-F3 are pressed.

	* plugins/chat/nick_colors.tcl: Save nick colors just after change
	  (thanks to Serge Yudin).

2010-01-07  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Added two debug messages.

2010-01-06  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Lowered priority of processing
	  headline messages. This allows to use headlines for various
	  notifications which is useful because headlines aren't stored
	  offline.

2010-01-04  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Rewritten to use low level interface to XEP-0016 from
	  xmpp::privacy package.
	* namespaces.tcl: Removed jabber:iq:privacy variable.

2009-12-29  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/pep/user_activity.tcl, plugins/pep/user_mood.tcl: Do not
	  show the correspondent PEP page if user activity or user mood is
	  empty, and check for existence of a human readable mood description.

	* msgs/ru.msg: Fixed strings which were changed when roster export and
	  import were rewritten.

2009-11-17  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Fixed sending jabber:iq:last, jabber:iq:time and
	  jabber:iq:version queries to MUC rooms.

2009-10-31  Sergei Golovan  <sgolovan@nes.ru>

	* Makefile: Install tkabber-remote script to bin directory, changed
	  tkabber script to just execute /usr/share/tkabber/tkabber.tcl.
	  Also, fixed call to echo for dash shell which doesn't recognize -e
	  option.

2009-10-30  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-10-28  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Added two overrideredirect calls (just after creating
	  toplevel window and just before drawing it) to prevent window manager
	  of catching geometry too early.

2009-10-27  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl, plugins/general/rawxml.tcl,
	  plugins/general/tkcon.tcl, plugins/windows/console.tcl: Added a new
	  submenu "Debug tools" where all debug-related commands are placed
	  (consoles, debug log, raw XML, profiling tools). Also, moved Help
	  menu to the right on Unix systems.

2009-10-26  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Fixed processing errors when joining to a MUC room.

2009-10-04  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Added reporting Windows 7.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-09-13  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Always show "Shaow all connections"
	  checkbutton to make seeing all stanzas possible after all connections
	  but one closed (thanks to Jan Zachorowski). Also, increased
	  timestamps resolution to milliseconds for Tcl 8.5 and newer.

2009-09-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Added multiple connections support: allow
	  to choose outgoing connection and to display only messages for an
	  active connection. Removed quick access to prettyprinting XML config
	  variable and changed its default value to true. (thanks to Jan
	  Zachorowski)

	* gpgme.tcl, presence.tcl, privacy.tcl, muc.tcl: Removed obligatory
	  non-empty text status from presence stanzas and allowed GPG to sign
	  empty status messages (thanks to Jan Zachorowski).

2009-08-17  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/general/rawxml.tcl: Changed generation of stream prefix.

2009-08-16  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/es.msg, trans/es.msg: Updated Spanish translaton (thanks to
	  Badlop).

2009-08-11  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/ping.tcl: Corrected ping reply function arguments.

2009-08-08  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Don't switch GPG token property armor back and forth.

2009-08-07  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Fixed typo.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-08-03  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Entirely switched to TclGPG which broke compatibility with
	  TclGPGME.

	* doc/tkabber.html, doc/tkabber.xml, README: Replaced TclGPGME by
	  TclGPG.

	* plugins/iq/ping.tcl: Use xmpp::ping package from TclXMPP.

2009-08-01  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/comm.tcl: Raised priority of cleanup function in
	  quit_hook to make sure the comm file is deleted on exit.

2009-07-31  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl, joingrdialog.tcl, muc.tcl,
	  plugins/chat/nick_colors.tcl, plugins/roster/conferences.tcl,
	  presence.tcl, pubsub.tcl: Moved dialog windows to the center of root
	  window.

	* plugins/general/rawxml.tcl: Added XMLNS prefixes to Raw XML
	  prettyprinter.

2009-07-28  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-07-27  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Changed affiliation and role list control interface. The
	  former one had insufficient performance on long lists (a few thousand
	  elements) because it created three entries and one combobox per
	  list item.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* muc.tcl: Improved localization in affiliation and role lists windows. 

2009-07-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/xcommands.tcl: Made ad-hoc command window
	  non-transitive which is more suitable for long-lived dialogs.
	  Fixed Escape key binding for ad-hoc command windows. Added id to
	  cancel requests.

2009-07-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/time2.tcl: Fixed timezone definition (and made it fail to
	  work with Tcl 8.4 or older on MS Windows systems).

2009-06-21  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Minor fixes in widgets packing (entry fields shouldn't
	  expand).

2009-06-18  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Changed the order of status codes processing in MUC presence
	  packets. This prevents conflicts between code 110 (our own presence)
	  and 303 (changing nicknames).

2009-06-08  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed sending announce messages.

	* plugins/general/headlines.tcl: Fixed message forwarding.

2009-05-16  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed changing text status.

2009-05-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/message_archive.tcl: Fixed message selection which was
	  broken when escaping % in event bindings.

2009-05-11  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/chatstate.tcl: Fixed order of running bind scripts when
	  <Delete> or <BackSpace> events are fired.

	* plugins/chat/me_command.tcl: Treat any message starting with word /me
	  as a /me-command (not only '/me ', but also '/me,', '/me.' etc.).

2009-05-09  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/events.tcl, plugins/chat/chatstate.tcl:: Fixed
	  processing incoming events which were ignored because they are sent
	  as normal messages. Also, don't send events to people not in roster
	  or in a groupchat.

	* plugins/chat/chatstate.tcl: Added sending 'paused' event (thanks to
	  Jan Zachorowski).

	* plugins/general/remote.tcl: Fixed binding of <Destroy> event if the
	  bound script contains % sign.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* balloon.tcl, chats.tcl, custom.tcl, datagathering.tcl, disco.tcl,
	  filetransfer.tcl, ifacetk/buttonbar.tcl, ifacetk/iface.tcl,
	  ifacetk/ilogin.tcl, ifacetk/iroster.tcl, itemedit.tcl, messages.tcl,
	  muc.tcl, plugins/chat/bookmark_highlighted.tcl,
	  plugins/chat/draw_xhtml_message.tcl, plugins/chat/histool.tcl,
	  plugins/chat/logger.tcl, plugins/chat/muc_ignore.tcl,
	  plugins/chat/nick_colors.tcl, plugins/chat/popupmenu.tcl,
	  plugins/chat/postpone.tcl, plugins/chat/unisymbols.tcl,
	  plugins/filetransfer/http.tcl, plugins/filetransfer/si.tcl,
	  plugins/general/headlines.tcl, plugins/general/ispell.tcl,
	  plugins/general/message_archive.tcl, plugins/general/offline.tcl,
	  plugins/general/rawxml.tcl, plugins/general/subscribe_gateway.tcl,
	  plugins/general/xcommands.tcl, plugins/pep/user_tune.tcl,
	  plugins/richtext/emoticons.tcl, plugins/richtext/urls.tcl,
	  plugins/roster/annotations.tcl, plugins/unix/dockingtray.tcl,
	  plugins/unix/systray.tcl, plugins/unix/tktray.tcl, privacy.tcl,
	  pubsub.tcl, register.tcl, richtext.tcl, search.tcl, splash.tcl,
	  userinfo.tcl, utils.tcl: Escaped % in event bindings.

2009-05-07  Sergei Golovan  <sgolovan@nes.ru>

	* joingrdialog.tcl: Added another room JID normalization.

	* muc.tcl: Added processing status codes 110 and 210 in MUC status
	  elements.

2009-05-04  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed binding of <<ListboxSelect>> event if the
	  bound script contains % sign.

2009-05-01  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/iqibb.tcl, plugins/si/ibb.tcl, trans/pl.msg, trans/es.msg,
	  trans/de.msg, trans/ru.msg: Fixed typo in error message.

2009-04-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Fixed logging messages with empty from
	  address (thanks to Konstantin Khomoutov).

	* plugins/chat/muc_ignore.tcl, userinfo.tcl: Fixed doubling of % symbol
	  in event bindings (thanks to Konstantin Khomoutov).

	* muc.tcl: Added MUC submenu to chat windows if it corresponds to a
	  participant of a conference.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-04-23  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Added JID argument to chat::opened procedure to make it
	  possible to return all opened chat windows for a given JID.

	* datagathering.tcl: Fixed typo and added check if a window which had
	  sent query still exists. Fixed packing error message inside form
	  windows.

2009-04-21  Sergei Golovan  <sgolovan@nes.ru>

	* pubsub.tcl: Fixed typo. Also, fixed requesting pubsub subscriptions.

	* pubsub.tcl: Fixed configuration forms processing.

2009-04-10  Sergei Golovan  <sgolovan@nes.ru>

	* pubsub.tcl: Added forgotten state options to disco popup menu items.

2009-04-08  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* presence.tcl, roster.tcl: Changed the order in which Tkabber asks for
	  roster and sends initial presence to register roater XMLNS first and
	  create the correct caps hash.

2009-04-05  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Removed unused curuser variable.

	* pubsub.tcl, pep.tcl: Moved interface part of pubsub and PEP modules
	  to TclXMPP.

	* plugins/pep/user_activity.tcl, plugins/pep/user_location.tcl,
	  plugins/pep/user_mood.tcl, plugins/pep/user_tune.tcl: Adapted to PEP
	  module from TclXMPP.

	* pubsub.tcl: Started to implement user interface to pubsub. So far
	  added two menu items to Disco browser nodes.

	* pubsub.tcl: Added simple user interface for subscription,
	  unsubscription and configuring subscription.

	* pubsub.tcl: Fixed referring to pubsub namespaces.

2009-04-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/comm.tcl, tkabber-remote.tcl: Made errors from a
	  remote Tkabber reported, and not showed in the Tkabber itself.

	* custom.tcl: Added a hack which allows to load external plugins before
	  their customized settings are to be applied.

2009-04-01  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/comm.tcl, tkabber-remote.tcl: Added proof-of-concept
	  plugin and client for remote controlling Tkabber via comm package
	  from Tcllib.

2009-03-31  Sergei Golovan  <sgolovan@nes.ru>

	* filetransfer.tcl: Added unregistering filetransfer trantports.

2009-03-30  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/session.tcl: Changed default values for saving state
	  on exit and loading state on start to true.

	* proxy.tcl: Fixed proxy filter setting in case of HTTP protocol, so
	  HTTP-polling now works via proxy again. Also, don't send Proxy-
	  Authorization header if username and password are empty.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-03-29  Sergei Golovan  <sgolovan@nes.ru>

	* si.tcl: Fixed sending error stanza to a filetransfer peer when the
	  transport negotiation fails.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* proxy.tcl: Moved wrapped geturl to ::http namespace and adapted it to
	  work with HTTPS through a proxy server. The technique uses pconnect
	  package, therefore it can't be proposed to http upstream as is.

	* plugins/filetransfer/http.tcl: Use original call of ::http::geturl.

	* proxy.tcl: Changed proxy type for HTTPS traffic from HTTP to
	  tunnelling, which is more appropriate.

	* proxy.tcl, plugins/chat/popupmenu.tcl, plugins/filetransfer/http.tcl:
	  Added version to http package requirement to prevent version 1.0
	  loading.

	* proxy.tcl: Added a call to ::http::config to make sure the http
	  package procedures are loaded.

2009-03-28  Sergei Golovan  <sgolovan@nes.ru>

	* si.tcl, plugins/si/ibb.tcl, plugins/si/iqibb.tcl,
	  plugins/si/socks5.tcl: Added enabling/disabling transports by default
	  when registering them. Disable bytestream transport by default, as it
	  not always works, so it should be switched on only if user knows how
	  to work with it.

	* proxy.tcl: Removed proxy type 'none' to make sure that every proxy
	  entry represent a real proxy, which is better to understand.

	* plugins/general/geometry.tcl: Store main window state and geometry
	  separately for tabbed and non-tabbed modes.

2009-03-27  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Run commands associated with customizable variables on
	  Tkabber start even if custom.tcl doesn't exist. Otherwise Tkabber
	  pixmaps theme can't be loaded.

	* plugins/si/socks5.tcl: Fixed bug with forgotten return in case when
	  connection to all received smarthosts failed.

	* ifacetk/iface.tcl, ifacetk/ilogin.tcl, login.tcl,
	  plugins/filetransfer/http.tcl, plugins/si/socks5.tcl, proxy.tcl,
	  splash.tcl, tkabber.tcl: Separated proxy servers management from
	  login and loginconf array. Made choosing proxy depending from a
	  hostname to connect to. Use proxy if necessary in file transfers.

	* proxy.tcl: Renamed connect proxies to tunnel proxies which is more
	  clear.

	* proxy.tcl: Fixed proxy management dialog size and added some space
	  between individual proxy frames.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/chat/chatstate.tcl, plugins/chat/events.tcl: Removed bindings
	  which used %A substitution from chat input windows. This makes XIM
	  working in chat windows.

	* filetransfer.tcl, plugins/filetransfer/http.tcl,
	  plugins/filetransfer/si.tcl: Made filetransfer windows non-transient,
	  so they can be iconified separately from the main window.

2009-03-20  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Put messages in the message archive only if they have
	  non-empty body.

	* muc.tcl: Fixed MUC item in disco popup menu.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-03-17  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Don't create subject menu on every incoming message.
	  This helps to create correct menu if it's an offline message and came
	  befor the roster.

2009-03-15  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* datagathering.tcl, plugins/general/captcha.tcl: Removed support for
	  old robot challenge support and moved media element parsing to
	  TclXMPP.

	* custom.tcl: Trigger assigned commands for all customization variables
	  after restoring from the stored file, and not only for those which
	  were in the file.

	* pixmaps.tcl: Allow pixmaps theme option to be equal to non-existent
	  theme name and clean themes array before reloading. This helps to
	  load iconsets plugin.

	* ifacetk/systray.tcl: Fixed creating popup menu when the main window
	  doesn't have a menubar yet.

2009-03-14  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, muc.tcl: Converted chat and conference menus into dynamic
	  ones (created just before posting) to make it easier to
	  enabling/disabling and adding/deleting items.

	* README, chats.tcl, doc/tkabber.html, doc/tkabber.xml,
	  examples/configs/badlop-config.tcl: Removed
	  chat::options(default_message_type) option because messages with no
	  type attribute must be treated as normal.

	* plugins/general/xcommands.tcl: Added ad-hoc commands submenu to all
	  popup menus.

	* muc.tcl: Treat conference room as MUC-compatible if its server is.

	* plugins/roster/conferences.tcl: Fixed adding MUC commands to a
	  bookmark roster item.

2009-03-13  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/captcha.tcl: Renamed from challenge.tcl and added
	  current XEP-0158 support (only for CAPTCHAs in messages).

	* disco.tcl: Implemented unregistering features (it's intended to be
	  used by unloadable plugins).

	* datagathering.tcl: Fixed cid: URI scheme handling.

	* plugins/general/captcha.tcl: Added id attribute to sent CAPTCHA form
	  because id is mandatory for an IQ.

	* custom.tcl: Remove variable traces before creating or recreating it.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-03-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/bob.tcl: Added two procedures which collect Bits of
	  Binary (XEP-0231) included in a message or presence stanza.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* datagathering.tcl: Added preliminary support for URI which reference
	  to bits-of-binary data (only for included in the same stanza yet).

2009-03-11  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Fixed duplicates in customization groups. This is useful
	  if a config variable could be added several times on plugins
	  loading/unloading. Also, don't set trace on a custom variable if it's
	  set already.

2009-03-09  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/socks5.tcl: Removed proxy.netlabs.cz from proxies list
	  to prevent its abuse.

	* muc.tcl: Enclose JIDs/nicks in quotes when showing error messages on
	  failed MUC actions (kick, ban, etc.). It helps to detect extra or
	  missing spaces (thanks to Serge Yudin).

	* disco.tcl: Fixed keyboard bindings (thanks to Konstantin Khomoutov).

2009-03-05  Sergei Golovan  <sgolovan@nes.ru>

	* hooks.tcl: Added a procedure which checks if a hook is empty.

2009-03-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/emoticons.tcl: Reload images on theme change
	  unconditionally.

2009-02-28  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl: Allowed extra handlers to return empty lists.

	* plugins/iq/version.tcl: Don't report Tkabber version in disco#info
	  replies if user chooses not to show the version.

	* plugins/chat/draw_timestamp.tcl, plugins/chat/logger.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl:
	  Adapted to a change in output format in ::xmpp::delay::parse
	  procedure.

2009-02-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/caps.tcl: Fixed erroneous emptying features list
	  and added several debug messages.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/general/caps.tcl: Added procedure which requests entity info
	  if its capabilities hash was received earlier. Also a bit shortened
	  hash calculating code.

	* disco.tcl: Fixed bug with non-existent variable if no extra handlers
	  is registered. Also fixed bug with doubled features in features list
	  returned in reply to disco#info query (it implicated in incorrectly
	  calculated caps hash).

2009-02-25  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Added cancelling subscriptions to roster item popup
	  menu because it may be useful to unsubscribe from a contact without
	  removing it from the roster.

	* examples/xrdb/badlop-dark.xrdb, examples/xrdb/black.xrdb,
	  examples/xrdb/dark.xrdb, examples/xrdb/dark2.xrdb,
	  examples/xrdb/ocean-deep.xrdb: Fixed colors for metacontacts in
	  roster.

2009-02-24  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/ibb.tcl: Fixed reporting error to the other side.

2009-02-23  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl, joingrdialog.tcl, login.tcl, messages.tcl, muc.tcl,
	  plugins/general/caps.tcl, plugins/general/remote.tcl,
	  plugins/iq/version.tcl, plugins/roster/cache_categories.tcl,
	  plugins/roster/conferenceinfo.tcl, plugins/roster/conferences.tcl:
	  Moved part of the Disco functionality to TclXMPP.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* examples/xrdb/*.xrdb: Added color resources for metacontacts
	  background in roster.

2009-02-20  Sergei Golovan  <sgolovan@nes.ru>

	* presence.tcl: Fixed sending custom presence to a conference.

	* ifacetk/iroster.tcl: Fixed metacontact label positioning when group
	  close/open mark should be displayed.

	* plugins.tcl: Remove recognizing preload.tcl as a plugin preload file
	  and added a procedure which checks if the requested plugin is already
	  registered.

	* ifacetk/iface.tcl, plugins/roster/backup.tcl,
	  plugins/roster/bkup_annotations.tcl,
	  plugins/roster/bkup_conferences.tcl: Adapted roster import/export
	  procedures to changes in corresponding modules (moving part of the
	  functionality to TclXMPP).

	* plugins/roster/bkup_metacontacts.tcl: Added plugin for exporting
	  metacontacts.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/chat/draw_xhtml_message.tcl: Added checking for incorrect
	  color names.

2009-02-19  Sergei Golovan  <sgolovan@nes.ru>

	* presence.tcl: Greyed out sending custom presence submenu in chat
	  windows which correspond to groupchat members.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-02-18  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Exported procedure which destroys opened tab or
	  window.

	* plugins.tcl: Renamed 'external plugins' group to 'plugins
	  management'. Changed default behavior to not to load plugins.

2009-02-15  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Made collapsing/expanding metacontacts or
	  multiple JID resources asynchronous if they appear in multiple
	  groups. Fixed storing info on showing offline users in roster groups.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* ifacetk/iroster.tcl, ifacetk/iface.tcl,
	  plugins/roster/metacontacts.tcl: Added options to disable
	  metacontacts and to always show a fixed metacontact label.

	* plugins/roster/metacontacts.tcl: Fixed keyboard traversal of
	  metacontact window and started to implement items reordering.

	* plugins/roster/metacontacts.tcl: Made windows titles and messages
	  more clear and added drag'n'drop which allows metacontact items
	  reordering.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/roster/metacontacts.tcl: Fixed adding item by using entry and
	  added keyboard items reordering (by <Control-Up> and <Control-Down>).

2009-02-14  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, ifacetk/iroster.tcl: Adapted to a new syntax of roster
	  click procedures.

	* custom.tcl: Use random filename for temporal customization store.

	* ifacetk/iroster.tcl: Fixed showing metacontacts in case when some of
	  its members are online and the others are offline. Put metacontact
	  in all groups of its members. Fixed creating JID popup menu on
	  metacontacts. Added processing of radiobuttons to popup menus.

	* plugins/roster/metacontacts.tcl: Added UI for creating, editind and
	  deleting metacontacts.

	* ifacetk/iroster.tcl: Take into account menu items state when joining
	  menus for contacts and metacontacts.

	* plugins/roster/metacontacts.tcl: Fixed bug with deleting metacontact.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/roster/metacontacts.tcl: Fixed bug with deleting user from a
	  metacontact.

	* custom.tcl: Removed 8.4ism.

	* ifacetk/unix.xrdb, examples/xrdb/teopetuk.xrdb: Added resources for
	  metacontacts background.

2009-02-13  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Move focus and scroll down to 'add new JID' field in MUC
	  lists (thanks to Serge Yudin).

	* utils.tcl: Use \u0000 as a split character in msplit routine.

	* chats.tcl: Slightly optimized drawing room roster.

	* plugins/roster/conferences.tcl: Use storing/retrieving notes from
	  TclXMPP.

	* ifacetk/iroster.tcl: Added metacontacts support. Unfinished yet,
	  editing metacontacts is not possible, but grouping them in roster
	  works. Also, fixed bug which appears when a group name coinsides
	  with a JID in roster. Also, removed aliases support in favor of
	  metacontacts.

2009-02-11  Sergei Golovan  <sgolovan@nes.ru>

	* private.tcl: Removed in favour of private XML storage interface in
	  TclXMPP.

	* plugins/roster/annotations.tcl: Use storing/retrieving notes from
	  TclXMPP.

	* plugins/roster/conferences.tcl: Use private XML storage interface in
	  TclXMPP.

	* plugins/roster/roster_delimiter.tcl: Removed as the same
	  functionality appeared in TclXMPP.

	* tkabber.tcl: Removed reference to private.tcl.

2009-02-09  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Made [rand $n] procedure to produce numbers uniformly
	  distributed among integers from 0 to $n.

	* ifacetk/iroster.tcl, msgs/ru.msg, plugins/roster/conferences.tcl,
	  roster.tcl: Changed semantics of operation 'remove all users in
	  roster group'. Now all the users are removed from the roster even if
	  they are in some other groups.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-02-05  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Store customization variables to a temporary file and
	  then move it to custom.tcl to prevent custom.tcl accidental
	  corruption.

2009-02-04  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/geometry.tcl: Added new plugin which saves main
	  window geometry and restores it on Tkabber start.

	* ifacetk/iface.tcl: Moved saving main window state (normal or zoomed)
	  to the new geometry plugin.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-02-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/ibb.tcl: Fixed typo.

2009-02-01  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/systray.tcl: Added an option not to show a systray icon on
	  server messages in groupchats (thanks to Ruslan Rakhmanin).

	* gpgme.tcl, msmg/ru.msg: Show all GPG warnings in a separate window
	  (thanks to Konstantin Khomoutov).

	* chats.tcl, joingrdialog.tcl, muc.tcl: Moved focusing chat window
	  into a separate procedure, normalise room JID before joining (thanks
	  to Konstantin Khomoutov).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-01-28  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Update main window title when chat tab is closed
	  (the systray icon isn't updated yet though).

2009-01-17  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2009-01-14  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Fixed backgroung under GPG signature label in chat
	  windows.

2009-01-13  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/pep/user_tune.tcl: Fixed typo.

2009-01-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Since Snack requires Tk a new toplevel is
	  created if Snack is loaded into a separate thread. So, withdrawed
	  this unnecessary toplevel.

2009-01-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins.tcl: Added preliminary infrastructure for loading/unloading
	  external plugins. Made plugins loaded by default. Added ViM modeline.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-12-20  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-12-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Fixed resource leak when every time a
	  sound is played using snack the new sound object were created. Also,
	  moved snack to a separate thread (if Thread package is available) to
	  make sound better because snack uses Tcl event loop which can be busy
	  in the main thread.

	* plugins/general/caps.tcl: Replaced lset by explicit list creation to
	  make disco reply working in Tcl 8.3.

2008-12-14  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Since logout can be called before a connection is
	  authenticated then an additional flag is added to connections list.
	  It indicates if the connection is active and needs running
	  disconnected_hook on logout.

2008-12-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/autoaway.tcl: Start timer at Tkabber start and
	  stop at exit instead of connect/disconnect to prevent racing with
	  reconnection code.

2008-11-26  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Refixed bug with incorrect disconnecting from the server
	  if authentication failed.

	* plugins/windows/taskbar.tcl: Use another variable as an indicator of
	  user status.

2008-11-25  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Fixed bug with incorrect disconnecting from the server
	  if authentication failed.

2008-11-23  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Use the last muc#user attachment for processing to
	  workaround a long lasting ejabberd bug which don't understand XMLNS
	  prefixes and therefore can't filter all muc#user subelements which
	  are included into presence stanzas by a client.

2008-11-15  Sergei Golovan  <sgolovan@nes.ru>

	* register.tcl: Fixed keyboard bindings in register window (thanks to
	  Konstantin Khomoutov).

	* ifacetk/systray.tcl: Fixed invocation of location callback.

2008-11-11  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_xhtml_message.tcl: Fixed another typo.

2008-11-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_xhtml_message.tcl: Fixed typo.

2008-11-09  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber.tcl, login.tcl, plugins/general/rawxml.tcl: Adapted XML
	  console to a new log callback in XMPP library.

2008-11-06  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/ilogin.tcl: Call logout even if there is no connections to
	  cancel possible scheduled ones.

2008-11-05  Sergei Golovan  <sgolovan@nes.ru>

	* hooks.tcl: Added a procedure which removes function from a hook.
	  Also, it's allowed to stop processing hook by returning break code.

2008-11-04  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed typo.

2008-11-03  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/si/socks5.tcl: Moved resetting fileevent script upper.

	* plugins/filetransfer/si.tcl, si.tcl: Made receiving file or use of any
	  other SI profile asynchronous (without vwait).

	* ifacetk/iface.tcl: Changed trace command syntax to make Tkabber run
	  on Tcl/Tk 8.3.

2008-11-02  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Added a procedure which returns a list of entered
	  values for a given data form window. Also, removed a procedure which
	  returned variables list for a given form.

	* search.tcl: Switched to xmpp::search package for sending search
	  requests and parsing returned items.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* datagathering.tcl: Removed predefined form fields.

	* register.tcl: Switched to xmpp::register package.

	* search.tcl: Cleanup form data upon search window is destroyed.

	* register.tcl, login.tcl, ifacetk/iface.tcl: Moved changing password
	  to register.tcl and make using xmpp::register package for it.

	* negotiate.tcl, tkabber.tcl, disco.tcl: Removed support for very old
	  form of feature negotiations.

	* datagathering.tcl: Moved creating data form field and submit form to
	  xmpp::data package.

	* muc.tcl, plugins/general/challenge.tcl,
	  plugins/general/xcommands.tcl, plugins/general/remote.tcl,
	  plugins/iq/version.tcl, si.tcl: Switched to xmpp::data package for
	  data forms processing.

	* messages.tcl: Made use of jabber:x:data explicit.

	* namespaces.tcl, pubsub.tcl: Removed creating jabber:x:data forms by
	  hands.

2008-11-01  Sergei Golovan  <sgolovan@nes.ru>

	* Makefile: Added rules to make documentation (tkabber.html and
	  README) from its source.

	* doc/tkabber.html, doc/tkabber.xml, README: Changed notes about tDOM
	  parser usage (it is default if it is installed currently).

	* datagathering.tcl: Removed support for undocumented XMLNS
	  jabber:iq:data which was used ages ago for administering ejabberd
	  server.

	* datagathering.tcl, disco.tcl, plugins/general/caps.tcl,
	  plugins/general/remote.tcl, search.tcl: Switched to parsing
	  jabber:x:data forms using xmpp::data package.

	* plugins/si/socks5.tcl: Turned all work into asynchronous mode.

	* plugins/filetransfer/si.tcl, si.tcl: Got rid of unnecessary vwait.

	* datagathering.tcl: Fixed form sending if it is not a jabber:x:data
	  form.

2008-10-29  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl, presence.tcl: Fixed resetting user status if all Tkabber
	  connections are closed.

2008-10-28  Sergei Golovan  <sgolovan@nes.ru>

	* Makefile: Fixed the list of directories to install.

2008-10-27  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Don't send subscription request if it's to be sent
	  through non-existent XMPP connection.

2008-10-26  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-10-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/send_message.tcl: Use generated unique packet IDs
	  instead of predictable increasing ones.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* chat/chatstate.tcl, chat/events.tcl, chat/send_message.tcl: Added
	  packet ID to chat_send_message_xlist_hook.

2008-10-24  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl, ifacetk/iface.tcl, ifacetk/iroster.tcl, login.tcl,
	  plugins/general/sound.tcl, plugins/roster/cache_categories.tcl,
	  presence.tcl, privacy.tcl: Simplified procedures from
	  disconnected_hook (removed check for empty connection token
	  argument), optimized loading and storing roster group interface
	  settings.

	* ifacetk/iface.tcl: Fixed status_history option type.

2008-10-23  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, ifacetk/iroster.tcl, login.tcl,
	  plugins/general/sound.tcl, presence.tcl, roster.tcl: Removed
	  predisconnected_hook and moved all procedures from it to
	  dosconnected_hook.

	* login.tcl: Don't actually logout if a connection isn't in active
	  connections list.

2008-10-22  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed typo.

2008-10-21  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed typo.

	* plugins/general/remote.tcl: Fixed -xmlns option in xmpp::xml::create
	  call.

	* disco.tcl: Fixed checking for jabber:x:data XMLNS in disco forms.

	* datagathering: Fixed creating jabber:x:data submit forms.

	* login.tcl: Fixed checking for different proxy packages. Also, make
	  sure that no login is scheduled if logout without arguments is
	  called.

2008-10-20  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Fixed typo.

	* iface.tcl, login.tcl: Adapted STARTTLS and old SSL to new
	  -verifycommand option of starttls and tls transport. Restored SSL
	  button in the right lower corner of the Tkabber window.

2008-10-19  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/annotations.tcl: Fixed widget name with connection
	  token inside.

	* itemedit.tcl, utils.tcl, chats.tcl, privacy.tcl, gpgme.tcl: Added
	  (and use) new procedure which maps colons in connection token to
	  number signs for usage in widget names.

	*  chats.tcl, examples/configs/mtr-config.tcl, gpgme.tcl, iface.tcl,
	   ifacetk/iroster.tcl, itemedit.tcl, joingrdialog.tcl, messages.tcl,
	   muc.tcl, plugins/chat/disco.tcl, plugins/chat/histool.tcl,
	   plugins/chat/info_commands.tcl, plugins/chat/irc_commands.tcl,
	   plugins/chat/log_on_open.tcl, plugins/chat/logger.tcl,
	   plugins/chat/muc_ignore.tcl, plugins/chat/nick_colors.tcl,
	   plugins/general/avatars.tcl, plugins/general/headlines.tcl,
	   plugins/general/message_archive.tcl, plugins/general/remote.tcl,
	   plugins/pep/user_activity.tcl, plugins/pep/user_location.tcl,
	   plugins/pep/user_mood.tcl, plugins/pep/user_tune.tcl,
	   plugins/roster/annotations.tcl, plugins/roster/cache_categories.tcl,
	   plugins/roster/conferenceinfo.tcl, plugins/roster/conferences.tcl,
	   plugins/roster/fetch_nicknames.tcl, plugins/si/socks5.tcl,
	   presence.tcl, privacy.tcl, roster.tcl, userinfo.tcl, utils.tcl:
	   Replaced JID related procedures from utils.tcl (node_from_jid,
	   server_from_jid, resource_from_jid, node_and_server_from_jid,
	   tolower_node_and_domain) by procedures from xmpp::jid package
	   (::xmpp::jid::node, ::xmpp::jid::server, ::xmpp::jid::resource,
	   ::xmpp::jid::stripResource, ::xmpp::jid::normalize).

	* login.tcl: Use non-modal dialog when stream error is incoming.

	* privacy.tcl: Break the procedure of querying privacy lists items
	  when its result is "abort". This helps to cleanup lists on
	  disconnect.

	* plugins/general/remote.tcl: Fixed typo.

	* login.tcl: Process DNS errors.

2008-10-18  Sergei Golovan  <sgolovan@nes.ru>

	* presence.tcl: Fixed sending directed presence.

	* plugins/chat/irc_commands.tcl: Use JID creation command instead of
	  joining JID parts manually.

	* joingrdialog.tcl, plugins/roster/conferences.tcl: Use JID command
	  with optional resource.

	* presence.tcl: Added packet ID to available presence options.

	* muc.tcl: Fixed changing nicknames.

	* presence.tcl: Unset error property if an available or subscription
	  presence is received.

	* chats.tcl, muc.tcl: Fixed processing errors when joining room and
	  when an occupant's unavaiable presence is received.

	* search.tcl: Fixed typo.

	* gpgme.tcl, privacy.tcl: Fixed widget paths with connection token in
	  their names.

	* login.tcl: Change status message while waiting for the next
	  reconnection.

	* chats.tcl, configdir.tcl, disco.tcl, filetransfer.tcl, filters.tcl,
	  ifacetk/iface.tcl, ifacetk/iroster.tcl, itemedit.tcl, messages.tcl,
	  muc.tcl, plugins/chat/chatstate.tcl, plugins/chat/events.tcl,
	  plugins/chat/logger.tcl, plugins/chat/nick_colors.tcl,
	  plugins/filetransfer/http.tcl, plugins/filetransfer/si.tcl,
	  plugins/general/autoaway.tcl, plugins/general/clientinfo.tcl,
	  plugins/general/headlines.tcl,
	  plugins/general/subscribe_gateway.tcl,
	  plugins/roster/annotations.tcl, plugins/roster/backup.tcl,
	  plugins/roster/conferenceinfo.tcl, plugins/roster/conferences.tcl,
	  plugins/roster/rosterx.tcl, plugins/unix/wmdock.tcl, register.tcl,
	  search.tcl, si.tcl, userinfo.tcl: Removed unnecessary call to format
	  command.

	* pixmaps.tcl: Put directory with pixmaps themes supplied with Tkabber
	  to the end of directories list. This makes using users' themes more
	  robust (though users have to use different theme names).

	* plugins/roster/backup.tcl: Fixed roster backup.

	* presence.tcl: Show error messages in contact status, as it was
	  before switching to a new library.

	* plugins/chat/irc_commands.tcl: Fixed typo.

2008-10-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Cleared sound external program option
	  making Snack package the default alternative.

	* doc/tkabber.html, doc/tkabber.xml, README: Added note about three
	  new plugins.

	* *: 0.11.1 is released.

	* tkabber.tcl: Pushed version number to 0.11.1-svn.

	* *: Massive update caused by moving to an external XMPP library
	  TclXMPP (http://code.google.com/p/tclxmpp/).

	* tclxmpp: Added map to external repository
	  http://tclxmpp.googlecode.com/svn/trunk/

	* ckabber.tcl, ifaceck/*: Removed.

	* plugins/roster/conferences.tcl: Fixed roster push calls.

	* plugins/si/iqibb.tcl: Fixed typo.

	* itemedit.tcl: Fixed bug with widget name containing xlib variable.

	* datagathering.tcl, plugins/general/offline.tcl: Fixed incorrect
	  variable names.

	* plugins/roster/conferences.tcl: Added missing space between
	  arguments.

	* xmppmime.tcl: Changed notation.

	* pubsub.tcl: Fixed closing brackets at the end of several commands.

	* ifacetk/iface.tcl: Fixed privacy menu items.

	* disco.tcl, ifacetk/iface.tcl, joingrdialog.tcl, muc.tcl,
	  plugins/chat/disco.tcl, plugins/pep/user_location.tcl,
	  plugins/pep/user_mood.tcl, plugins/pep/user_tune.tcl, xmppmime.tcl:
	  Fixed connection options.

	* plugins/pep/user_location.tcl: Fixed typo.

	* pubsub.tcl: Fixed typo.

	* doc/tkabber.html, doc/tkabber.xml, README: Changed connection ID to
	  connection token.

	* muc.tcl: Fixed call to ::xmpp::xml::split.

	* plugins/roster/conferenceinfo.tcl: Fixed main menu item command.

	* muc.tcl, userinfo.tcl, messages.tcl: Fixed cdata notation.

	* login.tcl: Added server JID as to address when registering new
	  username.

	* plugins/general/rawxml.tcl: Fixed window coloring.

2008-10-11  Sergei Golovan  <sgolovan@nes.ru>

	* AUTHORS: Fixed authors list.

	* msgs/pl.msg: Updated Polish translation (thanks to Irek Chmielowiec).

	* chats.tcl, ifacetk/iface.tcl: Added command which programmatically
	  closes chat window (thanks to Konstantin Khomoutov).

	* muc.tcl: Request MUC info not only from server but also from the
	  room itself when joining conference room. It allows to use
	  redirectors like J2J transport.

2008-10-10  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Added notes about new
	  sound theme and about upcoming 0.11.1 release. Replaced tabs by
	  whitespaces.

	* ifacetk/iroster.tcl: Show offline users if roster filter is enabled
	  and isn't empty (thanks to Ruslan Rakhmanin).

	* msgs/ru.msg: Updated Russian translation.

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

2008-09-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Fixed bug with sound notification of
	  disconnect event if its default value is used.

2008-09-26  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-09-25  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: A bit optimized running of map_window_hook.

	* chats.tcl: Added new hook draw_message_post_hook. It is necessary
	  because procedures in a usual draw_message_hook often return stop,
	  so it's impossible to add a procedure to the very end of the hook
	  and be sure it will be executed (thanks to Konstantin Khomoutov).

	* jabberlib/jabberlib.tcl, login.tcl: Reworked forced disconnecting
	  from a server to make possible to use sound notification.

	* plugins/general/sound.tcl: Added sound notification for disconnect
	  and changed default sounds for own chat and groupchat messages.

	* sounds/default/*.wav: Replaced default sound theme by a new original
	  one (thanks to Serge Yudin).

2008-09-12  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Ported key info processing to GPG package where its
	  format slightly differs from TclGPGME.

2008-09-11  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_timestamp.tcl: Raised priority to enable
	  timestamps for error and info messages.

	* gpgme.tcl: Added GPG package (http://code.google.com/p/tclgpg) as an
	  alternative package for encryption/signing messages.

	* msgs/de.msg, msgs/es.msg, msgs/it.msg, msgs/nl.msg, msgs/pl.msg,
	  msgs/ru.msg, msgs/uk.msg: Replaced GPGME by more generic GPG.

2008-09-10  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl: Added procedure which returns features list for a node.

	* plugins/chat/disco.tcl: Added a new plugin which implements /disco
	  command in a chat window. The command opens disco window either for
	  the curernt chat JID or for any specified JID.

	* muc.tcl, plugins/roster/conferences.tcl: Added MUC menu for room
	  configuration etc. to conference JID nodes in disco and to
	  conference bookmarks in a roster.

2008-09-09  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Fixed Russian translation.

2008-09-07  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Fixed keyboard traversing order for tabbar
	  after its buttons are moved or a new tab is inserted in the middle.

2008-08-26  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Updated Russian translation.

2008-08-25  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/systray.tcl, jabberlib/jlibauth.tcl,
	  jabberlib/jlibcomponent.tcl, jabberlib/jlibcompress.tcl,
	  jabberlib/jlibsasl.tcl, jabberlib/jlibtls.tcl,
	  plugins/general/headlines.tcl, plugins/windows/taskbar.tcl: Fixed
	  usage of [namespace code] in callbacks. The previous behavior
	  doesn't reveal bug in Tcl/Tk 8.6a1 and older due to a hack
	  maintained for Itcl and removed in 8.6a2. Also, TkCon may mask the
	  bug because it includes a copy of the hack.

2008-08-24  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/menu8.4.tcl: Enabled plugin for Tcl/Tk 8.6.

2008-08-08  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* msgs/es.msg: Fixed typo in Spanish translation (thanks to Emiliano
	  Gavilan).

2008-08-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/copy_jid.tcl: Added a menu item for copying real JID
	  (if available) in groupchats to clipboard (thanks to Konstantin
	  Khomoutov).

	* msgs/ru.msg: Updated Russian translation (thanks to Konstantin
	  Khomoutov).

2008-07-30  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Added -proxy option to jlib::connect call even if no
	  proxy is used. This fixes bug when it's impossible to disable once
	  used proxy.

2008-07-28  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/https.tcl: Fixed typo in basic authentication (thanks to
	  Konstantin Khomoutov).

2008-07-16  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl, roster.tcl, ifacetk/iroster.tcl: Fixed bug in splitting
	  roster group by a delimiter, now correctly treating delimiter as a
	  string and not as a regexp (thanks to Konstantin Khomoutov).

2008-07-12  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-07-11  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Use left-justified text in chat window/tab JID
	  menubutton.

	* ifacetk/iface.tcl: Added an option to show only personal messages
	  (chat or highlighted) in windows titles (thanks to Antoni Grzymala).

2008-07-08  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/wrapper.tcl, tclxml/sgmlparser.tcl: Bugfix in XMLNS prefix
	  processing when tDOM parser is used.

2008-07-07  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-07-05  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/wrapper.tcl, tclxml/sgmlparser.tcl: Fixed parsing XMLNS
	  prefixes for tag attributes. Now they are replaced by XMLNS URI both
	  when tDOM or internal parser are used.

2008-07-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/caps.tcl: Added forgotten node in disco#info reply
	  (thanks to Konstantin Khomoutov).

2008-06-17  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/https.tcl: Fixed typo in basic authentication.

2008-06-15  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Lower node and server case for JID to which a new chat
	  window is opened using open_to_user procedure.

	* plugins/iq/time2.tcl: Fixed urn:xmpp:time tag (thanks to Konstantin
	  Khomoutov).

2008-06-08  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Added a note about data
	  form media element (XEP-0221) support and mentioned that Tkabber
	  supports only version 0.2 of this and version 0.9 of XEP-0156.

	* *: 0.11.0 is released.

	* tkabber.tcl: Pushed version number to 0.11.0-svn.

2008-06-05  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Added working links to
	  Tclmore and ZTcl sources. Fixed unclear external links.
	  Added Konstantin Khomoutov to the authors list, fixed authors email
	  addresses.

	* ifaceck/iface.tcl, ifacetk/iface.tcl, splash.tcl: Added Konstantin
	  Khomoutov to the authors list.

2008-06-04  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg: Updated Polish translation (thanks to Irek Chmielowiec).

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

	* plugins/pep/user_tune.tcl: Show user tune info even if it doesn't
	  contain author's name using ? marks (thanks to Konstantin Khomoutov).

	* plugins/pep/user_location.tcl, plugins/pep/user_tune.tcl,
	  plugins/pep/user_activity.tcl, plugins/pep/user_mood.tcl,
	  msgs/es.msg, msgs/pl.msg, msgs/ru.msg, msgs/de.msg: Corrected
	  messages in user popup info (thanks to Konstantin Khomoutov).

	* doc/tkabber.html, doc/tkabber.xml, README: Added upgrade section
	  which describes main changes between 0.10.0 and 0.11.0 versions
	  (thanks to Konstantin Khomoutov).

2008-05-22  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.xml, doc/tkabber.html, README: Bumped stable version to
	  0.11.0.

	* examples/tools/jsend.tcl, examples/tools/rssbot.tcl: Fixed required
	  jabberlib version.

	* msgs/ru.msg: Updated Russian translation.

2008-05-21  Sergei Golovan  <sgolovan@nes.ru>

	* iface.tcl, login.tcl: Prettified SSL certificate info output
	  (thanks to Konstantin Khomoutov).

	* msgs/ru.msg: Updated Russian translation.

	* contrib/extract-translations/extract.tcl: Read message file using
	  UTF-8 encoding.

	* plugins/chat/draw_timestamp.tcl, plugins/general/ispell.tcl: Turned
	  multiline translateable messages in one-line messages because message
	  extraction tool doesn't process multiline messages correctly.

	* datagathering.tcl: Restored E-mail spelling.

	* jabberlib/stanzaerror.tcl, login.tcl: Fixed commented out
	  translateable messages, so they can be processed by an extraction
	  script.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-05-20  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Added forgotten helper procedure lpop which is used in
	  user tune plugin (thanks to Konstantin Khomoutov).

	* plugins/pep/user_tune.tcl: Added implementation of rating field,
	  which was added to XEP-0118 in version 1.2 (thanks to Konstantin
	  Khomoutov).

	* msgs/ru.msg: Updated Russian translation (thanks to Konstantin
	  Khomoutov).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-05-19  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/stanzaerror.tcl, login.tcl: Added a few commented out
	  strings for translation (messages from jabberd 1.4 and SSL info).

	* plugins/general/clientinfo.tcl, msgs/ca.msg, msgs/de.msg,
	  msgs/eo.msg, msgs/es.msg, msgs/eu.msg, msgs/fr.msg, msgs/nl.msg,
	  msgs/pl.msg, msgs/pt.msg, msgs/ro.msg, msgs/ru.msg, msgs/uk.msg:
	  Replaced Os by OS (as operating system abbreviation).

	* plugins/pep/user_location.tcl: Made several field labels more clear
	  (thanks to Konstantin Khomoutov).

	* plugins/pep/user_tune.tcl: Implemented stopping player and did a few
	  other improvements (thanks to Konstantin Khomoutov).

	* msgs/ru.msg: Updated Russian translation (thanks to Konstantin
	  Khomoutov).

	* msgs/ru.msg: Sorted messages and fit them into 80 columns.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-05-18  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Removed hook create_privacy_rules_menu_hook added for
	  receipts plugin but no longer needed (thanks to Konstantin
	  Khomoutov).

	* roster.tcl: Removed unneeded variable link (thanks to Konstantin
	  Khomoutov).

	* ifacetk/iface.tcl: Replaced status message entry field with a
	  compbobox with several recently used status messages (thanks to
	  Konstantin Khomoutov).

	* plugins/unix/icon.tcl: Use "user available" icon for all toplevel
	  windows.

	* userinfo.tcl: Removed "Close" button from info window because it
	  isn't a dialog.

	* chats.tcl, ifacetk/bwidget_workarounds.tcl, ifacetk/iface.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl,
	  plugins/general/rawxml.tcl: Made paned window separators flat and
	  decreased their width.

	* plugins/roster/fetch_nicknames.tcl: Added a command to fetch
	  nicknames for all users in a given group (thanks to Konstantin
	  Khomoutov).

	* ifacetk/iroster.tcl: Moved "Rename group" menu item from the top of
	  menu.

	* ifacetk/iface.tcl: Made popup menu on text status combobox
	  non-torn-off.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-05-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/caps.tcl: Fixed bug with incorrectly calculated hash
	  string if extra info have spaces in field values (closes:
	  http://www.jabber.ru/bugzilla/show_bug.cgi?id=380).

2008-05-14  Sergei Golovan  <sgolovan@nes.ru>

	* roster.tcl: Added an own JID to trusted JIDs and check bare JIDs
	  instead of full ones.

2008-05-13  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/challenge.tcl: Don't mirror challenge id attribute
	  when submitting a form because it isn't necessary according to
	  version 0.9 of XEP-0158.

	* roster.tcl: Added a helper function roster::is_trusted which returns
	  true iff a roster user is subscribed to out presence.

2008-05-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/chatstate.tcl: Switch internal chat states even if
	  messages aren't sent because a recipient is unavalable. It prevents
	  accidental sending of chat state events when a recipient becomes
	  available

	* plugins/chat/events.tcl: Do not send events if a recipient is
	  unavailable. It's useless and sometimes a remote server returns error
	  messages which confuse users.

	* msgs/pl.msg: Updated Polish translation (thanks to Irek Chmielowiec).

2008-05-11  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Added two procedures get_conf and render_url. The first
	  one returns the value of a given widget option, the second creates a
	  one-line text widget with a specified URL in it.

	* messages.tcl: Render OOB urls as links and not as buttons.

	* chats.tcl, gpgme.tcl, messages.tcl, muc.tcl,
	  plugins/general/remote.tcl, plugins/general/xaddress.tcl,
	  plugins/roster/rosterx.tcl: Added id argument to
	  message_process_x_hook arguments list.

	* datagathering.tcl: Added processing of media elements (XEP-0221).
	  Only in-band images and uris are supported currently.

	* plugins/richtext/urls.tcl: Fixed typo.

	* jabberlib/jabberlib.tcl: Allowed using id specified by send_iq call
	  even for get and set queries.

	* plugins/general/challenge.tcl: Added processing of robot challenges
	  forms in XMPP messages.

	* jabberlib/namespaces.tcl: Added two new namespaces (from XEP-0221
	  and XEP-0158).

	* datagathering.tcl: Return error if a media element cannot be
	  processed this allows to fall back to a legacy challenge.

	* plugins/general/challenge.tcl: Don't show a message if a robot
	  challenge form is attached and can be processed without errors.

	* ifacetk/iroster.tcl: Added an option which controls whether chat or
	  normal message window is to be opened on roster item doubleclick
	  (defaults to chat).

	* messages.tcl: Lowered priority of normal message processing because
	  it returns stop and breaks other procedures in process_message_hook
	  if default message type is normal (as it should be).

	* README, doc/tkabber.html, doc/tkabber.xml, ifaceck/iface.tcl,
	  ifacetk/iface.tcl, splash.tcl: Fixed copyright messages and added a
	  few new features to 0.10.1 features list.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-05-05  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl: Added more heuristics when guessing JID category and type
	  while dragging it to roster.

2008-05-04  Sergei Golovan  <sgolovan@nes.ru>

	* roster.tcl: When overriding roster item category or subtype check
	  if it was already overridden.

2008-04-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/caps.tcl: Fixed bug with jabber:x:data processing
	  in case if field values contain spaces.

	* muc.tcl: Added reasons to all MUC /commands. It isn't supported by
	  MUC servers currently, but might be useful in the future (thanks to
	  Konstantin Khomoutov).

2008-04-21  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Added variable type to parsed jabber:x:data form
	  output.

	* plugins/general/remote.tcl: Adjusted to account for variable types
	  in jabber:x:data forms.

	* disco.tcl: Changed semantics of extras argument in disco_info_hook
	  to a list of forms instead of a flat list of all variables.

	* plugins/general/caps.tcl: Fixed identity support (added name and
	  xml:lang processing). Added extras (additional jabber:x:data forms)
	  support.

2008-04-16  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Changed "no default list" and "no active list"
	  radiobutton values from "" to "\u0000" to workaround a bug with
	  radiobutton tristate mode in Tk 8.5.

2008-04-07  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-03-23  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/wrapper.tcl: Fixed xml:lang parsing when tDOM is used as
	  an XML parser.

	* utils.tcl: Added a procedure to generate a sequence of paths for
	  message dialogs.

	* plugins/chat/histool.tcl, plugins/pep/user_activity.tcl,
	  plugins/pep/user_location.tcl, plugins/pep/user_mood.tcl,
	  plugins/pep/user_tune.tcl, plugins/roster/backup.tcl,
	  plugins/roster/bkup_annotations.tcl,
	  plugins/roster/bkup_conferences.tcl: Switched from tk_messageBox to
	  MessageDlg (tk_messageBox in Tk 8.5.1 and newer uses Ttk
	  unconditionally, which is unacceptable).

	* plugins/pep/user_activity.tcl, plugins/pep/user_location.tcl,
	  plugins/pep/user_mood.tcl, plugins/pep/user_tune.tcl: Enable/disable
	  menu items on connect/disconnect to a server.

	* muc.tcl: Added a possibility to change affiliation/role for all MUC
	  list at once.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-03-07  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_xhtml_message.tcl: Fixed a bug with xhtml_symb tag
	  which was introduced when removing global font variable.

	* disco.tcl: Added registering extras to include XEP-0128 forms into
	  disco#info replies.

	* plugins/iq/version.tcl: Implemented reporting Tkabber version in
	  disco#info replies (XEP-0232).

	* ifacetk/iroster.tcl, jabberlib/wrapper.tcl,
	  plugins/roster/annotations.tcl, plugins/roster/backup.tcl,
	  plugins/roster/bkup_annotations.tcl,
	  plugins/roster/bkup_conferences.tcl, plugins/roster/conferences.tcl,
	  roster.tcl: Rewritten roster export. Now it is exported to XML, and
	  export includes roster items, conferences and roster notes (thanks
	  to Konstantin Khomoutov).

	* ifacetk/idefault.tcl, ifacetk/iface.tcl, ifacetk/iroster.tcl,
	  plugins/chat/draw_xhtml_message.tcl,
	  plugins/richtext/stylecodes.tcl, richtext.tcl: Added a different
	  for rosters (before that rosters and chats used the same font).

	* README, doc/tkabber.html, doc/tkabber.xml: Fixed section about using
	  fonts and added a few items into the list of new features in 0.10.1.

	* ifacetk/iroster.tcl, presence.tcl: Code cleanup.

2008-03-06  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl: Added new hook disco_node_reply_hook to allow answering
	  service discovery queries to unregistered temporary nodes (as in
	  entity capabilities plugin).

	* plugins/general/caps.tcl: Implemented version 1.5 of XEP-0115 (only
	  sending capabilities and replying to disco#info queries).

	* iq.tcl: Fixed call of IQ handler if it is a command with arguments.

	* datagathering.tcl: Removed [cequal] and [cindex] calls.

	* negotiate.tcl: Adapted to a current version of XEP-0020.

	* privacy.tcl: Fixed possible race conditions with receiving/updating
	  privacy lists.

	* plugins/pep/user_location.tcl: Added user location support plugin
	  (XEP-0080).

	* plugins/iq/time2.tcl: Added entity time support plugin (XEP-0202).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-03-04  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Updated Russian translation.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-03-03  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Added a warning message to groupchat window if a room the
	  user enters is newly created.

2008-03-02  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/bwidget_workarounds.tcl: Changed look and feel of paned
	  window separators.

	* chats.tcl, examples/xrdb/badlop-dark.xrdb, examples/xrdb/dark.xrdb,
	  examples/xrdb/dark2.xrdb, examples/xrdb/ice.xrdb,
	  examples/xrdb/light.xrdb, examples/xrdb/lighthouse.xrdb,
	  examples/xrdb/ocean-deep.xrdb, examples/xrdb/teopetuk.xrdb,
	  examples/xrdb/warm.xrdb, ifacetk/idefault.tcl, ifacetk/iface.tcl,
	  ifacetk/iroster.tcl, mclistbox/mclistbox.tcl,
	  plugins/chat/draw_xhtml_message.tcl, plugins/richtext/stylecodes.tcl,
	  richtext.tcl, tkabber.tcl: Removed global font variable. Now one
	  should either add option *font or use ifacetk::options(font)
	  variable.

	* idefault.tcl, iface.tcl, ifacetk/iroster.tcl,
	  plugins/richtext/stylecodes.tcl, richtext.tcl: Partially rolled back
	  the change in font options for Tcl/Tk on UNIX with disabled Xft.
	  Removed use of named fonts wherever possible. Also,
	  ifacetk::options(font) variable can't be used for roster and chats
	  font setup. Use *Chat*Text.font resource instead.

2008-02-21  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Updated Russian translation.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-02-20  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-02-19  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_server_message.tcl: Removed unnecessary procedure
	  call (thanks to Konstantin Khomoutov).

	* plugins/richtext/stylecodes.tcl: Added a customize option which
	  allows to show stylecode markup symbols regardles of changing fonts
	  in a chat window (thanks to Konstantin Khomoutov).

	* msgs/ru.msg: Updated (thanks to Konstantin Khomoutov).

2008-02-18  Sergei Golovan  <sgolovan@nes.ru>

	* iface.tcl: Show SHA1 hash of SSL certificate when asking for its
	  approval and in a certificate info.

2008-02-05  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Fixed notice about
	  external XML parser (replaced TclXML which diesnt' work by tDOM
	  which works).

	* jabberlib/jabberlib.tcl: Eliminate use_external_tclxml variable.
	  Now, to use tDOM a user should 'require' it in a config file.

	* chats.tcl, custom.tcl, datagathering.tcl, disco.tcl,
	  ifaceck/iroster.tcl, messages.tcl, muc.tcl,
	  plugins/chat/chatstate.tcl, plugins/chat/events.tcl,
	  plugins/chat/histool.tcl, plugins/chat/logger.tcl,
	  plugins/chat/nick_colors.tcl, plugins/general/headlines.tcl,
	  plugins/general/message_archive.tcl, plugins/general/offline.tcl,
	  plugins/general/rawxml.tcl, plugins/general/xcommands.tcl,
	  plugins/roster/annotations.tcl, pubsub.tcl, register.tcl,
	  search.tcl, userinfo.tcl: Removed usage of global variable font.

2008-01-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/filetransfer/si.tcl: Registered filetransfer feature to
	  include it into disco#info replies.

2008-01-23  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-01-15  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber.tcl: Moved loading BWidget below sourcing config file to
	  allow adding/removing directories to auto_path in config.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-01-05  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl, ifacetk/iroster.tcl: Added simple roster filter.

	* ifacetk/iroster.tcl: Made roster filter case insensitive, added
	  Escape binding which clears filter string.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2008-01-03  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Fixed raising tab in case when a user clicks on "Open new
	  conversation" link which appears in chat tab if the other party
	  changes his/her nickname.

2007-12-31  Sergei Golovan  <sgolovan@nes.ru>

	* ifaceck/iface.tcl, ifacetk/iface.tcl: Added -raise option to add_win
	  to make it possible to raise new tab even if raise_new_tab option is
	  switched off. Also, added new raise_win function which raise a
	  corresponding tab.

	* chats.tcl, custom.tcl, disco.tcl, doc/tkabber.xml, ifacetk/iface.tcl,
	  joingrdialog.tcl, plugins/chat/histool.tcl,
	  plugins/chat/muc_ignore.tcl, plugins/general/message_archive.tcl,
	  plugins/general/rawxml.tcl, plugins/general/stats.tcl: Do not raise
	  new tabs (when raise_new_tab is off) only if it isn't created by a
	  Tkabber user himself, but by some external event (incoming message
	  etc.).

2007-12-30  Sergei Golovan  <sgolovan@nes.ru>

	* tclxml/sgmlparser.tcl, tclxml/tclparser-8.1.tcl, tclxml/xml-8.1.tcl:
	  Fixed bug with processing multiple XML attributes in case when one
	  of them contains unescaped >. Also, made XML parser more reliable
	  when parsing incomplete document (e.g.  correctly process XML
	  entities split into packets).

	* custom.tcl: Fixed back/forward moving in customize window history.

2007-12-28  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-12-27  Sergei Golovan  <sgolovan@nes.ru>

	* mclistbox/mclistbox.tcl: Fixed error message when selecting a row
	  (in Tcl/Tk 8.5.0).

2007-12-26  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-12-24  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-12-23  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl: Added unregistering and re-registering disco features.

	* pep.tcl: Added PEP customization group.

	* plugins/pep/user_activity.tcl, plugins/pep/user_mood.tcl,
	  plugins/pep/user_tune.tcl: Report corresponding features in disco,
	  added auto-subscription to PEP notifications.

2007-12-19  Sergei Golovan  <sgolovan@nes.ru>

	* mclistbox/mclistbox.tcl, plugins/pep/user_activity.tcl,
	  plugins/pep/user_mood.tcl, plugins/pep/user_tune.tcl,
	  tclxml/sgmlparser.tcl, tclxml/tclparser-8.1.tcl: Added -- to all
	  switch commands.

2007-12-16  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/windows/taskbar.tcl: Fixed tray and window icons change
	  during pixmaps theme switch (thanks to Konstantin Khomoutov).

2007-12-06  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/socks5.tcl: Fixed procedure call (thanks to Konstantin
	  Khomoutov).

2007-11-29  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.html, doc/tkabber.xml, README: Added an item to the list
	  of searchable windows (thanks to Konstantin Khomoutov).

2007-11-28  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/nick_colors.tcl: Replaced crc16 by sum for performance
	  reason and because crc16 fails to load in older Tcllib versions
	  (observed in Gentoo and Tcllib 1.6.1).

2007-11-25  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, plugins/chat/nick_colors.tcl: Implemented storing and
	  using nick colors using more efficient algorithm.

2007-11-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/draw_timestamp.tcl: Replaced [clock scan] by [expr] in
	  "23 hours 59 minutes ago" calculation.

2007-11-16  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/bwidget_workarounds.tcl: Fixed dialog definition if -parent
	  is explicitly empty.

2007-11-13  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/bwidget_workarounds.tcl: Make dialogs non-transient to their
	  parents if parents aren't viewable. Transient window in this case
	  become unmapped too and grab to it leads to complete application
	  hang.

2007-11-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Replace trailing dot by its hexadecimal
	  code to make it possible to create log files for JIDs which end by a
	  dot.

	* plugins/chat/histool.tcl: Fixed bug with showing history only for
	  odd JIDS in JID list (thanks to Konstantin Khomoutov).

2007-11-11  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed unneeded tab headers highlighting when
	  Tkabber window is not shown.

2007-11-10  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: A small addition to underscrolling fix.

	* plugins/si/ibb.tcl: Fixed incorrect error reporting.

	* plugins/si/ibb.tcl: Fixed processing of messages with type error
	  (by do not replying to them).

2007-11-09  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl, utils.tcl: Fixed chatlog window scrolling if a tabbar
	  row is added/removed when a tab is opened/closed.

2007-11-08  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg: Updated Polish translation (thanks to Irek Chmielowiec).

	* chats.tcl: Added workaround for underscrolled chatlog windows which
	  are opened at Tkabber startup and not mapped yet (so their height is
	  one pixel and adding any text to it likely switches off smart
	  scrolling).

	* plugins/general/caps.tcl: Made hash attribute required and added
	  node attribute to make outgoing caps conforming to XEP-0115 (version
	  1.5).

2007-11-02  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-10-31  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

2007-10-30  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Fixed sending messages from raw XML
	  console (thanks to Konstantin Khomoutov).

2007-10-28  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/unix.xrdb: Fixed balloons resources.

	* messages.tcl: Made 'Add user' menu item inactive if the contact's
	  real JID isn't available (thanks to Konstantin Khomoutov).

	* *: Tagged 0.10.1-beta2 for release.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-10-27  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber.tcl: Increased priority for options read from default XRDB
	  files.

2007-10-26  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/autoconnect.tcl, jabberlib/https.tcl,
	  jabberlib/jabberlib.tcl, jabberlib/pkgIndex.tcl,
	  jabberlib/socks4.tcl, jabberlib/socks5.tcl,
	  jabberlib/transports.tcl: Renamed https, socks4 and socks5 modules
	  to autoconnect::https, autoconnect::socks4 and autoconnect::socks5.
	  Rewritten proxy modules loading scheme (now they are registered in
	  autoconnect).

	* ifaceck/ilogin.tcl, ifacetk/systray.tcl, msgs/ru.msg, pep.tcl:
	  Updated Russian translation.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-10-24  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib/https.tcl, jabberlib/socks3.tcl, jabberlib/socks5.tcl,
	  jabberlib/autoconnect.tcl: Fixed closing TCP socket to a proxy in
	  case of network problems.

2007-10-21  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/emoticons.tcl: Added support for JISP emoticon
	  sets (requires vfs::zip and Memchan Tcl extensions).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-10-18  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/windows/taskbar.tcl: Added window icons to all Tkabber
	  windows (thanks to Konstantin Khomoutov).

2007-10-15  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Replaced ... by \u2026 at the end of trimmed
	  button labels. This helps to show extra two symbols if a monospaced
	  font is used.

2007-10-14  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Added a procedure which returns chat ID given its window
	  name (thanks to Konstantin Khomoutov).

2007-10-11  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed binding of <FocusIn> and <FocusOut> to chat
	  windows/tabs (thanks to Konstantin Khomoutov).
	  Also, cleaned up corresponding hooks.

2007-10-10  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* jabberlib/transports.tcl: Fixed supported proxy types list.

2007-10-07  Sergei Golovan  <sgolovan@nes.ru>

	* examples/xrdb/*: Fixed *Balloon*foreground and *Balloon*background
	  resources.

	* tkabber.tcl, ckabber.tcl: Fixed default resources priority.

	* jabberlib/jabberlib.tcl: Fixed small typo.

	* doc/tkabber.html, doc/tkabber.xml, README: Added info on ctcomp
	  plugin.

	* plugins/iq/ping.tcl: Use jlib::emergency_disconnect (indirectly via
	  jlib::inmsg) for disconnecting/reconnecting after ping timeout. This
	  should fix race condition during reconnect.

	* *: Tagged 0.10.1-beta for release.

2007-10-06  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/: Renamed to jabberlib/ directory.

	* tclxml/*: Code cleanup, removed xmldep.tcl and xpath.tcl since they
	  are not necessary for jabberlib.

	* Makefile: Adopted to recent changes in directories list.

	* disco.tcl, ifacetk/iface.tcl, ifacetk/iroster.tcl,
	  plugins/general/avatars.tcl, plugins/general/subscribe_gateway.tcl,
	  plugins/roster/conferences.tcl,
	  plugins/general/xcommands.tcl, privacy.tcl, pubsub.tcl: Got rid of
	  ::jlib::route.

	* tkabber.tcl: Require jabberlib 0.10.1

	* splash.tcl: Fixed label flicker during loading package indices.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* doc/tkabber.html, doc/tkabber.xml, README: Added info on floatinglog
	  plugin.

	* balloon.tcl: Cleaned up usage of foreground and background resources
	  for balloon windows. Also, the meaning of padX and padY was changed.

	* examples/xrdb/*: Removed *Balloon*padX and *Balloon*padY resources.

	* msgs/ru.msg: Added translation of user mood, user tune, user
	  activity (thanks to Serge Yudin ans Konstantin Khomoutov).

2007-10-05  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl, doc/tkabber.xml: Removed keep-alive
	  periodic sending of space character to a server. XMPP Ping support
	  does this job much better (at cost of bigger traffic though).

	* jabberlib-tclxml/jabberlib.tcl, jabberlib-tclxml/transports.tcl,
	  jabberlib-tclxml/jlibsasl.tcl, jabberlib-tclxml/jlibtls.tcl,
	  jabberlib-tclxml/jlibcompress.tcl: Moved starting and finishing
	  stream to transports. Eventually it will allow to impolement unusual
	  stream start and finish (e.g. in BOSH, XEP-0124).

	* login.tcl: Increased default polling intervals. Moved to more
	  neutral options -httpurl, -httpusekeys, -httpnumkeys (they will be
	  used not only in HTTP polling).

	* jabberlib-tclxml/transports.tcl: Code cleanup, use separate
	  variables for different connections instead of a single array.

	* jabberlib-tclxml/tclxml: Moved to tkabber root directory.

	* jabberlib-tclxml/jabberlib.tcl, jabberlib-tclxml/wrapper.tcl,
	  tclxml/xml__tcl.tcl: Added -namespace option to xml::parser and made
	  possible to use tDOM as an XML parser. (tDOM parser is sensitive to
	  unbound XML namespaces though, so to enable it use variable
	  use_external_tclxml and set it to 1.)

	* doc/tkabber.html, doc/tkabber.xml, README: Added main changes in
	  0.10.1.

2007-09-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/emoticons.tcl: Ignore empty text as an emoticon
	  label (thanks to Konstantin Khomoutov).

2007-09-21  Sergei Golovan  <sgolovan@nes.ru>

	* private.tcl, tkabber.tcl: Separated interface to private XML storage
	  (XEP-0049). Eventually private information via pubsub (XEP-0223)
	  backend will be added.

	* plugins/roster/annotations.tcl, plugins/roster/conferences.tcl,
	  plugins/roster/roster_delimiter.tcl: Switched to a separated private
	  XML storage interface.

	* ifacetk/systray.tcl: Added call to [wm withdraw .] to please some
	  window managers when raising main window.

2007-09-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/xaddress.tcl: Moved address rewriting to
	  rewrite_message_hook, check for forged address changes.

	* ifacetk/systray.tcl, plugins/unix/dockingtray.tcl,
	  plugins/unix/systray.tcl, plugins/unix/tktray.tcl,
	  plugins/windows/taskbar.tcl: Split main window showing and hiding
	  into two separate gestures: left mouse button shows main window,
	  middle mouse button hides.

	* ifacetk/iface.tcl: Added a few words describing systray icon
	  behavior.

	* ifacetk/systray.tcl: Raise main window to top when showing it.

	* plugins/chat/events.tcl, plugins/chat/chatstate.tcl: Registered
	  jabber:x:event and http://jabber.org/protocol/chatstates as Disco
	  features.

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

2007-09-18  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Fixed showing own resources if username is not
	  in lowercase.

2007-09-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/popupmenu.tcl: Fixed double encoding of Google query to
	  UTF-8.

2007-09-16  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Fixed bug with reconfiguring photo after it is
	  destroyed.

	* plugins/pep/user_tune.tcl: Replaced positional arguments of publish
	  procedure by optional ones.

2007-09-08  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg, trans/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

2007-09-05  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg, trans/pl.msg: Updated Polish translation (thanks to
	  Irek Chmielowiec).

2007-09-04  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/ilogin.tcl, jabberlib-tclxml/jabberlib.tcl,
	  jabberlib-tclxml/jlibsasl.tcl, login.tcl: Added new option to
	  disable X-GOOGLE-TOKEN SASL mechanism. This helps if Tkabber cannot
	  connect to Google via HTTPS. Also, made error message about SASL
	  mechanisms more clear.

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

	* plugins/chat/histool.tcl: Ignore damaged history messages during
	  search in history.

2007-09-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Made reporting OS version optional as
	  required by XEP-0092.

2007-09-02  Sergei Golovan  <sgolovan@nes.ru>

	* login.tcl: Added $connid suffix to authentication error dialog path
	  to avoid conflict if several connections are used simultaneously.

2007-08-31  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml, jidlink.tcl,
	  plugins/filetransfer/jidlink.tcl, plugins/jidlink/dtcp.tcl,
	  plugins/jidlink/ibb.tcl, tkabber.tcl: Moved Jidlink (obsolete
	  undocumented filetransfer protocol) support to an external plugin.

	* ifaceck/iroster.tcl, ckabber.tcl, splash.tcl: Removed references to
	  Jidlink.

	* examples/xrgb/*.xrdb: Added inactiveSelectBackground definitions.

	* msgs/ru.msg: Updated Russian translation.

2007-08-30  Sergei Golovan  <sgolovan@nes.ru>

	* README, browser.tcl, datagathering.tcl, disco.tcl, doc/tkabber.html,
	  doc/tkabber.xml, ifacetk/default.xrdb, ifacetk/iface.tcl,
	  ifacetk/unix.xrdb, muc.tcl, plugins/general/headlines.tcl,
	  plugins/general/offline.tcl, plugins/general/subscribe_gateway.tcl,
	  plugins/general/xcommands.tcl, plugins/iq/browse.tcl,
	  plugins/unix/icon.tcl, plugins/windows/taskbar.tcl, register.tcl,
	  search.tcl, tkabber.tcl, userinfo.tcl: Moved Jabber Browser (XEP-0011)
	  support to an external plugin since it is deprecated for a long time.
	  Moved registering Disco features (and Browser namespaces) to a new
	  hook. Replaced JBrowser window class by JDisco.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-08-18  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/xcommands.tcl: Fixed x:data cleanup on completing or
	  cancelling ad-hoc command.

	* plugins/pep/user_mood.tcl: Fixed typo (thanks to Roger Sondermann).

	* msgs/de.msg: Updated German translation (thanks to Roger Sondermann).

	* plugins/general/headlines.tcl: Ensure that color of read messages is
	  not an empty string. Also, minor code cleanup.

	* plugins.tcl: Sort list of files to source to make order of loaded
	  plugins always the same.

	* plugins/pep/user_mood.tcl: Fixed status line notifications.

	* plugins/pep/user_activity.tcl: Added preliminary user activity
	  implementation (XEP-0108).

	* plugins/pep/user_mood.tcl, plugins/pep/user_activity.tcl: Fixed
	  multiuser support.

	* plugins/pep/user_tune.tcl: Added preliminary user tune
	  implementation (XEP-0118).

	* plugins/pep/user_activity.tcl: Fixed publishing an activity without
	  a subactivity, and fixed showing user activity in userinfo window.

	* plugins/pep/user_tune.tcl: Fixed showing user tune in userinfo window.

2007-08-17  Sergei Golovan  <sgolovan@nes.ru>

	* pubsub.tcl: Added notification support when deleting published item.

	* pep.tcl: Added item ID support when publishing PEP item. Also, added
	  a node deleting procedure.

	* plugins/pep/user_mood.tcl: Added support of deleting published user
	  mood. Also, added publishing user mood for all connected resources
	  simultaneously.

2007-08-16  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Register jabber:x:data to show in disco#info
	  responses (closes:
	  http://www.jabber.ru/bugzilla/show_bug.cgi?id=365).

	* messages.tcl: Register jabber:x:oob to show in disco#info
	  responses (closes:
	  http://www.jabber.ru/bugzilla/show_bug.cgi?id=366).

	* disco.tcl: Sort features list on sending disco#info response.

	* tkabber.tcl: Reordered files sourcesd at Tkabber start to allow
	  registering jabber:x:oob as a disco feature in messages.tcl.

	* plugins/general/tkcon.tcl: Fixed clearing checkmark in main menu on
	  closing TkCon window.

	* plugins/windows/console.tcl: Fixed clearing checkmark in main menu on
	  closing console window.

2007-08-15  Sergei Golovan  <sgolovan@nes.ru>

	* examples/tools/jsend.tcl, examples/tools/rssbot.tcl: Fixed sending
	  available presence and removed loading unnecessary Tclx package.

2007-08-12  Sergei Golovan  <sgolovan@nes.ru>

	* iq.tcl: Switched to returning service-unavailable instead of
	  feature-not-implemented as recommended by RFC-3291.

	* plugins/iq/ping.tcl: Return service-unavailable instead of
	  swallowing ping request because it's mandatory to reply to every IQ
	  request.

	* plugins/general/caps.tcl: Index array of features lists not only by
	  hash values but also by hash methods.

	* plugins/roster/conferenceinfo.tcl: Added service-unavailable to
	  caught jabber:iq:browse errors.

	* muc.tcl: Added a hack to change room nickname instead of joining if
	  we are already in the room.

2007-08-11  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/tclxml/xml-8.1.tcl: Fixed parsing XML attributes
	  which end by an equal sign.

	* jabberlib-tclxml/jabberlib.tcl: Add any tags (not only <x/>) to a
	  presence extensions list.

	* plugins/general/caps.tcl: Added entitiy capabilities support
	  (XEP-0115, version 1.4).

2007-08-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Fixed bug with pretty-printing tags with
	  no attributes.

	* plugins/general/headlines.tcl: Ignore empty messages with also empty
	  attached URL and description.

2007-08-08  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/socks4.tcl: Fixed checking SOCKS server response.

	* login.tcl: Added readable connect error messages.

	* jabberlib-tclxml/socks4.tcl: Changed error reporting.

	* jabberlib-tclxml/https.tcl: Report error if connection to a proxy
	  server fails.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-08-07  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/rawxml.tcl: Removed redundant xmlns attributes from
	  pretty-printed XML for better readability.

	* plugins/chat/histool.tcl: Fixed history tree if JID resources
	  contain double colons.

2007-08-06  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Fixed roster item menu commands in case
	  when multiple contact resources connected and the command contains
	  menu path (as in plugins/general/copy_jid.tcl).

	* plugins/search/spanel.tcl: Removed update idletasks to make creating
	  chat window an atomic operation (this helps if there are several
	  offline messages incoming).

2007-08-05  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Fixed cascaded roster item submenus in case of
	  multiple contact resources connected.

	* plugins/pep/user_mood.tcl: Use JIDs without resource for sending
	  user mood subscription/unsubscription stanzas via roster item menu.

2007-08-03  Sergei Golovan  <sgolovan@nes.ru>

	* pep.tcl: Fixed customization of menu tearoffs.

	* plugins/pep/user_mood.tcl: Fixed publishing of translated mood.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-08-01  Sergei Golovan  <sgolovan@nes.ru>

	* pep.tcl, pubsub.tcl, tkabber.tcl: Moved personal evening support to
	  a separate file (thanks to Konstantin Khomoutov).

	* plugins/pep/user_mood.tcl: Added user mood (XEP-107) support as an
	  exercise on personal eventing (thanks to Konstantin Khomoutov).

2007-07-31  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/tclxml/xml-8.1.tcl: Fixed tokenizing regexp to
	  match CDATA XML declaration (this bug was introduced at
	  2005-04-07 when parsing unescaped > in tag attributes was fixed).

	* login.tcl: Fixed 'Logout with reason' dialog. It incorrectly reused
	  existing .logout window.
	  (Closes http://www.jabber.ru/bugzilla/show_bug.cgi?id=341)

	* plugins/unix/icon.tcl: Do not load static icon if WindowMaker dock
	  is used.
	  (Closes http://www.jabber.ru/bugzilla/show_bug.cgi?id=342)

	* si.tcl: Fixed an application error message in case of cancelled file
	  transfer.
	  (Closes http://www.jabber.ru/bugzilla/show_bug.cgi?id=358)

	* plugins/filetransfer/http.tcl: Report an error message in case of
	  unsuccessful HTTP reply.
	  (Closes http://www.jabber.ru/bugzilla/show_bug.cgi?id=361)

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-07-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Added ~ to symbols which are escaped
	  during JID-to-filename conversion.

2007-07-23  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-07-22  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg, trans/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

2007-07-21  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Show descriptions in a balloon over the form
	  fields (closes: http://www.jabber.ru/bugzilla/show_bug.cgi?id=359).

2007-07-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Added upcoming asia TLD and changed URL
	  regexp to accept URLS like http://example.org?par=val (without a
	  slash after a domain name).

2007-07-16  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/https.tcl: Fixed bug with authorization at HTTPS
	  proxy server.

2007-07-15  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/ntlm.tcl: Wrapped md5::md5 procedure to make
	  possible using md5 package earlier than 2.0.

	* jabberlib-tclxml/transports.tcl, jabberlib-tclxml/https.tcl: Moved
	  HTTPS proxy support to a separate https package.

	* jabberlib-tclxml/socks4.tcl, jabberlib-tclxml/socks5.tcl: Added
	  SOCKS4a and SOCKS5 proxy support (the code is mostly borrowed from
	  Mats Bengtsson).

	* jabberlib-tclxml/autoconnect.tcl: Added a wrapper over the socket
	  command, which allows to connect via proxy.

	* jabberlib-tclxml/jabberlib.tcl, jabberlib-tclxml/transports.tcl:
	  Made use of socks4, socks5 and https packages. Unfinished yet, todo
	  meaningful error messages.

	* login.tcl, ifacetk/ilogin.tcl: Added support for new proxy types.
	  Changed binary loginconf(useproxy) to loginconf(proxy) with values
	  none, socks4, socks5, https. Changed loginconf(httpproxy) to
	  loginconf(proxyhost), loginconf(httpport) to loginconf(proxyport),
	  loginconf(httplogin) to loginconf(proxyusername) and
	  loginconf(httppassword) to loginconf(proxypassword) option names.

	* doc/tkabber.xml, doc/tkabber.html, README: Documented changes in
	  options.

2007-07-12  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/wrapper.tcl: Do not add xmlns attribute to an XML
	  element if it is the same as for its parent element.

2007-07-11  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/tclxml/sgmlparser.tcl,
	  jabberlib-tclxml/namespaces.tcl,
	  jabberlib-tclxml/jabberlib.tcl,
	  jabberlib-tclxml/jlibcomponent.tcl: Made XML namespace prefixes
	  converted to xmlns attributes. Still ignore invalid prefixes.

	* jabberlib-tclxml/tclxml/sgmlparser.tcl: Fixed default xmlns
	  processing (popping from stack). Also made code more readable
	  and removed some pre 8.1 code.

2007-07-09  Sergei Golovan  <sgolovan@nes.ru>

	* hooks.tcl: Allowed hook priority to take real value instead of
	  integer. This helps inserting a procedure to a hook between two
	  existing procedures easier.

	* msgs/it.msg: Updated Italian translation (thanks to Mikhail
	  Zakharenko)

	* plugins/si/socks5.tcl: Replaced buggy 'proxy.jabber.org' by known
	  to work 'proxy.netlab.cz' and 'proxy.jabber.cd.chalmers.se' in
	  default proxy list.

	* muc.tcl: Added chat messages about changes in occupants' roles and
	  affiliations (thanks to Konstantin Khomoutov).

	* msgs/ru.msg: Updated (thanks to Konstantin Khomoutov).

	* plugins/roster/rosterx.tcl, search.tcl: Turned optional connection
	  ID arguments to obligatory ones.

2007-06-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/filetransfer/si.tcl: Don't close SOCKS5 connection upon
	  receiving announced number of bytes because it leads to problems
	  when the other side closes the socket.

2007-06-15  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Request vCard from recipient bare JID except if the
	  user is a groupchat member.

2007-06-13  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Added 'Subscription' submenu to service popup menu in
	  main roster.

2007-06-09  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl, messages.tcl,
	  examples/tools/jsend.tcl, examples/tools/rssbot.tcl: Made
	  -connection option mandatory for jlib::send_msg. This prevents
	  sending messages to wrong connection.

	* jabberlib-tclxml/jabberlib.tcl: Made parsing options in
	  jlib::send_msg and jlib::send_presence more efficient.

	* jabberlib-tclxml/jabberlib.tcl: Made -connection option mandatory
	  for jlib::send_presence. This prevents sending presence to wrong
	  connection.

2007-05-29  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Fixed setting active page when -raisecmd
	  is not called on activation.

2007-05-28  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Don't call -raisecmd command on first
	  page creation.

2007-05-27  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Fixed activation of the first added
	  button and deactivation of the last removed button (thanks to
	  Konstantin Khomoutov).

2007-05-25  Sergei Golovan  <sgolovan@nes.ru>

	* richtext.tcl: Added -nonewline option to ::richtext::render_message
	  procedure.

	* plugins/chat/draw_xhtml_message.tcl: Bugfix. Use -nonewline option in
	  ::richtext::render_message calls when rendering XHTML messages.

2007-05-21  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.xml, doc/tkabber.html, README: Fixed grammar in several
	  sentences (thanks to Peter Kudinov).

	* pixmaps.tcl: Added JISP support (XEP-0038) for pixmap set loader. It
	  requires vfs::zip, Memchan and Trf packages.

	* jabberlib-tclxml/transports.tcl, jidlink.tcl, messages.tcl,
	  plugins/filetransfer/jidlink.tcl,
	  plugins/general/message_archive.tcl, plugins/general/remote.tcl,
	  plugins/jidlink/dtcp.tcl, plugins/jidlink/ibb.tcl, si.tcl,
	  tkabber.tcl, utils.tcl: Renamed [random] procedure to [rand] to
	  prevent clash with one from Memchan package, which is loaded for
	  JISP support.

2007-05-08  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed main window gometry in untabbed mode
	  (thanks to Konstantin Khomoutov).

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-05-06  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Moved tab buttons closer to tabs themselves.

2007-05-01  Sergei Golovan  <sgolovan@nes.ru>

	* emoticons/default/icondef.xml: Lowered case of emoticons filenames.

	* emoticons/default/faceyukky.gif,
	  emoticons/default/facehappy.gif,
	  emoticons/default/facestartled.gif,
	  emoticons/default/faceironic.gif,
	  emoticons/default/facestraight.gif,
	  emoticons/default/facewinking.gif,
	  emoticons/default/facesad.gif,
	  emoticons/default/facegrinning.gif: Updated (thanks to Artem
	  Bannikov).

2007-04-29  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Fixed displaying announcement log messages
	  in groupchat logs (thanks to Konstantin Khomoutov).

	* plugins/general/autoaway.tcl: Added support for tkinactive package
	  from TIP 245 (see http://wiki.tcl.tk/14765) in Windows (thanks to
	  Konstantin Khomoutov).

	* ifacetk/buttonbar.tcl: Cleanup in redraw buttonbar code.

2007-04-24  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Fixed raising tab page if this page is
	  already activated.

2007-04-22  Sergei Golovan  <sgolovan@nes.ru>

	* configdir.tcl, splash.tcl, tkabber.tcl: Fixed bug when Tkabber
	  couldn't show message dialogs during config directory transfer
	  because the main window was withdrawn (thanks to Konstantin
	  Khomoutov).

2007-04-21  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Quickfixed bug with "bad window path name
	  ".pages.ftab_0"" on updating tab foregrounds.

2007-04-19  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl: Fixed displaying vertical tabbar. Before
	  that it might be wider than required and under certain conditions
	  there was an infinite <Configure> event loop.

	* ifacetk/iface.tcl: Color active tab foreground to highlight received
	  messages when Tkabber has lost focus.

2007-04-18  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/buttonbar.tcl, ifacetk/iface.tcl, ifacetk/systray.tcl,
	  examples/xrdb/badlop-dark.xrdb, examples/xrdb/black.xrdb,
	  examples/xrdb/dark.xrdb, examples/xrdb/dark2.xrdb,
	  examples/xrdb/green.xrdb, examples/xrdb/ice.xrdb,
	  examples/xrdb/light.xrdb, examples/xrdb/lighthouse.xrdb,
	  examples/xrdb/teopetuk.xrdb, examples/xrdb/warm.xrdb: Merged
	  changes from tkabber-tabbar branch. Changes introduce new user
	  interface in tabbed mode.

	* plugins/general/session.tcl: Lowered priority of state loading
	  procedure to make it work with colors in chat windows.

2007-04-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Fixed bug with converting chatlogs
	  directory if its definition contains trailing slash.

	* doc/tkabber.xml, doc/tkabber.html, README: Fixed URL of Img
	  extension project.

2007-04-13  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default-blue/docking/tkabber.ico,
	  pixmaps/default-blue/docking/available-dnd.gif,
	  pixmaps/default-blue/roster/available-dnd.gif,
	  pixmaps/default-blue/icondef.xml: Changed DND icons in Default-blue
	  theme (thanks to Artem Bannikov).

2007-04-12  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl: Fixed bug with delayed delivery
	  timestamps.

	* messages.tcl: Fixed jabber:x:data form processing. Before this fix
	  Tkabber displayed not the form itself.

	* datagathering.tcl, muc.tcl: Returned cancel_command ardument to
	  data::draw_window routine. Use it while configuring MUC rooms.

	* register.tcl, search.tcl: Manage focus using return value from
	  data::fill_fields procedure.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* msgs/ru.msg: Updated Russian translation.

	* pixmaps/default/tkabber/gpg-signed.gif,
	  pixmaps/default/tkabber/gpg-badsigned.gif,
	  pixmaps/default/tkabber/gpg-unsigned.gif,
	  pixmaps/default/tkabber/gpg-vsigned.gif: Updated (thanks to Artem
	  Bannikov)

	* pixmaps/default/services/server.gif, pixmaps/default/icondef.xml:
	  Added icon for jabber servers in service discovery windows (thanks
	  to Artem Bannikov).

	* doc/tkabber.xml, doc/tkabber.html, README: Added few more lines to
	  the release highlights.

	* doc/tkabber.xml, doc/tkabber.html, README: Fixed download URLs.

	* plugins/richtext/emoticons.tcl: Restored procedure
	  ::emoteicons::load_dir, which loads emoticons set for compatibility
	  with older Tkabber versions.

	* contrib/starkit/main.tcl: Require Tk package at script upper level.

	* doc/tkabber.xml, doc/tkabber.html, README: Added upgrade notes and
	  extended release notes.

	* doc/tkabber.xml, doc/tkabber.html, README: Bumped stable version to
	  0.10.0.

	* *: 0.10.0 is released.

	* tkabber.tcl: Pushed version number to 0.10.0-svn.

2007-04-11  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl: Added partial support of XEP-0203
	  (delayed delivery).

	* plugins/search/search.tcl: Fixed searching substrings and glob
	  patterns.

	* messages.tcl: Ignore empty jabber:x:data form in messages.

2007-04-10  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl, presence.tcl: Moved showing unsubscribed message
	  dialog to messages.tcl and made several dialogs possible.

2007-04-09  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default/services/jud.gif, pixmaps/default/services/sms.gif:
	  Updated (thanks to Artem Bannikov).

	* pixmaps/default/docking/tkabber.ico,
	  pixmaps/default/docking-blue/tkabber.ico: Changed 32x32 icon from
	  a bulb to a feather (thanks to Artem Bannikov).

	* ifacetk/iface.tcl: Fixed chat window/tab title updates when
	  rendering a presence message.

2007-04-08  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Accept subdirs list when creating chatlog
	  window to prevent extra directory tree scanning (thanks to
	  Konstantin Khomoutov).

	* plugins/search/spanel.tcl: Removed checking for existence of search
	  form. It should be done in search routines. Also added 'Stop' button
	  and stop search callback (thanks to Konstantin Khomoutov).

	* plugins/chat/histool.tcl: Redone full-text search to use stop search
	  callback and to avoid [update] calls.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* ifacetk/iroster.tcl: Changed default roster icon from empty to
	  ordinary user icon.

	* msgs/uk.msg: Updated Ukrainian translation (thanks to Artem
	  Bondarenko).

	* datagathering.tcl, plugins/chat/logger.tcl: Fixed switch statements
	  (added missing --).

	* plugins/search/search.tcl, roster.tcl: Fixed regexp statements
	  (added missing --).

	* datagathering.tcl: Added support for several values in list-multi
	  and fixed data fields (thanks to Artem Borodin).

	* remote.tcl: Added ad-hoc wizards support to remote command
	  scheduler (thanks to Artem Borodin).

	* xcommands.tcl: Uncommented draw_window calls to partially support
	  ad-hoc wizards (thanks to Artem Borodin).

	* msgs/ru.msg: Updated Russian translation.

2007-04-02  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* plugins/roster/conferences.tcl: Fixed bug with autojoin when this
	  attribute is set to 'true'.

2007-04-01  Sergei Golovan  <sgolovan@nes.ru>

	* contrib/starkit/README: Fixed double README.

	* privacy.tcl: Ensure conference list loading before any join room
	  attempt is made. Without that it would be possible for conference
	  list to become empty if there are autojoined conferences in
	  bookmarks or if a user loads Tkabber's state on start.

2007-03-31  Sergei Golovan  <sgolovan@nes.ru>

	* contrib/starkit/main.tcl: Fixed usage of starkit::topdir variable,
	  requre Tk package because Linux tclkit doesn't require it by
	  default and forget zlib package to make it possible to use
	  compressed XMPP streams (thanks to Konstantin Khomoutov, Sergey
	  Yudin and Ruslan Rakhmanin).

	* contrib/starkit/README: Added README for those, who want to create
	  Tkabber starkits (thanks to Konstantin Khomoutov, Sergey Yudin and
	  Ruslan Rakhmanin).

2007-03-30  Sergei Golovan  <sgolovan@nes.ru>

	* splash.tcl, tkabber.tcl: Override bgerror even if splash screen is
	  not used. Also, don't show the second error message if the previous
	  one is shown.

	* plugins/chat/histool.tcl: Display chat log on <Return> in JID
	  list tab. Also, don't export listbox selection.

	* messages.tcl: Fixed race condition when receiving several
	  subscription requests.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-29  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-28  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Fixed grid options in MUC lists editing windows. Also,
	  added the possibilty of changing reasons without changing
	  affiliation.

	* plugins/chat/histool.tcl: Added scrolling in logs tree using
	  mousewheel.

2007-03-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/windows/mousewheel.tcl, ifacetk/idefault.tcl: Moved scroll
	  bindings outside from windows plugin.

2007-03-25  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Process all errors in MUC presence.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-23  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-22  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-21  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

	* plugins/general/avatars.tcl: Fixed avatars menu in case of
	  non-tornoff menus (thanks to Roger Sondermann).

2007-03-18  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* msgs/ru.msg: Updated Russian translation.

2007-03-17  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber.tcl: Fixed Tkabber rootdir definition for starkit. Added
	  starkit initialization (thanks to Konstantin Khomoutov).

	* contrib/starkit/main.tcl: Added main.tcl starkit script (thanks to
	  Konstantin Khomoutov).

	* jabberlib-tclxml/jlibdns.tcl: Fixed nameservers list if they are
	  separated by commas in corresponding registry key in Windows (thanks
	  to Irek Chmielowiec).

	* privacy.tcl, msgs/ru.msg, msgs/pl.msg, msgs/uk.msg, msgs/de.msg:
	  Fixed typo.

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

2007-03-14  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg: Updated Polish translation (thanks to Irek
	  Chmielowiec).

	* plugins/search/spanel.tcl: Added checking for existence of search
	  panel after the search is done.

	* plugins/chat/histool.tcl: Do not throw an error if the user breaks
	  full-text search by closing chats history window.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-11  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* plugins/chat/histool.tcl: Optimized JID list sorting (thanks to
	  Konstantin Khomoutov).

2007-03-10  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl: Made -connection argument mandatory
	  for send_iq. Call user callback even in case of disconnect.

	* disco.tcl, examples/tools/rssbot.tcl, filters.tcl, login.tcl,
	  plugins/general/stats.tcl, plugins/roster/rosterx.tcl,
	  plugins/si/ibb.tcl, plugins/si/iqibb.tcl, pubsub.tcl, userinfo.tcl:
	  Added -connection argument to all jlib::send_iq calls, where it was
	  missing. Fixed several bugs with backslash at the end of line.

	* privacy.tcl: Made error messageboxes appear only in case of errors
	  (ignore disconnects).

	* jabberlib-tclxml/jabberlib.tcl: Added few extra checks if connection
	  exists.

	* plugins/general/headlines.tcl: After removing a from headlines tree
	  select the closest node to make keyboard traversal easier (thanks to
	  Konstantin Khomoutov).

	* msgs/uk.msg: Updated Ukrainian translation (thanks to Artem
	  Bondarenko).

	* plugins/windows/taskbar.tcl, plugins/unix/dockingtray.tcl,
	  plugins/unix/systray.tcl, plugins/unix/tktray.tcl: Added extra
	  checks for icon existence.

	* plugins/search/spanel.tcl: Added few new options to search panel
	  (-allowclose, -twoway, -defaultdirection, thanks to Konstantin
	  Khomoutov).

	* plugins/chat/logger.tcl, plugins/search/logger.tcl: Added
	  possibility to open log window at a specific message by timestamp
	  (thanks to Konstantin Khomoutov).

	* plugins/chat/histool.tcl: Added full-text search in all stored
	  chatlogs (thanks to Konstantin Khomoutov).

2007-03-09  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl, splash.tcl, tkabber.tcl: Withdraw main window at
	  the very beginning because otherwise it's visible (and pretty ugly)
	  during confid directory transfer.

	* userinfo.tcl: Fixed typo (destroying userinfo window didn't delete
	  correspondent variabla trace).

	* userinfo.tcl: Rearranged controls on photo page because otherwise it
	  isn't possible to replace large photos.

	* ifacetk/iface.tcl: Fixed profiling option ::enable_profiling.

2007-03-08  Sergei Golovan  <sgolovan@nes.ru>

	* presence.tcl, ifacetk/iroster.tcl: Show presence priority in roster
	  contact tooltips.

	* presence.tcl, plugins/chat/histool.tcl, messages.tcl,
	  ifacetk/iroster.tcl: Made messages, which are shown to user, more
	  clear.

	* msgs/ru.msg: Updated Russian translation.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* config.tcl: Renamed to configdir.tcl. Name config.tcl confuses
	  people.

	* tkabber.tcl: Use configdir.tcl instead of config.tcl.

2007-03-07  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl, chats.tcl: Added new option
	  ::muc::options(gen_muc_status_change_msgs) which allows to enable
	  groupchat status messages separately from chat status messages.

	* roster.tcl, ifacetk/iroster.tcl: Added "My Resources" roster group,
	  which contains own JID.

	* gpgme.tcl, plugins/chat/logger.tcl,
	  plugins/roster/fetch_nicknames.tcl, plugins/roster/annotations.tcl,
	  itemedit.tcl, messages.tcl: Fixed roster menu items if the JID,
	  where the menu is popped up, doesn't belong to the roster. The bug
	  appeared in "My Resources" and "Active chats" roster groups, and in
	  chat windows menus.

	* plugins/general/jitworkaround.tcl: Fixed bug which appeared if
	  subscribed presence from JIT comes before the roster item.

	* roster.tcl, ifacetk/iface.tcl, ifacetk/iroster.tcl: Renamed option
	  for showing own resources in roster. Added menu item for quick
	  change in this option.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* presence.tcl: Added custom presence menu to service contacts in
	  roster.

	* messages.tcl: Added menu item for granting subscription (this helps
	  if for some reason mutual subscription of two users is in
	  inconsistent state).

2007-03-06  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Fixed moving interface tabs by keyboard shortcuts
	  <Control-Meta-Prior> and <Control-Meta-Next>.

	* msgs/de.msg, trans/de.msg: Updated German translation (thanks to
	  Roger Sondermann).

	* ifacetk/iface.tcl: Moved "Activate privacy lists at startup" higher
	  in the menu item list.

	* privacy.tcl: Fixed bug with adding items to conference list, made
	  all privacy lists updated in one transaction without packets in
	  between. This makes changes in privacy lists taking significantly
	  more time. Fixed Tkabber behavior in case if server doesn't support
	  privacy lists (closes
	  http://yo.jabber.ru/bugzilla/show_bug.cgi?id=333).

	* privacy.tcl: Set priority of initial privacy list activation on
	  connect to the higher value to ensure it starts first.

	* pixmaps/default/icondef.xml: Added weather icons in addition to
	  x-weather (closes http://yo.jabber.ru/bugzilla/show_bug.cgi?id=327).

2007-03-04  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* msgs/ru.msg: Updated Russian translation (thanks to Konstantin
	  Khomoutov).

	* plugins/chat/abbrev.tcl: Made translated messages extractable by
	  the extraction script.

	* plugins/chat/logger.tcl: Fixed bug with showing empty history.

	* plugins/search/*: Added unified search panel interface (thanks to
	  Konstantin Khomoutov). Use this interface for searching in all
	  Tkabber windows.

	* plugins/general/headlines.tcl: Moved search functions to
	  plugins/search/headlines.tcl.

	* plugins/search/spanel.tcl: Fixed error message.

	* plugins/search/search.tcl: Added functions to search in listboxes
	  (thanks to Konstantin Khomoutov).

	* plugins/chat/histool.tcl: Added Chats history tool plugin (thanks
	  to Konstantiin Khomoutov).

	* doc/tkabber.xml, doc/tkabber.html, README: Added info about chats
	  history tool.

	* Makefile: Removed reference to aniemoteicons directory.

	* *: 0.10.0-beta2 is released.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-03-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Bugfix. Removed trailing linefeed
	  from subject to prevent its scrolling.

	* plugins/search/search.tcl: Bugfix. Fixed search panel entry
	  background coloring after successful search.

	* pixmaps/default/icondef.xml, pixmaps/default/tkabber/*.gif: Replaced
	  chat-bookmark and xaddress icons by new versions (thanks to Artem
	  Bannikov).

	* pixmaps/stars/icondef.xml: Renamed chat-bookmark icons.

	* plugins/chat/popupmenu.tcl: Renamed chat-bookmark image name.

	* plugins/general/xaddress.tcl: Renamed xaddress/info image name.

	* plugins/general/remote.tcl: Allow action execute at the final
	  ad-hoc command step.

	* plugins/chat/abbrev.tcl: Added new plugin, which allows to
	  abbreviate words in chat input windows. <Shift-Space> expands
	  abbreviations (thanks to Konstantin Khomoutov).

	* aniemoteicons/*, tkabber.tcl, plugins/richtext/emoticons.tcl:
	  Converted aniemoticons to external plugin.

2007-03-02  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl, privacy.tcl: Redone accepting messages from
	  roster only to proagate to all connected resources.

2007-03-01  Sergei Golovan  <sgolovan@nes.ru>

	* doc/tkabber.xml: Added note about new privacy lists case.

	* gpgme.tcl: Fixed inconsistent behaviour when chat window icon
	  indicated unencrypted state and in fact the messages were encrypted.

2007-02-28  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Don't strip resource from JID when showing
	  chat log (if the user is in roster then resource is removed earlier,
	  otherwise the resource is nesessary to get private chat log with
	  conference users). Also, made possible showing a certain month log
	  instead of the latest (thanks to Konstantin Khomoutov).

	* chats.tcl: Fixed Alt-Prior and Alt-Next binding in chat input
	  windows.

	* ifacetk/iface.tcl: Don't count server messages in tab headers.

	* privacy.tcl, ifacetk/iface.tcl, muc.tcl: Added blocking all messages
	  to/from users, which aren't in the roster. Also, added special
	  privacy rule for conferences, to allow joining them even if they
	  aren't in the roster.

	* privacy.tcl: Added own JID to privacy lists, making communication
	  between own different resources possible even if messages from
	  users, which aren't in the roster, are blocked.

	* msgs/ru.msg: Updated Russian translation.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-02-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/remote.tcl, trans/pl.msg, trans/uk.msg,
	  trans/ru.msg, trans/es.msg, trans/de.msg, msgs/es.msg, msgs/pl.msg,
	  msgs/uk.msg, msgs/ru.msg, msgs/de.msg: Fixed user messages (thanks
	  to Roger Sondermann).

	* muc.tcl: Fixed reason processing during editing
	  (ban/member/admin/etc.) lists.

2007-02-26  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* pixmaps/default/tkabber/tkabber-logo.gif: Fixed edges of Tkabber
	  logo.

	* pixmaps/default/docking/tkabber.ico,
	  pixmaps/default-blue/docking/tkabber.ico: Changed icon colors to
	  make them look acceptable on Windows 2000 (where tray icons use
	  fixed 16-color palette).

	* pixmaps/default/docking/message-personal.gif: Minor change.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* trans/de.msg: Added German translation of error messages and forms
	  (thanks to Roger Sondermann).

2007-02-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Fixed bug with cursor restoring on
	  leaving URL.

	* ifacetk/iface.tcl, userinfo.tcl: Removed trailing newline from
	  URL one-line texts. This makes unneeded unbinding scrolling events.

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

2007-02-24  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/de.msg: Updated German translation (thanks to Roger
	  Sondermann).

	* doc/tkabber.xml, doc/tkabber.html, README: Added some info on
	  Tkabber look and feel. Aknowledged Artem Bannikov contribution to
	  Tkabber's new look (thanks to Konstantin Khomoutov).

2007-02-23  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default/tkabber/tkabber-logo.gif: New (preliminary) Tkabber
	  logo.

	* pixmaps/default/docking/tkabber.ico,
	  pixmaps/default-blue/docking/tkabber.ico: New (preliminary) windows
	  icons.

	* pixmaps/default/docking/message-personal.gif: Minor change.

	* splash.tcl: Changed position of Tkabber logo.

	* doc/tkabber.xml: Added renju plugin to changes list.

	* README, doc/tkabber.html: Updated.

	* *: 0.10.0-beta is released.

	* ifacetk/systray.tcl: Fixed bug with forgotten window geometry when
	  hiding main window to system tray.

	* msgs/uk.msg: Updated (thanks to Artem Bondarenko).

	* plugins/richtext/highlight.tcl: Fixed bug with highlighting
	  one-letter words.

2007-02-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/info_commands.tcl: Bugfix: send last, time and vaersion
	  queries to full user's JID if it was not found in the roster.

	* default.tcl, login.tcl, msgs/ca.msg, msgs/de.msg, msgs/es.msg,
	  msgs/eu.msg, msgs/fr.msg, msgs/nl.msg, msgs/pl.msg, msgs/pt.msg,
	  msgs/ru.msg, msgs/uk.msg, search.tcl: Fixed typos in translatable
	  messages.

	* plugins/unix/icon.tcl: Removed version check, since colored icons
	  are supported not only in Tcl/Tk 8.5.

2007-02-18  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/postpone.tcl: Added new plugin, which allows to
	  save input window content to a special buffer and restore it.
	  Inspired by push-line and get-line zsh commands (thanks to
	  Konstantin Khomoutov).

2007-02-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/fetch_nicknames.tcl: Bugfix. Don't try to fetch
	  nickname if there aren't such item in the roster.

2007-02-16  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Recent changes trigger unknown bug in Tcl/Tk from
	  Debian sarge, so reverted them.

2007-02-14  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl, userinfo.tcl: Unbound mousewheel bindings from
	  one-line URL text widgets. Also, unbound <<ScrollUp>> and
	  <<ScrollDown>> virtual events.

	* utils.tcl: Optimized procedures, which extract JID parts. Also fixed
	  a bug in procedure, which returns JID node (thanks to Konstantin
	  Khomoutov).

	* msgs/pl.msg: Updated Polish translation (thanks to Irek
	  Chmielowiec).

2007-02-13  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/es.msg: Updated Spanish translation (thanks to Badlop).

	* chats.tcl: Small fix for tclshat plugin.

2007-02-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/windows/taskbar.tcl: Reverted the previous change. It needs
	  more work.

	* pixmaps/default/services/aim*: Updated (thanks to Artem Bannikov).

2007-02-11  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default/tkabber/new-msg.gif,
	  pixmaps/default/tkabber/search_bk.gif,
	  pixmaps/default/tkabber/search_exact.gif,
	  pixmaps/default/tkabber/search_case.gif,
	  pixmaps/default/tkabber/search_fw.gif: Removed, as they are no
	  longer used.

	* custom.tcl: Added saving customize tab during state saving.

	* jabberlib-tclxml/jabberlib.tcl: Added procedures, which return
	  requested username, server and resource (before resource binding).
	  They are used in saving sessions.

	* chats.tcl: Bind chat tabs to requested JIDs, and not to real ones
	  (this helps if resource binding changes JID, as at gmail.com).

	* plugins/richtext/emoticons.tcl: Fixed (mitigated) bug with crash
	  during emoticons menu constructing.

	* jabberlib-tclxml/jabberlib.tcl: Added jlib::x_delay command to
	  calculate message time (and to workaround a bug with timestamp
	  format in some unknown Jabber client).

	* plugins/chat/logger.tcl, plugins/chat/draw_timestamp.tcl,
	  plugins/general/message_archive.tcl, plugins/general/headlines.tcl:
	  Use jlib::x_delay command.

	* muc.tcl, plugins/chat/irc_commands.tcl: Always include <password/>
	  element when joining a conference. Otherwise it becomes impossible
	  to join a password-protected room with empty password.

	* plugins/general/rawxml.tcl: Save tab on exit and restore it on
	  start.

	* plugins/general/session.tcl: Fixed order of restored tabs.

	* doc/tkabber.xml: Listed main changes in upcoming 0.10.0.

	* mclistbox-1.02, ckabber.tcl, tkabber.tcl: Renamed mclistbox-1.02
	  directory to mclistbox.

	* Makefile: Adapted to the current version. Separated installation of
	  scripts and docs.

	* ifacetk/systray.tcl, plugins/windows/taskbar.tcl: Code cleanup,
	  changed systray icon behaviour in Windows (doubleclick deiconifies
	  Tkabber window).

	* plugins/richtext/stylecodes.tcl: Removed unnecessary variable
	  reference.

	* plugins/richtext/emoticons.tcl, ifacetk/iface.tcl: Added
	  emoticons quick showing and hiding.

2007-02-10  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default/services/aim*, pixmaps/default/services/gg*,
	  pixmaps/default/services/mrim*, pixmaps/default/services/msn*,
	  pixmaps/default/services/weather*, pixmaps/default/services/yahoo*:
	  Updated (thanks to Artem Bannikov).

	* msgs/es.msg, msgs/pl.msg, msgs/ru.msg, msgs/uk.msg, pixmaps.tcl,
	  plugins/richtext/emoticons.tcl: Replaced ~/.tkabber by actual
	  config directory name.

	* pixmaps/default/roster/invisible.gif,
	  pixmaps/default/docking/invisible.gif: Fixed.

	* plugins/chat/chatstate.tcl: Made workaround of the bug in JIT, which
	  raise an error if chat state notification message is sent without a
	  body.

2007-02-09  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Launch browser on jabber:x:oob attachments, and
	  do not start file transfer.

	* pixmaps.tcl: Made possible to add pixmap directories during
	  startup.

	* plugins/unix/icon.tcl: Fixed window icons changes when pixmaps theme
	  is changed.

	* pixmaps/default/*, pixmaps/default-blue/*: Added new default Tkabber
	  pixmaps theme (unfinished yet) - big thanks to Artem Bannikov.

	* pixmaps/feather16/*: Renamed old default pixmaps theme.

	* pixmaps/stars/*: Added new Stars pixmaps theme (thanks to Serge
	  Yudin).

	* ifacetk/iface.tcl: Added clickable URL to 'About' window, removed
	  Tkabber logo from 'Quick help' window.

	* splash.tcl: Moved Tcl/Tk version up.

	* tkabber.tcl: Replace 'alpha' by 'SVN' in version label.

	* chats.tcl, plugins/iq/ping.tcl, plugins/chat/muc_ignore.tcl:
	  Slightly changed message strings.

	* msgs/ru.msg: Updated.

	* pixmaps/default/services/icq*: Updated (thanks to Artem Bannikov).

2007-02-08  Sergei Golovan  <sgolovan@nes.ru>

	* examples/tools/jsend.tcl: Adapted to new jabberlib version.

	* examples/tools/rssbot.tcl: Adapted to new jabberlib version.

	* plugins/general/headlines.tcl: Fixed 'Read on...' URL processing
	  (thanks to Konstantin Khomoutov).

	* plugins/chat/logger.tcl: Wrapped opening log files into cd call
	  (workaround of a bug with very long file names in Windows). Added
	  extra open file checks during log conversion.

	* plugins/general/headlines.tcl: Don't ignore headline messages with
	  empty URL or subject.

2007-02-07  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/socks5.tcl: Fixed bug with lowering case of JID. Resource
	  case does not need to be lowered.

	* plugins/si/socks5.tcl: Fixed bug with error on logout if there are
	  pending IQ requests to SOCKS5 capable proxy.

	* chats.tcl: Add informational message to chat window if it is a chat
	  with groupchat user and she changes nickname (thanks to Konstantin
	  Khomoutov).

	* chats.tcl, plugins/chat/draw_server_message.tcl,
	  plugins/chat/log_on_open.tcl, plugins/chat/logger.tcl,
	  plugins/chat/update_tab.tcl, plugins/general/sound.tcl:
	  Replaced 'synthetic' JID in genersted messages by empty JID to
	  make sure it cannot be a real JID (thanks to Konstantin Khomoutov).

	* plugins/richtext/urls.tcl: Fixed duplicate URL processing in case of
	  nonstandard URL's (thanks to Konstantin Khomoutov).

	* plugins/filetransfer/si.tcl: Close SOCKS5 connection upon receiving
	  announced number of bytes (helps to avoid infinite waiting if the
	  other side does not close the socket). Also, fixed cancelling of
	  incoming file transfer.

2007-02-01  Sergei Golovan  <sgolovan@nes.ru>

	* utils.tcl: Optiimized jid_to_tag (thanks to Konstantin Khomoutov).

	* gpgme.tcl: Added submenu, which allows to toggle traffic signing and
	  encryption, to main menu.

2007-01-31  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/wmdock.tcl: Fixed bug with processing messages from
	  chat history.

	* plugins/chat/update_tab.tcl: Don't update tab label color on
	  messages from chat history.

	* plugins/general/headlines.tcl: Fixed subject background definition.

2007-01-30  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Fixed description.

	* messages.tcl: Enabled sending normal message to groupchat users.

	* muc.tcl: Fixed sometimes duplicated MUC menu entries.

	* plugins/general/headlines.tcl: Added search in headlines.

	* msgs/uk.msg: Updated (thanks to Artem Bondarenko).

	* plugins/search/custom.tcl, custom.tcl: Added search in customize
	  window.

2007-01-27  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Made data form windows transient and made
	  default window height smaller.

	* examples/xrdb/badlop-dark.xrdb, examples/xrdb/black.xrdb,
	  examples/xrdb/dark.xrdb, examples/xrdb/dark2.xrdb,
	  examples/xrdb/green.xrdb, examples/xrdb/ice.xrdb,
	  examples/xrdb/light.xrdb, examples/xrdb/lighthouse.xrdb,
	  examples/xrdb/teopetuk.xrdb, examples/xrdb/warm.xrdb: Added
	  *readonlyBackground resource definition (it is used in MUC
	  management).

	* jabberlib-tclxml/jabberlib.tcl: Fixed unsetting variable, which
	  stores received IQ's id.

	* muc.tcl: Moved MUC room menu items to a submenu. Also, increased
	  width of input entries in configuration forms.

	* plugins/chat/muc_ignore.tcl, plugins/iq/ping.tcl: Fixed user
	  messages.

	* register.tcl: Made register form scrollable (see
	  http://www.jabber.ru/bugzilla/show_bug.cgi?id=313).

2007-01-26  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl: Added -timeout option to send_iq.

	* login.tcl: Removed unnecessary check whether "replace connections"
	  is set. Added extra call to jlib::disconnect to client:reconnect
	  procedure.

	* plugins/iq/ping.tcl: Implemented aggressive server ping with
	  reconnection on ping timeout.

	* utils.tcl: Added function caller, which returns the name
	  of upper level procedure or empty string if it is called at levels 0
	  or 1 (thanks to Konstantin Khomoutov).

	* custom.tcl: Use caller procedure from utils.tcl (thanks to
	  Konstantin Khomoutov).

	* examples/configs/mtr-config.tcl, ifacetk/iface.tcl,
	  plugins/chat/draw_error.tcl, plugins/chat/draw_info.tcl,
	  plugins/chat/draw_normal_message.tcl,
	  plugins/chat/draw_server_message.tcl,
	  plugins/chat/draw_xhtml_message.tcl,
	  plugins/chat/me_command.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl,
	  plugins/general/rawxml.tcl, plugins/chat/update_tab.tcl: Moved
	  most instances of tab_set_updated calls to ifacetk/iface.tcl and
	  plugins/chat/update_tab.tcl.

	* ifacetk/iface.tcl, plugins/chat/draw_normal_message.tcl,
	  plugins/chat/me_command.tcl, plugins/chat/update_tab.tcl,
	  plugins/chat/muc_ignore.tcl: Added new plugin, which allows to
	  ignore messages from given conference occupants. It is not finished
	  yet, but usable. (Thanks to Konstantin Khomoutov.)

2007-01-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/ping.tcl: Added reply to XMPP ping (XEP-0199) support.

	* iq.tcl: Explicitly allowed ignoring <iq/> requests.

2007-01-19  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/conferences.tcl: Do not autojoin already joined
	  conference room (this might change nickname, if it's unusual).

	* utils.tcl: Added two functions: lmap and lfilter to apply function
	  to list elements and to filter list using specified function.

	* chats.tcl, ifacetk/iface.tcl, ifacetk/iroster.tcl, muc.tcl,
	  plugins/chat/chatstate.tcl, plugins/chat/events.tcl,
	  plugins/chat/irc_commands.tcl, plugins/general/remote.tcl,
	  plugins/roster/conferenceinfo.tcl, plugins/roster/conferences.tcl,
	  presence.tcl: Code cleanup, removed almost all external references
	  to internal variables in ::chat namespace.

2007-01-18  Sergei Golovan  <sgolovan@nes.ru>

	* muc.tcl: Fixed reporting own presences in MUC rooms.

	* chats.tcl, ifacetk/bwidget_workarounds.tcl, ifacetk/iface.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl,
	  plugins/general/rawxml.tcl: Made a step toward using panedwindow
	  from Tk 8.5 and newer. It is still buggy yet, so this feature is
	  disabled for now. PanedWindow from BWidget is still used.

2007-01-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/icon.tcl: Added plugin, which sets Tkabber titlebar
	  icons. It uses [wm iconphoto], so, it works with Tk 8.5 or newer.

2007-01-16  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/me_command.tcl, plugins/chat/nick_colors.tcl: Fixed
	  bug with inserting nicknames to chat input windows on /me
	  messages.

	* plugins/general/ispell.tcl: Some code cleanup, replaced option
	  options(dictionary) by more general options(command_line) to
	  allow any ispell/aspell options. Moved plugin to general directory
	  because it works not only in UNIX (the only requirement is working
	  ispell).

	* README, doc/tkabber.html, doc/tkabber.xml: Documented changes in
	  ispell module.

	* plugins/chat/nick_colors.tcl: Fixed colored nicknames processing.

2007-01-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/autoaway.tcl: Fixed bug with restoring status
	  and status message on disconnect in autoaway state.

2007-01-14  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/ispell.tcl: Changed option, which enables ispell to
	  plugins::ispell::options(enable). Enabled changing ispell path,
	  dictionary, its encoding on the fly.

	* README, doc/tkabber.html, doc/tkabber.xml: Documented changes in
	  ispell module.

2007-01-13  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Raise customize tab on Tkabber->Customize if it is
	  already opened (thanks to Pavel Borzenkov).
	  Save page offsets in the history (not very accurately because
	  ScrolledWindow changes window width).

	* muc.tcl: Replaced labels by entries in owner/admin/moderator/etc.
	  list editing form.

	* plugins/general/copy_jid.tcl: Added "Copy JID to clipboard" menu
	  item to roster, chat, groupchat, message, search menus.

	* splash.tcl, plugins/iq/version.tcl, tkabber.tcl, ifaceck/iface.tcl,
	  ckabber.tcl, ifacetk/iface.tcl: Changed version variable to
	  tkabber_version.

2007-01-11  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Fixed proc, which adds leading http://
	  and ftp:// prefix to URL.

2007-01-08  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/tkcon.tcl: Adapted to use tkcon as a Tcl package.

2007-01-06  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.xtml, doc/tkabber.xml: Documented changes in
	  the config directory for different operating systems. Replaced
	  ~/.tkabber by $::configdir in docs. Documented searching in Tkabber
	  windows. Documented hook roster_group_popup_menu_hook (thanks to
	  Konstantin Khomoutov).

2007-01-05  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/autoaway.tcl, plugins/iq/last.tcl: Added support
	  of [tk inactive], which works in Tk 8.5.

	* ifacetk/iface.tcl: Added window path to map_window_hook call.

	* ifacetk/iface.tcl, splash.tcl, tkabber.tcl: Added Tcl/Tk version
	  to About and splash windows. Added description of a vew more
	  commands to Quick help window (thanks to Konstantin Khomoutov).

	* config.tcl, tkabber.tcl: Changed config directory in Windows and
	  MacOS. Also, Tkabber now honors TKABBER_HOME environment variable
	  (thanks to Konstantin Khomoutov).

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

	* plugins/general/tkcon.tcl: Moved Tkcon menu item to Help submenu.

	* ifacetk/iface.tcl, gpgme.tcl: Removed path argument from
	  ifacetk::set_toolbar_icon and ifacetk::set_toolbar_icon procedures.
	  ifacetk::set_toolbar_icon now returns current icon index, which
	  can be used in ifacetk::set_toolbar_icon.

2007-01-02  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl, chats.tcl: Added empty item to comboboxes in show
	  userinfo and open chat dialogs.

	* msgs/ru.msg: Added VIM modeline.

2007-01-01  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Updated.

	* README, doc/tkabber.html, doc/tkabber.xml, ifaceck/iface.tcl,
	  ifacetk/iface.tcl, splash.tcl: Copyright updated.

2006-12-31  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl, login.tcl: Fixed IDNA domains
	  support.

2006-12-30  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/es.msg: Updated (thanks to Badlop).

	* msgs/uk.msg: Updated (thanks to Artem Bondarenko).

	* trans/es.msg: Added Spanish translation of remote messages and
	  errors (thanks to Badlop).

	* plugins/general/remote.tcl, trans/pl.msg, trans/ru.msg,
	  trans/uk.msg: Fixed typo in text message (thanks to Badlop).

2006-12-29  Sergei Golovan  <sgolovan@nes.ru>

	* browser.tcl, disco.tcl: Bugfix in destroying state variables after
	  browser/disco window is closed (thanks to Konstantin Khomoutov).

	* ifacetk/iroster.tcl: Added new hook roster_group_popup_menu_hook
	  which is called on popping up group menu in main roster (thanks
	  to Konstantin Khomoutov).

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

	* msgs/uk.msg: Updated (thanks to Artem Bondarenko).

2006-12-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/logger.tcl: Changed log directory structure and made
	  log file format more rliable. Since that the first Tkabber run
	  converts log files to new format. This conversion may take long
	  time, so it shows a dialog window with the conversion progress
	  during the conversion.

	* plugins/chat/logger.tcl: Shortened filenames of log files.

	* ckabber.tcl, custom.tcl, ifaceck/iroster.tcl, pixmaps.tcl,
	  plugins/chat/logger.tcl, plugins/chat/nick_colors.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl,
	  plugins/general/session.tcl, plugins/richtext/emoticons.tcl,
	  roster.tcl splash.tcl tkabber.tcl: Introduced variable ::configdir,
	  which is set to normalized name of ~/.tkabber. This should help
	  with file operations in Windows.

	* plugins/chat/logger.tcl, plugins/general/message_archive.tcl:
	  Specially process message_archive when converting logs. Changed
	  message archive file format to make it more reliable.

2006-12-25  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/session.tcl: Renamed session to state (only in
	  user messages yet). Added menu for controlling save/load state
	  options.

	* plugins/chat/logger.tcl: Added new conversion scheme between JIDs
	  and log filenames. Added procedure, which converts old log directory
	  structure to a new one. New log directory structure is not used yet,
	  it's only for testing.

2006-12-24  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/idefault.tcl, ifacetk/iface.tcl: Use named font instead
	  of XLFD when XFT fonts rendering is used.

	* jabberlib-tclxml/jabberlib.tcl: Added connection_resource function.

	* joingrdialog.tcl: Removed two useless debug messages.

	* plugins/general/session.tcl: Added preliminary session support. Now
	  it is possible to save some tabs at Tkabber exit and restore them on
	  Tkabber start.

	* chats.tcl, plugins/general/headlines.tcl: Added functions which save
	  chats and headlines during Tkabber exit. Separated opening headlines
	  window from putting messages to it.

	* chats.tcl, ifacetk/iface.tcl, msgs/ru.msg, muc.tcl,
	  plugins/chat/draw_server_message.tcl, presence.tcl, roster.tcl:
	  Added chat messages on changing user status. These messages are off
	  by default. Renamed option muc::options(gen_event) to more meaninful
	  name muc::options(gen_enter_exit_msgs).

2006-12-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/roster/fetch_nicknames.tcl: Added plugin, which
	  automatically fetches user nickname from his/her vCard and
	  makes it roster label. For services (e.g. ICQ-transport) it
	  fetches nicknames for all service users.

	* plugins/roster/fetch_nicknames.tcl: Bugfix (thanks to Irek
	  Chmielowiec).

2006-12-16  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/ru.msg: Bugfix.

2006-12-15  Sergei Golovan  <sgolovan@nes.ru>

	* plugins.tcl: Worked around the bug in Tcl 8.3 when
	  [glob -type d] doesn't return symbolic links to directories.

2006-12-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/menu8.4.tcl: Use this plugin with menu workaround
	  in Tcl/Tk 8.5 also.

	* plugins/richtext/emoticons.tcl: Fixed tooltip behaviour over
	  emoticons menu.

2006-12-06  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Close tab with middle button click on the tab
	  header.

2006-12-05  Sergei Golovan  <sgolovan@nes.ru>

	* gpgme.tcl: Fixed bug with incorrect call of signed:Label.

	* plugins/si/ibb.tcl: Return error message to file sender in case
	  of error during file transaction.

2006-12-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/si/socks5.tcl: Fixed SHA1 hash computing for SOCKS5
	  bytestreams support.

	* disco.tcl, utils.tcl, plugins/si/socks5.tcl: Introduced new
	  function my_jid, which is suitable to get JID for including to
	  requests and responses (for conference recipients it returns
	  conference JID, for other recipients it returns real JID).
	  Use this new function when replying disco queries and when
	  sending files.

2006-12-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/highlight.tcl: Enable highlighting by default.

	* browser.tcl, chats.tcl, disco.tcl, ifacetk/iface.tcl,
	  ifacetk/iroster.tcl, joingrdialog.tcl, login.tcl, messages.tcl,
	  plugins/general/headlines.tcl, plugins/roster/cache_categories.tcl,
	  presence.tcl, userinfo.tcl: Removed explicit storing of customized
	  variables because they are stored automatically.

2006-11-29  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/highlight.tcl: Fixed initializing plugin state.

	* plugins/richtext/urls.tcl: Changed the way of storing URLs in
	  text widget. Instead of hiding them in text, add them to tag
	  list.

	* plugins/richtext/stylecodes.tcl, plugins/richtext/emoticons.tcl:
	  Swapped priorities to make emoticons pluging move first (thanks
	  to Konstantin Khomoutov).

	* plugins/richtext/chatlog.tcl, plugins/richtext/highlight.tcl:
	  Replaced chatlog for highlight richtext entity in chatlog.tcl
	  because two plugins defined highlight entity (thanks to
	  Konstantin Khomoutov).

2006-11-27  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Fixed error messages processing.

	* msgs/pl.msg, trans/pl.msg: Updated (thanks to Irek Chmielowiec).

2006-11-26  Sergei Golovan  <sgolovan@nes.ru>

	* contrib/extract-translations/extract.tcl: Fixed bug with
	  multiline string processing.

	* filetransfer.tcl: Lessened file transfer dialog dimentions.

	* msgs/ru.msg, trans/ru.msg: Updated.

2006-11-25  Sergei Golovan  <sgolovan@nes.ru>

	* privacy.tcl: Disabled privasy rules menu item for chats
	  with groupchats users. Privacy rules aren't intended to
	  work with groupchats.

	* plugins/richtext/emoticons.tcl, pixmaps.tcl: Added dots at
	  the end of sentences.

	* msgs/ru.msg: Added several translated messages (thanks to
	  Pavel Borzenkov).

2006-11-24  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/unix/ispell.tcl: Added processing of nonletter
	  keys, which was broken after input methods were fixed
	  2006-10-11.

	* plugins/richtext/urls.tcl: Add URL prefixes ftp:// or
	  http:// to URLs without them.

	* custom.tcl: Do not store loginconf automatically.

	* contrib/extract-translations/extract.tcl: Changed the only
	  defined variable when checking for variables in strings to
	  less common name. Added hidden key -showvars to show all
	  strings with embedded variables.

	* jabberlib-tclxml/stanzaerror.tcl: Added extra braces to
	  eval arguments to fix the hypothetical case of error type
	  and condition with spaces.

	* plugins/filetransfer/http.tcl, plugins/filetransfer/jidlink.tcl,
	  plugins/filetransfer/si.tcl, si.tcl: Added translations
	  of error messages, sent to the peer.

	* plugins/richtext/emoticons.tcl: Removed list search options,
	  which aren't in Tcl 8.3.

2006-11-23  Sergei Golovan  <sgolovan@nes.ru>

	* contrib/extract-translations/extract.tcl: Added search
	  of ::trans messages.

	* trans.tcl: Added one-argument ::trans::trans (only to
	  allow searching messages, which are not to be translated
	  immediately).

	* muc.tcl, plugins/general/remote.tcl: Added ::trans::trans
	  calls, which help to search translatable messages.

	* jabberlib-tclxml/jabberlib.tcl: Made get_lang routine
	  working in Tcl/Tk 8.5 (thanks to Irek Chmielowiec).

	* msgs/uk.msg, trans/uk.msg: Updated Ukrainian translation
	  (thanks to Artem Bondarenko).

2006-11-22  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Fixed bug with reporting empty
	  string for Linux distribution (thanks to Pavel Borzenkov).

2006-11-20  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/info_commands.tcl: Fixed bug with asking
	  info in groupchats. When name was not specified, /version,
	  /time, /last, /vcard sent IQ to an occupant with the highest
	  priority and not to the room itself.

2006-11-19  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Changed balloon behaviour to
	  be consistent with other balloons.

	* plugins/roster/conferences.tcl: Made conference group
	  name translateable (thanks to Irek Chmielowiec).

	* custom.tcl, plugins/general/rawxml.tcl: Removed menu
	  tearoffs (thanks to Irek Chmielowiec).

	* plugins/richtext/emoticons.tcl: Removed txtlabels variable
	  and made taking label names (ballon tips) from txtdefaults
	  (thanks to Irek Chmielowiec).

	* gpgme.tcl: Added option to suppress warnings on signature
	  verification failures (thanks to Antoni Grzymala).

	* plugins/iq/version.tcl: Use lsb_release to guess Linux
	  distribution (this allows to distinguish Ubuntu from
	  Debian, for example). (Thanks to Konstantin Khomoutov.)

2006-11-15  Sergei Golovan  <sgolovan@nes.ru>

	* userinfo.tcl: Bugfix. Add script to <Destroy> event, not
	  override existing.

	* chats.tcl: Removed unused URL regexp (thanks to Konstantin
	  Khomoutov).

	* richtext.tcl, plugins/richtext/urls.tcl: Added URLs with
	  label, which differs from URL itself (thanks to Konstantin
	  Khomoutov).

	* plugins/general/headlines.tcl: Replaced link text by a
	  neutral message (the URL is showed in a tooltip) (thanks to
	  Konstantin Khomoutov).

	* utils.tcl: Moved some useful functions from richtext.tcl
	  (thanks to Konstantin Khomoutov).

2006-11-12  Sergei Golovan  <sgolovan@nes.ru>

	* INSTALL: Corrected link to README.

	* Makefile: Fixed installing docs, emoticons, and translations.

	* chats.tcl, messages.tcl, plugins/chat/draw_info.tcl,
	  plugins/chat/draw_server_message.tcl,
	  plugins/chat/draw_xhtml_message.tcl, plugins/chat/me_command.tcl,
	  plugins/general/headlines.tcl,
	  plugins/general/message_archive.tcl, richtext.tcl:
	  Replaced chat::add_emoteiconed_text by richtext::render_message,
	  removed highlightlist arg from richtext::render_message.

	* plugins/richtext/chatlog.tcl, plugins/richtext/emoticons.tcl,
	  plugins/richtext/highlight.tcl, plugins/richtext/stylecodes.tcl,
	  plugins/richtext/urls.tcl, richtext.tcl: Code cleanup.

	* chats.tcl, plugins/richtext/urls.tcl: Moved adding 'Copy URL'
	  menu item to the appropriate plugin.

2006-11-10  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iroster.tcl: Bugfix (thanks to Irek Chmielowiec).

	* ifacetk/iface.tcl: Added two hooks: got_focus_hook and
	  lost_focus_hook (thanks to Pavel Borzenkov).

	* plugins/richtext/emoticons.tcl: Added 'sweep' command, which
	  removes all unused emoticons from the memory. Fixed loading
	  emoticons at Tkabber start (thanks to Konstantin Khomoutov).

	* ifacetk/idefault.tcl: Moved workaround for calling emoticons
	  menu using Alt-e in nonenglish keyboard layout to
	  plugins/richtext/emoticons.tcl.

	* richtext.tcl, plugins/richtext/highlight.tcl,
	  plugins/chat/draw_normal_message.tcl, plugins/richtext/urls.tcl:
	  Moved highlight plugin to richtext plugins, changed priority
	  of URL parsing plugin to higher value (thanks to Konstantin
	  Khomoutov).

	* utils.tcl, plugins/richtext/highlight.tcl: Added new hook
	  check_personal_message_hook and made using it in
	  highlight plugin. Changed syntax of check_message.

	* ifacetk/iface.tcl, plugins/chat/bookmark_highlighted.tcl,
	  plugins/chat/complete_last_nick.tcl,
	  plugins/chat/draw_normal_message.tcl,
	  plugins/chat/me_command.tcl, plugins/general/sound.tcl:
	  Adapted calls of check_message to new syntax.

2006-11-06  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg, trans/pl.msg: Updated (thanks to Irek
	  Chmielowiec).

	* plugins/richtext/emoticons.tcl: Renamed merge_dir command
	  to load_dir (restored nondestructive behaviour of load_dir).
	  Added clean command, which destroys all loaded emoticons.

2006-11-05  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml: Fixed default
	  emoticons directory name.

2006-11-04  Sergei Golovan  <sgolovan@nes.ru>

	* README, doc/tkabber.html, doc/tkabber.xml, richtext.tcl,
	  examples/configs/badlop-config.tcl, examples/configs/config.tcl,
	  examples/configs/mtr-config.tcl, examples/configs/teo-config.tcl:
	  Changed emoticons interface in docs and examples.

	* filetransfer.tcl, plugins/filetransfer/http.tcl,
	  plugins/filetransfer/jidlink.tcl, plugins/filetransfer/si.tcl:
	  Moved send file user interface to filetransfer.tcl (unfinished
	  yet).

	* plugins/richtext/emoticons.tcl, plugins/richtext/stylecodes.tcl,
	  plugins/richtext/urls.tcl: Removed 'enable' options, added
	  all customize groups to Chat group. Changed emoticons theme
	  definition: now options(theme) should be set to the name of
	  theme directory. Theme names are used only for labels in
	  customize option menu.

	* plugins/richtext/emoticons.tcl: Fixed processing of 'None'
	  emoticon theme (theme with no images at all).

	* plugins/richtext/urls.tcl, chats.tcl: Fixed URL highlighting
	  when mouse pointer is over the URL (thanks to Konstantin
	  Khomoutov).

	* filetransfer.tcl, plugins/filetransfer/si.tcl: Fixed bug with
	  'stream id is in use' after choosing a file, which cannot be
	  written. Show error messages in the main file transfer windows,
	  not in separate message boxes. Inserted several checks of
	  transfer window existense (helps when the other side reply
	  is received after closing the window).

	* plugins/richtext/emoticons.tcl: Fixed escaping regexp
	  metacharacters. Also fixed emoticons::add procedure.

2006-11-03  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/richtext/urls.tcl: Fixed URL regular expression.

	* richtext.tcl: Wrapper around text widget, which allows to use
	  customizable message render plugins (thanks to Konstantin
	  Khomoutov).

	* plugins/richtext/chatlog.tcl, plugins/richtext/emoticons.tcl,
	  plugins/richtext/stylecodes.tcl, plugins/richtext/urls.tcl:
	  Plugins with basic colored messages, emoticons (now configurable
	  via GUI), stylecodes and URL handling support (thanks to
	  Konstantin Khomoutov).

	* custom.tcl: Added new configvar function, which allowes changing
	  config variable options on the fly (thanks to Konstantin
	  Khomoutov).

	* aniemoteicons/aniemoteicons.tcl, chats.tcl, ifacetk/iface.tcl,
	  messages.tcl, plugins/chat/draw_xhtml_message.tcl,
	  plugins/general/headlines.tcl, plugins/general/message_archive.tcl,
	  tkabber.tcl, userinfo.tcl: Use richtext for text widgets with
	  highlighting support (thanks to Konstantin Khomoutov).

	* emoticons-tkabber/*: Moved to emoticons/default/ (thanks to
	  Konstantin Khomoutov).

	* examples/configs/badlop-config.tcl,
	  examples/configs/badlop-config-home.tcl: Fixed paths of sourced
	  scripts.

	* ifacetk/iroster.tcl: Added support of checkbuttons in roster
	  popup menu.

2006-10-27  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/irc_commands.tcl: Fixed bug with joining conference
	  room from private chat window/tab.

	* plugins/chat/logger.tcl: Do not try to open log files when they
	  do not exist.

2006-10-25  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jlibsasl.tcl: Worked around bug 1545306 in
	  tcllib SASL module. See
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1545306&group_id=12883&atid=112883

2006-10-24  Sergei Golovan  <sgolovan@nes.ru>

	* tkabber.tcl: Stepped required jabberlib version.

	* utils.tcl: Added extra rguments to Spinbox command.

	* plugins/general/stats.tcl: Use 'Set' button relief to
	  show whether statistical parameter is requested periodically.

2006-10-22  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/uk.msg, msgs/uk.rc: Updated Ukrainian translation
	  (thanks to Artem Bondarenko).

2006-10-21  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/default/icondef.xml,
	  pixmaps/default/tkabber/gpg-vsigned.gif: Added image for
	  signature which is not at least marginally trusted or which
	  signer's JID does not belong to key UIDs.

	* gpgme.tcl: Added extra signature validity check and made
	  drawing special icon when the signature seems to be
	  suspicious.
	  Don't check signature if message encryption fails.

	* msgs/ru.rc: Removed accelerators from labels in Font and
	  Password dialogs. They cause runtime errors.

2006-10-20  Sergei Golovan  <sgolovan@nes.ru>

	* chats.tcl: Added new hook rewrite_message_hook. It is run before
	  process_message_hook and allows to change message variables.
	  Removed normalize_chatid_hook.

	* examples/configs/mtr-config.tcl: Use rewrite_message_hook instead
	  of normalize_chatid_hook.

	* pixmaps/default/icondef.xml,
	  pixmaps/default/tkabber/gpg-badencrypted.gif: Added image for
	  message which cannot be deciphered.

	* gpgme.tcl: Use rewrite_message_hook to decrypt message bodies.
	  Draw icon from gpg-badencrypted.gif when message cannot be
	  deciphered. Draw it even if no GPG support at all to make
	  messages more clear.
	  Some code cleanup.

2006-10-15  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Restored "Activate lists at startup" menu
	  item for privacy lists. Since it is autosaved when switched it
	  makes sense to use it again.

	* custom.tcl: Fixed sorting subgroups.

2006-10-14  Sergei Golovan  <sgolovan@nes.ru>

	* messages.tcl: Use threads for normal messages (they aren't
	  stored in message archive yet). Also use different variables
	  for choosing connection for different message windows.

	* muc.tcl: Added Node name for 'Current rooms' node.

2006-10-13  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Bugfix.

2006-10-12  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/log_on_open.tcl: Changed default values for maximum
	  message numbers to 20 and for time interval to 24 hours.

2006-10-11  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

	* plugins/general/autoaway.tcl: Change text status when go to
	  autoaway only if it's set to nonempty string (thanks to Irek
	  Chmielowiec).

	* plugins/general/subscribe_gateway.tcl: Translated subscribe
	  message similar to messages.tcl (thanks to Irek Chmielowiec).

	* plugins/general/xaddress.tcl: Set extended address label
	  background in chat windows and in message windows to the
	  background of parent element (thanks to Irek Chmielowiec).

	* jabberlib-tclxml/jlibsasl.tcl: Added support of X-GOOGLE-TOKEN
	  authentication mechanism, which implemented in tcllib 1.9 SASL
	  module.

	* utils.tcl: Added another workaround for XIM input.

	* plugins/unix/ispell.tcl: Use workaround from utils.tcl.
	  Redesigned ispell plugin to work not only in chat windows.
	  Reassigned two resources from Chat to Text class.

	* examples/xrdb/*: Reassigned two resources from Chat to Text
	  class.

	* plugins/chat/completion.tcl: Bugfix, check if window with
	  tab completion exists.

	* datagathering.tcl, messages.tcl, plugins/filetransfer/http.tcl,
	  plugins/filetransfer/jidlink.tcl, plugins/filetransfer/si.tcl,
	  plugins/general/message_archive.tcl,
	  plugins/general/subscribe_gateway.tcl, userinfo.tcl:
	  Use wrapper textUndoable which enables undo mechanism and
	  initialises spellchecker for the text window.

2006-10-10  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/chat/completion.tcl: Made workaround for XIM in
	  chat input windows. Instead of binding %A to any key and
	  query if the symbol is empty (which does not work if XIM is
	  used because of known bug in Tk) Tkabber compares two indices,
	  before and after keypress, and if they are the same then the
	  symbol is thought as empty.

2006-10-09  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Don't add message to tab or window
	  title when it is from chat log and is shown by
	  plugins/chat/log_on_open.tcl.

	* Makefile, chats.tcl, messages.tcl, splash.tcl, tkabber.tcl,
	  textundo/dkflib.tcl, textundo/textundo.tcl, utils.tcl:
	  Removed usage of textundo package. It leaves undeleted
	  variables after destroying widget and text widget in
	  Tcl/Tk 8.4 supports own undo mechanism. So, no undo when
	  using Tcl/Tk 8.3 from now.

	* *: Replaced obsolete JEP (Jabber Enhancement Proposal)
	  abbreviation by XEP (XMPP Extension Proposal) through all
	  of the sources.

2006-10-08  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Fixed duplicate parent groups (thanks to Pavel
	  Borzenkov).

	* plugins/chat/log_on_open.tcl, plugins/chat/logger.tcl,
	  plugins/general/sound.tcl: Added new plugin, which shows
	  several last logged messages in newly opened chat (not
	  groupchat) windows. Added jid attribute to log messages,
	  changed timestamps to GMT (so, existing log messages show
	  incorrect timestamps now).

2006-10-07  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Autosave customized variable if it has been set
	  from outside ::custom namespace. It should improve usability.

	* disco.tcl: Added connection ID to all disco operations.

	* disco.tcl, joingrdialog.tcl, messages.tcl,
	  plugins/roster/conferences.tcl: Added new hook
	  disco_node_menu_hook for popup menues in disco window. Moved
	  join conference, add conference to roster, send message menu
	  items to the hook.

	* plugins/chat/info_commands.tcl: Added roster item completion
	  to /time, /last, /vcard, and /version commands. Made
	  ::msgcat::mc handle substitutions in strings.

2006-10-05  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl, trans.tcl: Removed temporary
	  changes of system encoding because it does not allow to install
	  Tkabber to a directory, which name contains nonenglish
	  characters.

	* ckabber.tcl, tkabber.tcl: Removed temporary changes of
	  system encoding since [msgcat::mcload] and [option readfile]
	  themselves use UTF-8.

2006-10-02  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/headlines.tcl: Added option, which allows not
	  to show balloons over hedlines tree.

	* chats.tcl, muc.tcl: Update chat window last message timestamp
	  only in connected state. It fixes the situation when not
	  all room history is requested when one client replaces another
	  one with the same resource.

2006-10-01  Sergei Golovan  <sgolovan@nes.ru>

	* balloon.tcl: Made workaround for a bug when balloon shows up
	  in wrong screen if multiple monitor configuration is used in
	  Windows (thanks to Pat Thoyts).

	* pubsub.tcl: Made pubsub implementation closer to JEP-0060
	  v. 1.9. (It is still untested and unusable though.)

	* tkabber.tcl: Source pubsub.tcl.

	* browser.tcl, disco.tcl, ifacetk/iroster.tcl, ifacetk/iface.tcl,
	  messages.tcl, privacy.tcl: Added connection ID to drag'n'drop
	  JID data.

	* ifacetk/iroster.tcl: Added configurable drag'n'drop commands to
	  roster::create.

	* chats.tcl: Added invitation to the conference when the user is
	  dragged'n'dropped from the main roster to the room roster.

2006-09-30  Sergei Golovan  <sgolovan@nes.ru>

	* balloon.tcl: Added function balloon::setup, which is useful
	  for registering common balloons with static or dynamic texts.
	  Slightly changed syntax of balloon::default_balloon procedure.
	  Destroy balloon when mouse moves over it (workaround for
	  sometimes freezing balloons).

	* emoticons.tcl: Used new syntax of balloon::default_balloon.

	* browser.tcl, disco.tcl, ifacetk/systray.tcl, messages.tcl,
	  plugins/general/headlines.tcl, plugins/unix/dockingtray.tcl,
	  plugins/unix/systray.tcl, plugins/unix/tktray.tcl,
	  plugins/unix/wmdock.tcl, utils.tcl, chats.tcl: Switched to
	  balloon::setup when defining balloons.

	* roster.tcl: Strictened check whether removing JID is our
	  server JID (to make sure that if it's in the roster then
	  removing it doesn't unregister account).

2006-09-29  Sergei Golovan  <sgolovan@nes.ru>

	* custom.tcl: Added new variable type 'options'. GUI for this
	  type is options menu.

	* utils.tcl: Workarounded fixed borderwidth of tk_optionMenu
	  widget.

	* filters.tcl: Use workaround from utils.tcl.

	* ifacetk/iface.tcl, login.tcl, pixmaps.tcl,
	  plugins/general/headlines.tcl, plugins/search/search.tcl:
	  Replaced almost all customizeable radio variables by
	  options variables.

	* chats.tcl: Small fix for URL regexp.

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec).

2006-09-26  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/general/sound.tcl: Made sound::play loading sound file
	  if it's not loaded yet if snack library is used (thanks to
	  Pavel Borzenkov).

2006-09-25  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/es.msg: Updated (thanks to Badlop).

	* disco.tcl, plugins/chat/logger.tcl: Fixed typo.

	* ifacetk/iface.tcl, userinfo.tcl: Replaced menu entry
	  'Show user info...' by 'Show user or service info...' which is
	  more correct.

	* msgs/ru.msg: Updated.

	* emoticons.tcl: Added support of emoticons in formats other than
	  GIF (thanks to Irek Chmielowiec).

	* messages.tcl: Made subscription request translateable (thanks to
	  Irek Chmielowiec).

	* msgs/pl.msg, trans/msg.pl: Updated (thanks to Irek Chmielowiec).

	* messages.tcl: Remove item from the roster when user presses
	  'Unsubscribe' button in subscription window. Otherwise roster
	  gradually becomes full of users with subscription 'none'.

	* roster.tcl: Fixed typo.

	* plugins/filetransfer/http.tcl: Added two options: advertised
	  host and port for file transfer. They are useful for tranferring
	  files through NAT via forwarded port (thanks to Antoni Grzymala).

	* plugins/iq/version.tcl: Guess Windows version.

	* plugins/general/remote.tcl: Moved remote control functions
	  (leave groupchats, forward messages, change status) to separate
	  namespaces. Moved session variables to a separate namespace,
	  index sessions by connection ID, JID, node and session ID.
	  Do not close session immediately if the error type is 'modify'
	  (thanks to Artem Borodin).

2006-09-24  Sergei Golovan  <sgolovan@nes.ru>

	* filetransfer/si.tcl: Do not use progressbar if file size is
	  zero (thanks to Konstantin Khomoutov).

	* si/socks5.tcl: Removed forgotten debug code.

	* msgs/en.msg: Removed English message file since all messages
	  are in English by default.

	* msgs/ru.msg: Updated.

	* ifaceck/iface.tcl, ifacetk/iface.tcl, splash.tcl,
	  doc/tkabber.xml, doc/tkabber.html: Changed Tkabber home page.

	* ifacetk/iface.tcl: In UNIX WM_SAVE_YOURSELF can be called several
	  times. So, call quit only on windows, where WM_SAVE_YOURSELF
	  means end of windows session. Also trap SIGTERM (call quit)
	  when Tclx is available (thanks to Konstantin Khomoutov).

	* disco.tcl, plugins/general/xcommands.tcl: Show a special item for
	  some (registered) features even if the remote service has not
	  provided it. Especially, always show
	  http://jabber.org/protocol/commands node if there is a
	  corresponding feature. It helps for example to control Psi
	  client remotely.

2006-09-23  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/filetransfer/si.tcl, plugins/si/ibb.tcl,
	  plugins/si/iqibb.tcl, plugins/si/socks5.tcl, si.tcl:
	  Index bytestreams by direction (in, out), connection ID, JID,
	  and SID instead of SID only.

	* plugins/si/socks5.tcl: Added mediated SOCKS5 connection
	  support.

2006-09-21  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/filetransfer/si.tcl, plugins/si/ibb.tcl,
	  plugins/si/iqibb.tcl, plugins/si/socks5.tcl, si.tcl:
	  Slightly redesigned filetransfer via SI (JEP-0095, JEP-0065,
	  JEP-0047). Replaced all unnecessary vwaits by callbacks.
	  Added new (undocumented yet) IQ-based IBB transport. Made IBB
	  transport usable (now it does not throw all data immediately).

	* filetransfer.tcl, plugins/filetransfer/si.tcl: Use errors returned
	  when file is being opened instead of simple file exisence check
	  (thanks to Konstantin Khomoutov).

	* jabberlib-tclxml/jabberlib.tcl: Added jlib::socket_ip function.

	* userinfo.tcl: Made all userinfo fields flat.

2006-09-20  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl, disco.tcl: Added processing and using of
	  multiple values in jabber:x:data forms (thanks to Artem Borodin).

	* plugins/general/remote.tcl: A few bugfixes (thanks to Artem
	  Borodin).

	* pubsub.tcl: Started implementing Publish-Subscribe (JEP-0060).

2006-09-18  Sergei Golovan  <sgolovan@nes.ru>

	* disco.tcl, examples/tools/jsend.tcl, examples/tools/rssbot.tcl,
	  iq.tcl, jabberlib-tclxml/jabberlib.tcl, jidlink.tcl, muc.tcl,
	  negotiate.tcl, plugins/filetransfer/http.tcl,
	  plugins/filetransfer/jidlink.tcl, plugins/general/avatars.tcl,
	  plugins/general/remote.tcl, plugins/iq/browse.tcl,
	  plugins/iq/last.tcl, plugins/iq/time.tcl,
	  plugins/iq/version.tcl, plugins/jidlink/dtcp.tcl,
	  plugins/jidlink/ibb.tcl, plugins/si/ibb.tcl,
	  plugins/si/socks5.tcl, privacy.tcl, si.tcl, tkabber.tcl,
	  trans.tcl, trans/ru.msg: Added xml:lang support in incoming
	  IQ queries. It allows to answer these queries using remote
	  user's locale. Since msgcat is not designed to handle translation
	  to many languages in parallel and it's not very wise to load all
	  translations in msgs/ together new trans.tcl module and new
	  translation files in trans/ subdirectory are added. They
	  currently contain only translations for messages from remote
	  control plugin, so they are relatively short.

	* plugins/general/remote.tcl: Corrected a few typos in the
	  displayed messages.

	* jabberlib-tclxml/jabberlib.tcl: Removed useless -sendto option
	  of jlib::create.

2006-09-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/iq/version.tcl: Added code for reporting Arch Linux
	  version (thanks to Pavel Borzenkov).

	* datagathering.tcl: Added server-side x:data processing routine
	  which creates x:data field tag (thanks to Artem Borodin).

	* disco.tcl: Added subnodes registering (second level nodes only,
	  thanks to Artem Borodin).

	* plugins/general/xaddress.tcl, pixmaps/default/icondef.xml,
	  pixmaps/default/tkabber/xaddress.gif: Implemented Extended Stanza
	  Addressing (JEP-0033, thanks to Artem Borodin).

	* plugins/general/remote.tcl: Implemented Remote Controlling
	  Clients (JEP-0146) via Ad-hoc commands. Includes status
	  change, messages forwarding, and leaving conference rooms (thanks
	  to Artem Borodin).

2006-09-16  Sergei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl, jabberlib-tclxml/pkgIndex.tcl,
	  examples/tools/jsend.tcl, examples/tools/rssbot.tcl: Bumped
	  jabberlib version to 0.10.0 (because of changes in
	  client:roster arguments).

	* hooks.tcl: Use bgerror for displaying error messages in hooks.

	* splash.tcl: Wrapped bgerror to hide splash window when error
	  occurs. Improved splash progress messages.

	* tkabber.tcl: Slightly changed order of loading modules making
	  messages in splash window to flash less frequently.

	* ifacetk/idefault.tcl: Bugfix. Removed binding for <6> and <7>
	  events, since they are ambiguous. Bind scrolling events only
	  in x11 environment.

	* ifacetk/bwidget_workarounds.tcl: Made using auto_load to load
	  BWidget scripts instead of creating and destroying widgets.

	* msgs/ru.msg: Updated.

	* examples/xrdb/lighthouse.tcl: New color theme (thanks to
	  Max Loparyev).

	* examples/*.xrdb: Moved to examples/xrdb subdirectory.

	* examples/*.tcl: Moved to examples/configs subdirectory.

	* examples/tkabber_setstatus: Moved to examples/tools subdirectory.

	* gpgme.tcl, hooks.tcl, messages.tcl, muc.tcl,
	  plugins/chat/chatstate.tcl, plugins/chat/events.tcl,
	  plugins/chat/send_message.tcl, plugins/general/avatars.tcl,
	  plugins/roster/rosterx.tcl, presence.tcl: Replaced hook::run
	  with upvar for hook::foldl (it is more simple and looks more
	  "ticklish").

	* hooks.tcl: Removed hook::foldl procedure.

2006-09-15  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/idefault.tcl: Bind mouse buttons to scroll events
	  only on nonwindows systems.

2006-09-13  Sergei Golovan  <sgolovan@nes.ru>

	* msgs/pl.msg: Polish translation is updated (thanks to
	  Irek Chmielowiec)

	* plugins/chat/draw_timestamp.tcl, msgs/*.msg: Corrected typo.

	* login.tcl: Run predisconnected_hook also before reconnect.

2006-09-12  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/*: Fixed corrupt pixmaps.

	* ifacetk/idefault.tcl: Added virtual events for scrolling up,
	  down, left, and right.

	* util.tcl: Increased horizontal mouswheel scroll increment. Use
	  virtual events for scrolling.

	* plugins/windows/mouswheel.tcl: Added horizontal scrolling using
	  mousewheel key. Use virtual events for scrolling.

	* ifacetk/iface.tcl: Use virtual scrolling events for tab
	  switching using mousewheel.

	* plugins/windows/console.tcl: Added missing Id keyword.

	* jabberlib-tclxml/jabberlib.tcl: Added xml packet size logging
	  possibility. It can be used for traffic accounting (thanks to
	  Artem Borodin).

2006-09-10  Sergei Golovan  <sgolovan@nes.ru>

	* roster.tcl, pixmaps/*/icondef.xml: Replaced x-gadugadu gateway
	  type by gadu-gadu as the latter is registed by Jabber Registrar.
	  Added sms gateway icon to disco/browser.

	* muc.tcl: Bugfix. Convert MUC room JID to lowercase before
	  joining it.

	* disco.tcl: Added displaying number of items in every node's
	  title where this number is sufficiently large.

	* plugins/roster/conferences.tcl: Fixed race confition during
	  autojoining conferences.

	* plugins/roster/cache_categories.tcl, roster.tcl: Fixed race
	  condition when overriding servers categories and types.
	  Made overriding scheme more robust.

	* chats.tcl: Fixed status icon behavior (transport icons are
	  not replaced by ordinary icons anymore).

	* ifacetk/iroster.tcl: Added optional argument (status) to
	  get_jid_icon.

2006-09-09  Sergei Golovan  <sgolovan@nes.ru>

	* browser.tcl, disco.tcl: Removed hardcoded icon names
	  for disco/browser services.

	* pixmaps/*/icondef.xml: Changed browser/* icon names to
	  match services categories and types.

	* pixmaps/default/services/mrim_*.gif,
	  pixmaps/default/icondef.xml: Added Mail.ru Instant Messenger
	  icons (thanks to Konstantin Khomoutov).

	* plugins/unix/wmdock.tcl, plugins/general/headlines.tcl:
	  Changed displayed icon names.

	* plugins/chat/logger.tcl: Made Tkabber more responsible while
	  converting or displaying chatlogs.

	* plugins/roster/, tkabber.tcl: Added new plugins directory.

	* plugins/general/annotations.tcl, plugins/general/conferenceinfo.tcl,
	  plugins/general/conferences.tcl, plugins/general/rosterx.tcl,
	  plugins/general/roster_delimiter.tcl: Moved to plugins/roster/
	  directory.

	* custom.tcl: Added store_vars procedure for convenience.

	* jabberlib-tclxml/jabberlib.tcl, roster.tcl,
	  plugins/general/jitworkaround.tcl, plugins/roster/conferences.tcl,
	  ifacetk/iroster.tcl: Don't use nonstandard way of getting
	  item category in the roster.

	* roster.tcl, messages.tcl, ifacetk/iroster.tcl: Removed
	  roster::is_user function. Forced usage of
	  roster::configure instead.

	* itemedit.tcl, plugins/roster/conferences.tcl: Made sure that
	  nickname or properties editing frame is the topmost frame of
	  the item edit window.

	* plugins/roster/cache_categories.tcl: Added new plugin, which
	  uses disco#info queries to retrieve services categories and
	  types, caches them locally and makes roster using the cached
	  information for displaying JIDs icons, menus etc.

	* gpgme.tcl, ifacetk/iroster.tcl, roster.tcl: Added checks for
	  a few extra service categories.

2006-09-05  Sergei Golovan  <sgolovan@nes.ru>

	* ifacetk/iface.tcl: Added conventional quit on closing
	  X session or Windows shutdown (thanks to Konstantin Khomoutov).

	* ifacetk/iroster.tcl: Quick bugfix. Roster redraw failed when
	  active chats group was enabled.

2006-09-03  Serhei Golovan  <sgolovan@nes.ru>

	* jabberlib-tclxml/jabberlib.tcl: Fixed processing presence of
	  type "error"

2006-08-18  Sergei Golovan  <sgolovan@nes.ru>

	* pixmaps/*/*.gif: svn:mime-type property is set to
	  application/octet-stream to avoid corruption when downloading
	  on nonunix systems
	  (Closes: http://www.jabber.ru/bugzilla/show_bug.cgi?id=256)

	* plugins/general/rawxml.tcl, plugins/search/rawxml.tcl:
	  Search in Raw XML window is added

2006-08-17  Sergei Golovan  <sgolovan@nes.ru>

	* plugins/search/chat.tcl, plugins/search/logger.tcl,
	  plugins/search/browser.tcl, plugins/search/search.tcl: Searching
	  in chat and chatlog windows moved to separate directory. New
	  plugins which allow searching in browser and disco windows are
	  added (thanks to Konstantin Khomoutov)

	* browser.tcl: New hook (open_browser_post_hook) is added. It is
	  useful for new search feature

	* disco.tcl: New hook (open_disco_post_hook) is added. It is
	  useful for new search feature

	* plugins/chat/logger.tcl: Search in chatlog window is moved to
	  plugins/search directory

	* tkabber.tcl: Load plugins in plugins/search subdir

	* plugins/chat/info_commands.tcl: Bugfix. VCard is requested
	  from bare JID (works when chat partner goes offline)

2006-08-16  Sergei Golovan  <sgolovan@nes.ru>

	* datagathering.tcl: Fixed empty form processing

	* jabberlib-tclxml/jlibtls.tcl, jabberlib-tclxml/jlibsasl.tcl,
	  jabberlib-tclxml/jlibcompress.tcl: Fixed behavior when no
	  callback is set

	* browser.tcl, disco.tcl: Unset all browser/disco window state
	  variables on window destroy (thanks to Konstantin Khomoutov)

	* login.tcl: Replace .connect_err window if it exists instead of
	  warning

	* doc/tkabber.xml, doc/tkabber.html, README: Changed Tkabber
	  repository address

2006-07-08  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jlibdns.tcl: Fixed DNS reply processing (thanks
	to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Start IQ stanzas "id" from 1
	instead of 0 (thanks to Sergei Golovan)

	* chats.tcl: Don't raise conference windows on reconnect (thanks
	to Sergei Golovan)
	* joingrdialog.tcl: Likewise
	* muc.tcl: Likewise
	* plugins/general/conferences.tcl: Likewise

2006-06-24  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/subscribe_gateway.tcl: Bugfix (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/jlibsasl.tcl: Fixed a typo (thanks to Sergei
	Golovan)

	* ifacetk/iface.tcl: Bugfix (thanks to Sergei Golovan)

	* doc/tkabber.xml: Updated (thanks to Sergei Golovan)

	* aniemoteicons/anigif.tcl: Bugfix (thanks to Sergei Golovan)

	* muc.tcl: Raise conference window on join request if it is
	already opened (thanks to Sergei Golovan)

	* chats.tcl: Clear status in chat windows on disconnect (thanks to
	Sergei Golovan)

2006-06-12  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei
	Golovan)

	* ifacetk/systray.tcl: Minor fix (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Disable presence menu in offline state,
	bugfix (thanks to Sergei Golovan)

	* presence.tcl: Don't change status in offline state (thanks to
	Sergei Golovan)

	* plugins/iq/time.tcl: Don't convert time under Windows and tcl
	newer than 8.4.12 (thanks to Sergei Golovan)

2006-06-01  Alexey Shchepin  <alexey@sevcom.net>

	* doc/tkabber.xml: Updated (thanks to Sergei Golovan)

2006-05-28  Alexey Shchepin  <alexey@sevcom.net>

	* chats.tcl: Don't use latest entered JID on dialog opening
	(thanks to Sergei Golovan)
	* userinfo.tcl: Likewise

2006-05-27  Alexey Shchepin  <alexey@sevcom.net>

	* doc/tkabber.xml: Updated (thanks to Sergei Golovan)
	* README: Likewise

	* plugins/general/subscribe_gateway.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/unix/tktray.tcl: Yet another tray support (thanks to
	Sergei Golovan)
	* ifacetk/systray.tcl: Likewise

	* ifacetk/iface.tcl: Removed loginconf usage (thanks to Sergei
	Golovan)

	* doc/tkabber.xml: Updated (thanks to Sergei Golovan)

	* tkabber.tcl: Added ifacetk namespace definition (thanks to
	Sergei Golovan)

	* splash.tcl: Copyright update (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* Makefile: Updated (thanks to Sergei Golovan)

2006-05-21  Alexey Shchepin  <alexey@sevcom.net>

	* messages.tcl: Bugfix (thanks to Sergei Golovan)

2006-05-13  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/conferences.tcl: Bugfix (thanks to Sergei
	Golovan)

2006-05-12  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/conferences.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/logger.tcl: Avoid more special characters in file
	names (thanks to Sergei Golovan)

	* jabberlib-tclxml/namespaces.tcl: Added pubsub#owner namespace
	(thanks to Sergei Golovan)

	* jabberlib-tclxml/jlibdns.tcl: Added processing of "." target
	(thanks to Sergei Golovan)

	* userinfo.tcl: Added a check for invalid seconds values (thanks
	to Sergei Golovan)

	* register.tcl: Multilogin support (thanks to Sergei Golovan)

	* login.tcl: Don't resolve SRV records if alternative server is
	specified (thanks to Sergei Golovan)

	* datagathering.tcl: Added multilogin support (thanks to Sergei
	Golovan)

	* custom.tcl: Better mouse wheel support (thanks to Sergei
	Golovan)

2006-04-27  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jlibsasl.tcl: Added SASL::NTLM loading (thanks
	to Sergei Golovan)

	* ifacetk/bwidget_workarounds.tcl: Fixed mouse wheel behaviour on
	Windows (thanks to Sergei Golovan)
	* plugins/windows/mousewheel.tcl: Likewise

	* contrib/extract-translations/extract.tcl: Fixed case when
	extraction file doesn't exist (thanks to Sergei Golovan)

	* userinfo.tcl: "OS" entry moved to "Client Version" frame (thanks
	to Sergei Golovan)

	* privacy.tcl: Bugfix (thanks to Sergei Golovan)

2006-04-19  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/es.msg: Updated (thanks to Badlop)

2006-04-09  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/es.msg: Updated (thanks to Badlop)

	* plugins/general/roster_delimiter.tcl: Fixed typo (thanks to
	Sergei Golovan)

	* muc.tcl: Faster list edit dialog (thanks to Sergei Golovan)

	* itemedit.tcl: Adding conference to roster moved to plugin
	(thanks to Sergei Golovan)
	* roster.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* plugins/general/conferences.tcl: Likewise

	* chats.tcl: Bugfix (thanks to Sergei Golovan)

2006-03-28  Alexey Shchepin  <alexey@sevcom.net>

	* gpgme.tcl: Updated translation strings (thanks to Sergei Golovan)
	* login.tcl: Likewise
	* muc.tcl: Likewise
	* utils.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/ilogin.tcl: Likewise
	* msgs/ru.msg: Likewise

2006-03-26  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jlibtls.tcl: Bugfix (thanks to Sergei Golovan)

2006-03-25  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/xcommands.tcl: Bugfix (thanks to Sergei Golovan)

	* muc.tcl: Bugfix (thanks to Sergei Golovan)

	* login.tcl: Updated login interface (thanks to Sergei Golovan)
	* ifacetk/ilogin.tcl: Likewise
	* jabberlib-tclxml/jabberlib.tcl: Likewise

2006-03-23  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/irc_commands.tcl: In disconnected chatroom /nick
	now works as /join (thanks to Sergei Golovan)

	* jabberlib-tclxml/jlibdns.tcl: Support for SRV and TXT DNS
	records (requires tcllib 1.8, or 1.7 for TXT only) (thanks to
	Sergei Golovan)
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* jabberlib-tclxml/pkgIndex.tcl: Likewise
	* login.tcl: Likewise

	* ifacetk/iroster.tcl: Add "Remove" menu item for all chat menus
	(thanks to Sergei Golovan)

	* userinfo.tcl: Bugfix (thanks to Sergei Golovan)

	* privacy.tcl: Updated (thanks to Sergei Golovan)

	* muc.tcl: Slightly changed argument parsing for IRC-like commands
	(thanks to Sergei Golovan)

2006-03-17  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/xcommands.tcl: Fixed typo (thanks to Sergei
	Golovan)

	* register.tcl: Fixed "Unregister" button state (thanks to Sergei
	Golovan)

	* privacy.tcl: Bugfix (thanks to Sergei Golovan)

	* plugins/filetransfer/http.tcl: Bugfix (thanks to Sergei Golovan)

	* msgs/uk.msg: Updated (thanks to Mykola Dzham)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/namespaces.tcl: Added jabber:iq:privacy
	namespace (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Minor update (thanks to Sergei Golovan)

	* privacy.tcl: Updated (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Updated privacy rules menu

	* muc.tcl: Added missed -exact lsearch option (thanks to Sergei
	Golovan)
	* pixmaps.tcl: Likewise
	* roster.tcl: Likewise
	* splash.tcl: Likewise
	* examples/teo-config.tcl: Likewise
	* examples/tkabber_setstatus: Likewise
	* plugins/chat/popupmenu.tcl: Likewise

	* messages.tcl: Updated labels (thanks to Sergei Golovan)
	* muc.tcl: Likewise
	* plugins/general/subscribe_gateway.tcl: Likewise

	* iq.tcl: Don't show own requests in the status line (thanks to
	Sergei Golovan)

	* filters.tcl: Disabled by default (thanks to Sergei Golovan)

	* disco.tcl: Fixed extra info reordering and clearing (thanks to
	Sergei Golovan)

	* chats.tcl: Fixed copying of URL to clipboard (thanks to Sergei
	Golovan)

2006-02-25  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/ispell.tcl: Bugfix (thanks to Sergei Golovan)

	* plugins/general/jitworkaround.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/irc_commands.tcl: Bugfix (thanks to Sergei Golovan)

	* tkabber.tcl: Support for TKABBER_SITE_PLUGINS environment
	variable (thanks to Sergei Golovan)

	* plugins.tcl: Added check for file existence (thanks to Sergei
	Golovan)

2006-02-09  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/windows/taskbar.tcl: Fixed typo (thanks to Sergei
	Golovan)

	* plugins/unix/wmdock.tcl: Icon creation moved to postload_hook,
	added icon window existing check (thanks to Sergei Golovan)

	* plugins/general/headlines.tcl: Minor update (thanks to Sergei
	Golovan)

	* pixmaps/amibulb/roster/icondef.xml: Replaced \r\n with \n
	(thanks to Sergei Golovan)

	* utils.tcl: Performance improvement (thanks to Sergei Golovan)

	* pixmaps.tcl: Better file name handling (thanks to Sergei
	Golovan)

	* chats.tcl: Cleanup (thanks to Sergei Golovan)

2006-02-06  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/es.msg: Updated (thanks to Badlop)

2006-01-28  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/annotations.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/logger.tcl: Cleanup (thanks to Sergei Golovan)

	* plugins/chat/irc_commands.tcl: Added error message on /msg
	command failure (thanks to Sergei Golovan)

	* plugins/chat/insert_nick.tcl: Minor fix (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/jlib*.tcl: Replaced [$token action] to [action
	$token] calls (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: "after idle" call moved back to
	jabberlib.tcl (thanks to Sergei Golovan)
	* jabberlib-tclxml/wrapper.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl: Correctly handle resource change
	in resource binding (thanks to Sergei Golovan)
	* jabberlib-tclxml/jlibsasl.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei
	Golovan)

	* ifacetk/iroster.tcl: Show both subscribe and ask status in
	tooltip (thanks to Sergei Golovan)

	* ifacetk/ilogin.tcl: Fill both ltmp and loginconf variables on
	profile change (thanks to Sergei Golovan)

	* roster.tcl: Attribute "name" processing moved to plugin (thanks
	to Sergei Golovan)
	* plugins/general/jitworkaround.tcl: Likewise

	* pixmaps.tcl: Pixmaps now can be loaded on the fly (thanks to
	Sergei Golovan)
	* browser.tcl: Updated
	* chats.tcl: Likewise
	* disco.tcl: Likewise
	* gpgme.tcl: Likewise
	* splash.tcl: Likewise
	* tkabber.tcl: Likewise
	* ifacetk/idefault.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/popupmenu.tcl: Likewise
	* plugins/chat/send_message.tcl: Likewise
	* plugins/general/headlines.tcl: Likewise
	* plugins/general/offline.tcl: Likewise
	* plugins/unix/dockingtray.tcl: Likewise
	* plugins/unix/systray.tcl: Likewise
	* plugins/unix/wmdock.tcl: Likewise
	* plugins/windows/taskbar.tcl: Likewise

	* muc.tcl: Added support for error codes 321 and 322 (thanks to
	Sergei Golovan)

	* custom.tcl: Minor change (thanks to Sergei Golovan)

	* chats.tcl: Bugfix (thanks to Sergei Golovan)

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2006-01-25  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/irc_commands.tcl: Bugfix (thanks to Sergei Golovan)

	* plugins/chat/insert_nick.tcl: Plugin for insert nick by clicking
	on conference roster or <nick> in chat or conference window
	(thanks to Sergei Golovan)

	* jabberlib-tclxml/transports.tcl: Added zlib over tls support
	(thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Added -singleclick and -doubleclick options
	to ifacetk::roster::create (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise
	* chats.tcl: Likewise

	* roster.tcl: Minor change (thanks to Sergei Golovan)

	* presence.tcl: Bugfix (thanks to Sergei Golovan)

	* muc.tcl: Bugfix, added "/unban JID" command (thanks to Sergei
	Golovan)

2006-01-20  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/avatars.tcl: Bugfix (thanks to Irek Chmielowiec)

	* **/*.tcl: All menus now created using hooks (thanks to Sergei
	Golovan)

	* plugins/general/rosterx.tcl: Roster Item Exchange Support
	(JEP-0093) (thanks to Sergei Golovan)
	* messages.tcl: Rosterx-related stuff moved to rosterx plugin
	* roster.tcl: Likewise

	* plugins/general/clientinfo.tcl: Minor change (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/namespaces.tcl: Added xroster and rosterx
	namespaces (thanks to Sergei Golovan)

	* jabberlib-tclxml/jlibcompress.tcl: Better error processing
	(thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Removed invisible status (thanks to Sergei
	Golovan)

	* muc.tcl: Changed some menu labels, fixed presence sending upon
	room joining or nick changing (thanks to Sergei Golovan)

	* gpgme.tcl: Added "expires" field processing, fixed signature
	printing in user info (thanks to Sergei Golovan)

	* chats.tcl: Bugfixes (thanks to Sergei Golovan)

	* browser.tcl: The connid parameter is not optional now (thanks to
	Sergei Golovan)
	* disco.tcl: Likewise
	* filetransfer.tcl: Likewise
	* messages.tcl: Likewise

2006-01-17  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iroster.tcl: Bugfix (thanks to Igor Goryachev)

	* plugins/general/xcommands.tcl: Updated (thanks to Sergei
	Golovan)

	* plugins/general/rawxml.tcl: Fixed "smart scroll" (thanks to
	Sergei Golovan)
	* chats.tcl: Likewise

	* plugins/general/headlines.tcl: Added "delete" button (thanks to
	Sergei Golovan)

	* plugins/general/conferenceinfo.tcl: Updated (thanks to Sergei
	Golovan)

	* plugins/general/avatars.tcl: Presence processing moved to
	another hook (thanks to Sergei Golovan)

	* plugins/general/annotations.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/send_message.tcl: Add id to messages (thanks to
	Sergei Golovan)

	* plugins/chat/open_chat.tcl: Updated (thanks to Sergei Golovan)

	* plugins/chat/irc_commands.tcl: Added invitation support, reason
	now expected on second line (thanks to Sergei Golovan)

	* plugins/chat/completion.tcl: Remove additional suffix on Sh-RET
	(thanks to Sergei Golovan)

	* plugins/chat/clear.tcl: Support for /clear command (moved from
	irc_commands.tcl) (thanks to Sergei Golovan)
	* plugins/chat/irc_commands.tcl: Likewise

	* plugins/chat/chatstate.tcl: Bugfix (thanks to Sergei Golovan)

	* jabberlib-tclxml/ntlm.tcl: Bugfix (thanks to Pat Thoyts)

	* jabberlib-tclxml/namespaces.tcl: Updated (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/jlibcompress.tcl: Support for stream
	compression (JEP-0138) (requires https://gna.org/projects/ztcl/)
	(thanks to Sergei Golovan)
	* login.tcl: Likewise
	* ifacetk/ilogin.tcl: Likewise
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* jabberlib-tclxml/pkgIndex.tcl: Likewise
	* jabberlib-tclxml/transports.tcl: Likewise

	* examples/mtr-config.tcl: Updated (thanks to Sergei Golovan)

	* userinfo.tcl: Bugfix (thanks to Sergei Golovan)

	* roster.tcl: Some procedures moved to hooks (thanks to Sergei
	Golovan)

	* register.tcl: Added "unregister" button (thanks to Sergei
	Golovan)

	* presence.tcl: Removed presence_process_x_hook, internal updates,
	save status on exit (thanks to Sergei Golovan)

	* muc.tcl: Cleanup, deny some affiliation changes, /kick and /ban
	now expect reason on second line, fixed invitations (thanks to
	Sergei Golovan)

	* messages.tcl: Destroy subscription window on roster push if
	subscription request is not required anymore (thanks to Sergei
	Golovan)

	* gpgme.tcl: All gpgme-related stuff moved here (thanks to Sergei
	Golovan)
	* messages.tcl: Likewise
	* userinfo.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* plugins/chat/draw_encrypted.tcl: Likewise
	* plugins/chat/draw_signed.tcl: Likewise
	* plugins/general/presenceinfo.tcl: Likewise

	* disco.tcl: Added disco publish support (thanks to Sergei
	Golovan)

	* disco.tcl: Added disco tree clearing feature (thanks to Maxim
	Ryazanov)

	* datagathering.tcl: Changed focus behaviour (thanks to Sergei
	Golovan)

	* chats.tcl: Encode non-ASCII characters in URL, miscellaneous
	internal changes (thanks to Sergei Golovan)

2006-01-08  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/bookmark_highlighted.tcl: Updated hook priority
	(thanks to Sergei Golovan)
	* plugins/chat/me_command.tcl: Likewise

	* ifacetk/systray.tcl: Changed menu title, don't set geometry if
	window state wasn't saved (thanks to Sergei Golovan)

	* doc/tkabber.xml: Fixed urls (thanks to Sergei Golovan)

	* utils.tcl: Bugfix (thanks to Sergei Golovan)

	* userinfo.tcl: Center photo in frame (thanks to Sergei Golovan)

	* userinfo.tcl: Set image MIME type according to image signature
	(thanks to Unatine)

	* splash.tcl: Set -topmost attribute to splash screen (thanks to
	Sergei Golovan)

	* messages.tcl: Bugfix (thanks to Sergei Golovan)

	* chats.tcl: Bugfix, added some items to chat menu (thanks to
	Sergei Golovan)

2005-11-30  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/headlines.tcl: Better keyboard management,
	highlight headers after clicking url in body (thanks to Sergei
	Golovan)

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Fixed focus behaviour in status line (thanks
	to Sergei Golovan)

	* roster.tcl: Fixed sending of custom presence and resubscription
	in undefined group (thanks to Sergei Golovan)

	* login.tcl: Option "sslcafile" replaced with "sslcacertstore",
	which accepts CA file or directory (thanks to Sergei Golovan)
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* jabberlib-tclxml/jlibtls.tcl: Likewise
	* jabberlib-tclxml/transports.tcl: Likewise

2005-11-20  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/headlines.tcl: Updated interface, added
	open_headlines_post_hook (thanks to Sergei Golovan)

	* plugins/chat/chatstate.tcl: Send "gone" event only after
	"active" event (thanks to Sergei Golovan)

	* jabberlib-tclxml/wrapper.tcl: Replace control characters to
	spaces (thanks to Sergei Golovan)

	* ifacetk/systray.tcl: Unification of tray support (thanks to
	Sergei Golovan)
	* ifacetk/iface.tcl: Likewise
	* plugins/unix/dockingtray.tcl: Likewise
	* plugins/unix/systray.tcl: Likewise
	* plugins/windows/taskbar.tcl: Likewise
	* presence.tcl: Likewise

	* search.tcl: Bugfix

	* roster.tcl: Support for sending custom presence to all group
	members (thanks to Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise

2005-11-14  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/xcommands.tcl: Support for ad-hoc commands
	(JEP-0050) (thanks to Sergei Golovan)

	* plugins/general/roster_delimiter.tcl: Support for nested roster
	groups server-side delimiter storing (JEP-0083) (thanks to Sergei
	Golovan)

	* plugins/chat/logger.tcl: Removed dependency on loginconf
	variable (thanks to Sergei Golovan)
	* plugins/general/message_archive.tcl: Likewise

	* jabberlib-tclxml/namespaces.tcl: Updated (thanks to Sergei
	Golovan)

	* ifacetk/unix.xrdb: Updated (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Added separator in tab menu (thanks to Sergei
	Golovan)

	* ifacetk/bwidget_workarounds.tcl: Removed copying of selected
	nodes to primary X-selection (thanks to Sergei Golovan)

	* contrib/extract-translations/extract.tcl: Fixed processing of
	multiline strings (thanks to Sergei Golovan)

	* chats.tcl: Headlines stuff moved to plugin (thanks to Sergei
	Golovan)
	* messages.tcl: Likewise
	* plugins/general/headlines.tcl: Likewise

	* plugins/chat/chatstate.tcl: Disabled by default, don't send
	events to offline contacts (thanks to Sergei Golovan)

	* msgs/uk.msg: Updated Ukrainian translation (thanks to Mykola Dzham)
	* msgs/ua.msg: Removed

	* jabberlib-tclxml/namespaces.tcl: Updated (thanks to Sergei
	Golovan)

	* ifacetk/iroster.tcl: Fixed drag'n'drop of conferences from disco
	(thanks to Sergei Golovan)
	* plugins/general/conferences.tcl: Likewise

	* ifacetk/iroster.tcl: Removed items indenting when multilogin is
	used (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Added mouse wheel bindings for tab headers
	(thanks to Sergei Golovan)

	* messages.tcl: Removed "Cancel" button from subscribe dialog
	(thanks to Sergei Golovan)

	* disco.tcl: Added category and type attributes in drag'n'drop
	info (thanks to Sergei Golovan)

	* custom.tcl: Added status "set in config" (thanks to Sergei
	Golovan)

	* chats.tcl: Added nick highlighting in /me messages (thanks to
	Sergei Golovan)
	* plugins/chat/draw_normal_message.tcl: Likewise
	* plugins/chat/me_command.tcl: Likewise

2005-10-12  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/events.tcl: Now message events can be switched off
	(thanks to Sergei Golovan)

	* plugins/chat/events.tcl: Generation of xlist is moved to hook
	(thanks to Sergei Golovan)
	* plugins/chat/send_message.tcl: Likewise

	* plugins/chat/chatstate.tcl: Support for Chat State Notifications
	(JEP-0085) (only <active/> and <compose/>) (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/namespaces.tcl: Added 2 namespaces (thanks to
	Sergei Golovan)

	* login.tcl: Fixed error after unsuccessful registration (thanks
	to Sergei Golovan)

	* datagathering.tcl: Added support for "true" and "false" boolean
	values (thanks to Sergei Golovan)

	* chats.tcl: Now possible to read logs from conference private
	chats (thanks to Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/logger.tcl: Likewise

	* chats.tcl: Changed message on topic change from room JID (thanks
	to Sergei Golovan)

2005-09-28  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Added a description for the
	DISCONNECT event (thanks to Sergei Golovan)
	* jabberlib-tclxml/stanzaerror.tcl: Likewise

	* register.tcl: Output a error message in the same registration
	window (thanks to Sergei Golovan)

	* muc.tcl: Show JID in kick and ban messages (thanks to Sergei
	Golovan)

	* datagathering.tcl: Now possible to clear fields and resend form
	(thanks to Sergei Golovan)

	* chats.tcl: Added a popup balloon for a topic label (thanks to
	Sergei Golovan)

	* chats.tcl: Bugfix (thanks to Sergei Golovan)
	* plugins/chat/open_window.tcl: Likewise

	* balloon.tcl: Don't show a empty balloon (thanks to Sergei
	Golovan)

2005-09-15  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/highlight.tcl: Better highlighting (thanks to
	Sergei Golovan)

	* jabberlib-tclxml/*: Reorganized, a few fixes (thanks to Sergei
	Golovan)
	* iq.tcl: Updated
	* login.tcl: Likewise
	* utils.tcl: Likewise
	* plugins/general/conferenceinfo.tcl: Likewise

2005-09-02  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/conferences.tcl: Bugfix (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/streamerror.tcl: Fixed CVS keyword (thanks to
	Sergei Golovan)

	* userinfo.tcl: Added connection choosing in user info dialog
	(thanks to Sergei Golovan)

	* plugins.tcl: Ignore non-directory files in plugins dir (thanks
	to Sergei Golovan)

	* messages.tcl: Added connection choosing in messages and
	subscription dialogs (thanks to Sergei Golovan)
	* presence.tcl: Likewise

	* chats.tcl: Added "open chat" dialog (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* chats.tcl: Updated URL regexp (thanks to Michail Litvak)

2005-08-28  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

	* plugins/chat/search.tcl: Fixed search panel displaying when the
	chat window have a small size (thanks to Sergei Golovan)

2005-08-19  Alexey Shchepin  <alexey@sevcom.net>

	* login.tcl: Bugfix (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* doc/tkabber.xml: Updated

2005-08-14  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/nl.msg: Updated (thanks to Sander Devrieze)

	* chats.tcl: Bugfix (thanks to Michail Litvak)

	* plugins/general/conferences.tcl: Changed update_bookmark API
	(thanks to Sergei Golovan)
	* itemedit.tcl: Likewise

	* ifacetk/iroster.tcl: Fixed drug'n'drop of conference jids
	(thanks to Sergei Golovan)

	* roster.tcl: Removed setting of "conference" and "subtype"
	attributes (thanks to Sergei Golovan)

2005-08-11  Alexey Shchepin  <alexey@sevcom.net>

	* joingrdialog.tcl: Minor fix (thanks to Sergei Golovan)

2005-08-10  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/es.msg: Updated (thanks to Badlop)

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

2005-08-09  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/annotations.tcl: Don't display note creation and
	modification dates in popup balloon (thanks to Sergei Golovan)

	* roster.tcl: Bugfix (thanks to Sergei Golovan)

2005-08-07  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/conferences.tcl: Bugfixes (thanks to Sergei
	Golovan)

	* plugins/chat/logger.tcl: Bugfix (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* itemedit.tcl: Minor translation string update (thanks to Sergei
	Golovan)

	* messages.tcl: Bugfix

	* plugins/general/conferences.tcl: Support for JEP-0048
	(Bookmarks) (thanks to Sergei Golovan)
	* itemedit.tcl: Likewise
	* roster.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* muc.tcl: Added muc_password variable

	* login.tcl: Bugfix (thanks to Sergei Golovan)

	* joingrdialog.tcl: Updated join group dialog, removed
	add_group_dialog and add_conference procedures (bookmarks should
	be used)
	* browser.tcl: Updated
	* chats.tcl: Likewise
	* disco.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iface.tcl: Likewise

2005-08-04  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/annotations.tcl: Added annotation page in user
	info window (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/streamerror.tcl: Stream error processing
	(thanks to Sergei Golovan)
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* jabberlib-tclxml/pkgIndex.tcl: Updated

	* ifacetk/iface.tcl: Added procedure client:errormsg (thanks to
	Sergei Golovan)
	* jabberlib-tclxml/jabberlib.tcl: Likewise

	* login.tcl: Bugfix (thanks to Sergei Golovan)

	* disco.tcl: Support for JEP-0128, better usability (thanks to
	Sergei Golovan)
	* muc.tcl: Updated

	* datagathering.tcl: Added function data::parse_xdata_results
	(thanks to Sergei Golovan)

	* browser.tcl: Better usability, several variables made per-window
	(thanks to Sergei Golovan)

2005-08-01  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/annotations.tcl: Support for JEP-0145
	(Annotations) (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Added roster_create_user_menu_edit_hook,
	instead of roster_create_user_menu_gpg_hook (thanks to Sergei
	Golovan)
	* gpgme.tcl: Likewise
	* itemedit.tcl: Likewise

	* tkabber.tcl: Use Changelog file if available to generate version
	string (thanks to Sergei Golovan)

2005-07-31  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Better error handling (thanks to
	Sergei Golovan)

	* contrib/extract-translations/extract.tcl: Updated (thanks to
	Sergei Golovan)

	* gpgme.tcl: Fixed typo (thanks to Sergei Golovan)
	* login.tcl: Likewise
	* ifacetk/ilogin.tcl: Likewise

2005-07-30  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jlibsasl.tcl: SASL support moved here from
	jabberlib.tcl, and added support for SASL module from tcllib
	(thanks to Sergei Golovan)
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* jabberlib-tclxml/pkgIndex.tcl: Updated
	* jabberlib-tclxml/wrapper.tcl: Updated

2005-07-27  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/ispell.tcl: Bugfix (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Workaround for jabberd2 bug
	(which is now fixed) (thanks to Sergei Golovan)

2005-07-15  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/transports.tcl: Bugfix (thanks to Sergei
	Golovan)

	* ifacetk/iface.tcl: Added option for displaying notebook tabs at
	the bottom (thanks to Sergei Golovan)

	* gpgme.tcl: Fixed typo (thanks to Sergei Golovan)

2005-06-22  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/sound.tcl: Added option for muting sound when
	Tkabber window have no focus (thanks to Sergei Golovan)

	* jabberlib-tclxml/transports.tcl: Ignore "-certfile", "-cafile",
	"-keyfile" options if their argument is empty string (thanks to
	Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Added errors returning on
	problems with authentication (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Separated SASL and STARTTLS
	options (thanks to Pat Thoyts)

	* ifacetk/ilogin.tcl: Added certificate file field (thanks to
	Sergei Golovan)

	* contrib/extract-translations/extract.tcl: Better output (thanks
	to Badlop)

	* privacy.tcl: Minor update to simplify extraction of translation
	strings (thanks to Sergei Golovan)

	* login.tcl: Added option for enabling PLAIN SASL mechanism
	(thanks to Sergei Golovan)
	* ifacetk/ilogin.tcl: Likewise

	* gpgme.tcl: Added customization options (thanks to Sergei Golovan)

2005-05-15  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/nick_colors.tcl: Bugfix (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Replaced "Browser" with "Jabber Browser"
	(thanks to Sergei Golovan)

	* disco.tcl: Replaced "Jabber Discovery" with "Service Discovery"
	(thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

2005-04-26  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* plugins/windows/taskbar.tcl: Now behaviour is the same as in
	unix taskbar plugin (thanks to Sergei Golovan)
	* pixmaps/*/doking/tkabber.ico: Updated

	* userinfo.tcl: Better displaying of big photos (thanks to Sergei
	Golovan)

	* chats.tcl: Better status displaying (thanks to Sergei Golovan)

2005-04-20  Alexey Shchepin  <alexey@sevcom.net>

	* muc.tcl: Sort affiliation lists (thanks to Sergei Golovan)

	* gpgme.tcl: Added multilogin support for GPGME (thanks to Sergei
	Golovan)
	* chats.tcl: Likewise
	* messages.tcl: Likewise
	* presence.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/draw_signed.tcl: Likewise

2005-04-13  Alexey Shchepin  <alexey@sevcom.net>

	* messages.tcl: Bugfix

2005-04-07  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/tclxml/: Removed unused code (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/wrapper.tcl: Optimizations (thanks to Sergei
	Golovan)

	* ifacetk/default.xrdb: Non-geometry resources are moved to
	unix.xrdb (thanks to Sergei Golovan)
	* ifacetk/unix.xrdb: Likewise

	* tkabber.tcl: Updated loading of default XRDB resources (thanks
	to Sergei Golovan)

	* chats.tcl: Added processing of empty subject in messages (thanks
	to Sergei Golovan)
	* examples/mtr-config.tcl: Likewise
	* examples/tools/rssbot.tcl: Likewise
	* jabberlib-tclxml/jabberlib.tcl: Likewise
	* plugins/si/ibb.tcl: Likewise

2005-03-27  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/systray.tcl: Added message tray icon blinking
	(thanks to Sergei Golovan)

	* plugins/unix/dockingtray.tcl: Now behaviour is almost the same
	as in systray.tcl (thanks to Sergei Golovan)

	* plugins/chat/draw_xhtml_message.tcl: Fixed groupchat messages
	displaying, updated hook priority (thanks to Sergei Golovan)
	* plugins/chat/draw_normal_message.tcl: Updated hook priority

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Updated status description in roster
	balloon (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Added options to hide toolbar, status bar and
	presence bar (thanks to Sergei Golovan)

	* ifacetk/idefault.tcl: Workaround for shortcuts in russian
	keyboard layout in Windows (thanks to Sergei Golovan)
	* emoticons.tcl: Updated bindings
	* plugins/chat/search.tcl: Likewise

	* ifacetk/bwidget_workarounds.tcl: Updated to latest BWidget
	version (thanks to Sergei Golovan)

	* examples/*.xrdb: Updated (thanks to Sergei Golovan)

	* gpgme.tcl: Minor change (thanks to Sergei Golovan)

	* browser.tcl: Bugfix (thanks to Sergei Golovan)

2005-03-16  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/*.msg: Commented ::msgcat::mcset commands with empty second
	argument to be compatible with latest msgcat package

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2005-03-15  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/search.tcl: Removed "Search:" label and FocusOut
	binding, added "Close" button (thanks to Sergei Golovan)

	* plugins/chat/logger.tcl: Pack all buttons in one row, added
	check for regexp correctness (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Minor fix (thanks to Sergei Golovan)

	* plugins/chat/logger.tcl: Use tag instead of selection to
	highlight matched text (thanks to Michail Litvak)

	* chats.tcl: Minor change (thanks to Michail Litvak)

	* plugins/chat/search.tcl: Support for search in chat window
	(thanks to Michail Litvak)

2005-03-13  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/rawxml.tcl: Options moved to "Plugins" subgroup
	(thanks to Sergei Golovan)
	* plugins/unix/ispell.tcl: Likewise

	* plugins/general/autoaway.tcl: Removed sound muting in "away" and
	"xa" states (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Fixed bug with "show offline contacts"
	nested group command (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Store window state on Windows, slightly
	reorganized menu, less roster width (thanks to Sergei Golovan)

	* ifacetk/default.xrdb: Removed unused resource "mainwindowstate"
	(thanks to Sergei Golovan)

	* splash.tcl: Splash window now transparent on win and mac
	platforms (thanks to Pat Thoyts)

	* sounds.tcl: Moved to plugins/general/sound.tcl (thanks to Sergei
	Golovan)
	* plugins/general/sound.tcl: Likewise
	* tkabber.tcl: Removed loading of sound.tcl

	* messages.tcl: Added "Message" class for message windows (thanks
	to Sergei Golovan)

	* login.tcl: Added loginconf(httpuseragent) variable (thanks to
	Sergei Golovan)
	* jabberlib-tclxml/transports.tcl: Added -proxyuseragent option

	* custom.tcl: Added "file" type of variable (thanks to Sergei
	Golovan)
	* login.tcl: Use "file" type for SSL certificates

	* balloon.tcl: Less balloon pads (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei Golovan)
	* jabberlib-tclxml/transports.tcl: Likewise

	* roster.tcl: Bugfix (thanks to Sergei Golovan)

2005-03-12  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/info_commands.tcl: Fixed typo (thanks to Sergei
	Golovan)

	* plugins/chat/events.tcl: Workaround for yahoo-t, which send
	<id/> inside jabber:x:event with real messages (thanks to Sergei
	Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/transports.tcl: Better SSL handling (thanks to
	Sergei Golovan)

	* ifacetk/iroster.tcl: Fixed roster aliases handling (thanks to
	Dmitry Astapov)

	* roster.tcl: Better handling of conference items (thanks to Pat
	Thoyts)

	* roster.tcl: Better status messages (thanks to Sergei Golovan)

	* muc.tcl: Added room destruction dialog (thanks to Sergei
	Golovan)

	* messages.tcl: Ignore messages with empty body and no (or
	unsupported, e.g. jabber:x:event) extras (thanks to Sergei
	Golovan)

	* chats.tcl: "Online" and "offline" strings replaced with
	"available" and "unavailable" (thanks to Sergei Golovan)
	* iface.tcl: Likewise
	* presence.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* chats.tcl: Added /leave with reason command (thanks to Sergei
	Golovan)
	* plugins/chat/irc_commands.tcl: Likewise

	* chats.tcl: Added connid argument to get_nick function (thanks to
	Sergei Golovan)
	* muc.tcl: Likewise
	* sound.tcl: Likewise
	* examples/mtr-config.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/bookmark_highlighted.tcl: Likewise
	* plugins/chat/complete_last_nick.tcl:Likewise
	* plugins/chat/completion.tcl:Likewise
	* plugins/chat/draw_normal_message.tcl:Likewise
	* plugins/chat/draw_xhtml_message.tcl:Likewise
	* plugins/chat/logger.tcl:Likewise
	* plugins/chat/me_command.tcl:Likewise
	* plugins/chat/nick_colors.tcl:Likewise
	* plugins/chat/open_chat.tcl:Likewise

2005-03-08  Alexey Shchepin  <alexey@sevcom.net>

	* custom.tcl: Remove duplicates in subgroup list (thanks to Sergei
	Golovan)

2005-03-03  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/systray.tcl: Updated (thanks to Sergei Golovan)

	* plugins/general/conferenceinfo.tcl: All options now in minutes
	instead of seconds (thanks to Sergei Golovan)

	* plugins/chat/irc_commands.tcl: Command /subject without
	arguments doen't set empty subject and display current instead
	(thanks to Sergei Golovan)

	* plugins/chat/info_commands.tcl: Better customization (thanks to
	Sergei Golovan)

	* jabberlib-tclxml/transports.tcl: Fixed NTLM authentication
	(thanks to Sergei Golovan)

	* plugins.tcl: Remove definition of Plugins group (thanks to
	Sergei Golovan)

	* messages.tcl: Added news copying to clipboard (thanks to Sergei
	Golovan)

	* itemedit.tcl: User bare jid to retrieve user vCard (thanks to
	Sergei Golovan)

	* filetransfer.tcl: Insert tag in custom group definition (thanks
	to Sergei Golovan)

	* disco.tcl: Sort items by default (thanks to Sergei Golovan)

	* custom.tcl: Remove dups in group parent list, minor interface
	change (thanks to Sergei Golovan)

	* chats.tcl: Fixed bug with incorrect emphasizing initialization
	(thanks to Sergei Golovan)
2005-02-27  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/autoaway.tcl: Updated options(drop_priority)
	description (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/ilogin.tcl: Updated behaviour in SSL tab (thanks to
	Sergei Golovan)

	* login.tcl: Removed loginconf(usestarttls), updated usage of
	loginconf(usessl) variable (thanks to Sergei Golovan)

2005-02-22  Alexey Shchepin  <alexey@sevcom.net>

	* plugins.tcl: Added "Plugins" customization group

2005-01-17  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/menu.tcl: Fixed behaviour (thanks to Sergei
	Golovan)
	* plugins/unix/menu8.4.tcl: Likewise

	* plugins/unix/dockingtray.tcl: Replaced command renaming to hook
	calls (thanks to Sergei Golovan)
	* plugins/unix/systray.tcl: Likewise
	* plugins/windows/taskbar.tcl: Likewise

	* jabberlib-tclxml/pkgIndex.tcl: Added NTLM package, increased
	jabberlib version (thanks to Sergei Golovan)

	* jabberlib-tclxml/ntlm.tcl: Support for NTLM authentication
	(thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: All socket and HTTP stuff moved
	to transports.tcl (thanks to Sergei Golovan)
	* jabberlib-tclxml/transports.tcl: Likewise

	* ifacetk/ilogin.tcl: Updated SSL tab (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Removed unneeded separator in Help menu,
	added "update idletask" (thanks to Sergei Golovan)

	* ifacetk/default.xrdb: Added customize button label color and
	width of scrollbar resources (thanks to Sergei Golovan)

	* ifaceck/iroster.tcl: Better menu labels (thanks to Sergei
	Golovan)
	* ifacetk/iroster.tcl: Likewise

	* examples/tools/jsend.tcl: Updated to work with current jabberlib
	(thanks to Sergei Golovan)
	* examples/tools/rssbot.tcl: Likewise

	* roster.tcl: Don't send unregistration request if server's jid is
	deleted, added procedure roster::send_remove_users_group (thanks
	to Sergei Golovan)
	* ifacetk/iroster.tcl: Added "Remove all users in group..."
	command

	* login.tcl: Many internal changes (thanks to Sergei Golovan)

	* iface.tcl: Better TLS warnings, added hooks set_status_hook and
	clear_status_hook (thanks to Sergei Golovan)

	* datagathering.tcl: Added "wm group $w ." (thanks to Sergei
	Golovan)
	* messages.tcl: Likewise
	* register.tcl: Likewise
	* search.tcl: Likewise
	* userinfo.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* plugins/chat/logger.tcl: Likewise
	* plugins/general/subscribe_gateway.tcl: Likewise

	* custom.tcl: Group names now drawed inside buttons (thanks to
	Sergei Golovan)

2005-01-04  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iface.tcl: Copyright update
	* splash.tcl: Likewise

2004-12-22  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/menu.tcl: Fixed menu closing behaviour (thanks to
	Sergei Golovan)
	* plugins/unix/menu8.4.tcl: Likewise

	* roster.tcl: Fixed nicknames importing from JIT (thanks to Sergei
	Golovan)

	* plugins/general/avatars.tcl: Allows translation of more strings
	(thanks to Badlop)

	* ifacetk/iface.tcl: Menu reorganization (thanks to Badlop and
	Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise

	* examples/ocean-deep.xrdb: New color theme (thanks to Badlop)

2004-12-17  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/logger.tcl: Avoid glob characters in filename to
	work properly in win32

2004-11-29  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/logger.tcl: Updated search interface (thanks to
	Sergei Golovan)

	* msgs/*.msg: Updated (thanks to Sergei Golovan)

	* muc.tcl: Minor fix (thanks to Sergei Golovan)

	* login.tcl: Avoid vwait (thanks to Sergei Golovan)

	* chats.tcl: Removed "..." from "Show info" and "Show history"
	menu items (thanks to Sergei Golovan)
	* messages.tcl: Likewise
	* search.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

2004-11-28  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/autoaway.tcl: Fixed priority storing, intervals
	now specified in minutes (thanks to Sergei Golovan)

	* presence.tcl: Send presence only when changed $userstatus,
	updated sending of first presence (thanks to Sergei Golovan)

2004-11-21  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/open_chat.tcl: Support for /open command (thanks to
	Dmitry Astapov)

	* plugins/chat/completion.tcl: Support for completion of strings
	with spaces (thanks to Dmitry Astapov)

	* jabberlib-tclxml/jabberlib.tcl: Moved predisconnected_hook to
	login.tcl (thanks to Sergei Golovan)
	* login.tcl: Likewise

	* ifacetk/iroster.tcl: Updated set_group_lists (thanks to Sergei
	Golovan)

	* tkabber.tcl: Updated exiting (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* muc.tcl: Replaced "[namespace current]" with "muc" (thanks to
	Sergei Golovan)

	* messages.tcl: Replaced "gc_" with "muc#" (thanks to Sergei
	Golovan)
	* muc.tcl: Likewise

	* muc.tcl: Avoid vwait (thanks to Sergei Golovan)

	* chats.tcl: Removed "after idle" call, cleanup (thanks to Sergei
	Golovan)

	* ifacetk/ilogin.tcl: Better focus setting in login window (thanks
	to Sergei Golovan)

2004-09-30  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/wrapper.tcl: Added wrapper::free procedure
	(thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Better support for xml:lang
	(thanks to Sergei Golovan)

	* emoticons.tcl: Added freeing of xml parser (thanks to Sergei
	Golovan)
	* xmppmime.tcl: Likewise
	* jabberlib-tclxml/jabberlib.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl (jlib::http_poll): Removed
	previous fix

2004-09-29  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl (jlib::http_poll): Bugfix (thanks
	to Sergei Golovan)

2004-09-28  Alexey Shchepin  <alexey@sevcom.net>

	* tkabber.tcl: Added '-splash' option

2004-09-25  Alexey Shchepin  <alexey@sevcom.net>

	* login.tcl: Display registration dialog only on authentication
	error (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Updated for better handling of
	translation strings (thanks to Sergei Golovan)
	* plugins/general/rawxml.tcl: Likewise
	* plugins/general/stats.tcl: Likewise

	* ifaceck/iface.tcl: Updated some translation strings (thanks to
	Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* contrib/extract-translations/extract.tcl: Better search for
	translation stings (thanks to Sergei Golovan)

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2004-09-21  Alexey Shchepin  <alexey@sevcom.net>

	* joingrdialog.tcl (add_group_dialog): Bugfix

	* presence.tcl: Bugfix (thanks to Sergei Golovan)

2004-09-17  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/offline.tcl: Partial support for JEP-0013
	(thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Removed avatar menu, register name for
	services menu (thanks to Sergei Golovan)

	* userinfo.tcl: Added hook for inserting new pages in user info
	window (thanks to Sergei Golovan)

	* muc.tcl: Processing of conference presence packets moved here
	(thanks to Sergei Golovan)

	* messages.tcl: Support for password in conference room invitation
	(thanks to Sergei Golovan)

	* login.tcl: Fixed logout with reason (thanks to Sergei Golovan)
	* presence.tcl: Likewise

	* joingrdialog.tcl: Updated support for room password (thanks to
	Sergei Golovan)

	* hooks.tcl: Added procedure foldl (thanks to Sergei Golovan)

	* ckabber.tcl: Removed avatar namespace (thanks to Sergei Golovan)

	* chats.tcl: Fixed processing of disconnecting from conference
	room (thanks to Sergei Golovan)

	* avatars.tcl: Moved to plugins (thanks to Sergei Golovan)
	* plugins/general/avatars.tcl: Likewise, added connid support,
	avatar menu moved from ifacetk/iface.tcl (thanks to Sergei
	Golovan)
	* tkabber.tcl: Removed direct loading of avatars.tcl (thanks to
	Sergei Golovan)

2004-09-10  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Fixed TLS support (thanks to
	Sergei Golovan)
	* login.tcl: Likewise

2004-09-09  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iface.tcl: Added "Iconize" option to
	options(closebuttonaction) (thanks to Badlop)

2004-09-05  Alexey Shchepin  <alexey@sevcom.net>

	* chats.tcl: Better URL support, added "Add conference" in
	conference menu
	* plugins/chat/highlight.tcl: Removed highlighting inside URL

	* plugins/unix/systray.tcl: Fixed icon initialization

	* plugins/filetransfer/http.tcl: Bugfix
	* plugins/jidlink/dtcp.tcl: Likewise

	* jabberlib-tclxml/wrapper.tcl: Added stream_header and
	stream_trailer procedures

	* messages.tcl: Message body now displayed using $font

	* disco.tcl: Added sorting

	* browser.tcl: Added sorting by JID

2004-08-23  Alexey Shchepin  <alexey@sevcom.net>

	* muc.tcl: Fixed invitation to conference (thanks to Sergei
	Golovan)
	* chats.tcl: Likewise

2004-08-16  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/systray.tcl: New plugin for tray icon (thanks to
	Alexey Lyubimov)

	* plugins/unix/dockingtray.tcl: Now disabled by default (thanks to
	Sergei Golovan)

	* plugins/general/subscribe_gateway.tcl: New plugin for user
	adding using jabber:iq:gateway (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Added service_popup_menu_hook (thanks to
	Sergei Golovan)

	* ifacetk/ilogin.tcl: Procedure logout_dialog moved to current
	namespace (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Added protocol_wm_delete_window_hook, bugfix
	(thanks to Sergei Golovan)

	* utils.tcl: Bugfix (thanks to Sergei Golovan)

	* userinfo.tcl: Bugfix (thanks to Sergei Golovan)

	* privacy.tcl: Updated messages (thanks to Sergei Golovan)

	* custom.tcl: Added interface to add options to radiobutton
	(thanks to Sergei Golovan)

	* pixmaps/: Renamed icons (thanks to Sergei Golovan)
	* browser.tcl: Likewise
	* disco.tcl: Likewise
	* splash.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/popupmenu.tcl: Likewise

	* balloon.tcl: Better balloon placement in the bottom of screen
	(thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Move roster item on drag'n'drop instead of
	copying if it is dropped in the same roster (thanks to Sergei
	Golovan)

	* examples/tools/jsend.tcl: Updated (thanks to Marshall T. Rose)

	* jabberlib-tclxml/jabberlib.tcl: Added -from argument to
	jlib::send_msg (thanks to Marshall T. Rose)

	* jabberlib-tclxml/pkgIndex.tcl: Updated (thanks to Marshall
	T. Rose)

2004-08-08  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Don't send newline after stanza

2004-08-01  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Support for STARTTLS
	* login.tcl: Likewise
	* ifacetk/ilogin.tcl: Likewise

2004-07-23  Alexey Shchepin  <alexey@sevcom.net>

	* doc/tkabber.xml: Updated

2004-07-20  Alexey Shchepin  <alexey@sevcom.net>

	* roster.tcl (roster::get_label): Bugfix

2004-07-17  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/nl.msg: New Dutch translation (thanks to Sander Devrieze)

2004-07-16  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/filetransfer/si.tcl: Added missed function
	set_receive_file_name (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Minor fix (thanks to Sergei
	Golovan)

	* avatars.tcl: Removed loginconf usage (thanks to Sergei Golovan)
	* gpgme.tcl: Likewise
	* ifacetk/iface.tcl: Likewise in call to userinfo::open

	* privacy.tcl: Fixed some translatable messages

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2004-07-10  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/tkcon.tcl: Updated label (thanks to Sergei
	Golovan)

	* plugins/filetransfer/*.tcl: Added transport enabling option,
	updated dialogs and menus (thanks to Sergei Golovan)

	* plugins/chat/popupmenu.tcl: Updated (thanks to Sergei Golovan)

	* plugins/chat/nick_colors.tcl: Added "Edit nick color" menu item
	to roster (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Updated file transfer menu (thanks to
	Sergei Golovan)

	* tkabber.tcl: Returned loading of jidlink.tcl (thanks to Sergei
	Golovan)

	* si.tcl: Added customization options (thanks to Sergei Golovan)

	* jidlink.tcl: Removed "Jidlink" menu (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* hooks.tcl: Bugfix (thanks to Sergei Golovan)

	* filetransfer.tcl: Added "cascaded_menu" option (thanks to Sergei
	Golovan)

	* default.tcl: Minor fix (thanks to Sergei Golovan)

	* chats.tcl: Removed global variable "w" (thanks to Sergei
	Golovan)
	* iface.tcl: Likewise
	* messages.tcl: Likewise

2004-07-06  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/es.msg: Updated (thanks to Badlop)

	* msgs/ca.msg: Updated (thanks to Badlop)

2004-07-04  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/events.tcl: Don't open window if event notification
	is received

	* chats.tcl: Opening of chat window is moved to plugin
	* plugins/chat/open_window.tcl: New plugin to open chat and
	groupchat windows
	* plugins/chat/empty_body.tcl: Changed priority for
	check_draw_empty_body

2004-07-02  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/filetransfer/si.tcl: Handle <desc/> element properly

	* plugins/si/socks5.tcl: Bugfix

2004-07-01  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/si/socks5.tcl: JEP-0065 support

	* plugins/iq/oob.tcl: Moved to plugins/filetransfer/http.tcl

	* plugins/chat/irc_commands.tcl: Added /clear command, some
	commands now works in chat (non-conference) windows (thanks to
	Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/default.xrdb: Updated (thanks to Sergei Golovan)

	* examples/teopetuk.xrdb: Updated (thanks to Sergei Golovan)

	* filetransfer.tcl: Moved HTTP, Jidlink and SI stuff to
	plugins/filetransfer (thanks to Sergei Golovan)
	* plugins/filetransfer/http.tcl: Likewise
	* plugins/filetransfer/jidlink.tcl: Likewise
	* plugins/filetransfer/si.tcl: Likewise

	* disco.tcl: Better multilogin support (thanks to Sergei Golovan)
	* jidlink.tcl: Likewise
	* negotiate.tcl: Likewise
	* plugins/jidlink/dtcp.tcl: Likewise
	* plugins/jidlink/ibb.tcl: Likewise

	* chats.tcl: Updated menu items related to sending files (thanks
	to Sergei Golovan)
	* messages.tcl: Likewise
	* search.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

2004-06-24  Alexey Shchepin  <alexey@sevcom.net>

	* chats.tcl: Minor internal change

	* filetransfer.tcl: Added support for JEP-0096 (not completed:
	only IBB is supported)
	* si.tcl: Likewise
	* plugins/si/ibb.tcl: Likewise

	* ifacetk/iface.tcl: Fixed call to message::send_subsribe_dialog
	(thanks to Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei
	Golovan)

2004-06-18  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iface.tcl: Support for tabs drag'n'drop (thanks to
	Sergei Golovan)

	* (all): Better connid support (thanks to Sergei Golovan)

2004-06-14  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/dockingtray.tcl: Replaced "dock_in_tray" with
	"dockingtray" (thanks to Sergei Golovan)

	* plugins/chat/info_commands.tcl: Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/bookmark_highlighted.tcl: Changed behaviour (thanks
	to Sergei Golovan)
	* plugins/chat/popupmenu.tcl: Likewise

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Second button in toolbar now opens
	"Discovery" window instead of "Browser" (thanks to Sergei Golovan)

2004-06-10  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/unix/dockingtray.tcl: Added option for plugin disabling
	(thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Added registration for "https"
	protocol (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Don't count own messages in tab and main
	window titles (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Removed dots from "About" and "Quick help"
	menu items (thanks to Sergei Golovan)
	* plugins/unix/dockingtray.tcl: Likewise
	* plugins/windows/taskbar.tcl: Likewise
	* msgs/*.msg: Likewise

	* messages.tcl: Replace newlines to spaces in the headlines tree
	(thanks to Sergei Golovan)

2004-06-07  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/ilogin.tcl: Fixed bindings for C-Prior and C-Next
	(thanks to Sergei Golovan)

2004-05-11  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/fr.msg: Updated (thanks to Vincent Ricard)

2004-05-09  Alexey Shchepin  <alexey@sevcom.net>

	* examples/tclCarbonNotification-1.0.0/: Package that adds support
	for "bouncing" the tkabber icon in the MacOS X (thanks to Marshall
	T. Rose)

	* examples/mtr-config.tcl: Updated (thanks to Marshall T. Rose)

	* balloon.tcl: Support for AquaBI (thanks to Marshall T. Rose)
	* register.tcl: Likewise
	* search.tcl: Likewise

2004-05-08  Alexey Shchepin  <alexey@sevcom.net>

	* examples/mtr-config.tcl: Updated (thanks to Marshall T. Rose)

	* ifacetk/iface.tcl: Added "tab_set_updated" hook (thanks to
	Marshall T. Rose)

	* msgs/pl.msg: Removed trailing garbage

2004-04-27  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/autoaway.tcl: Support for AquaBI (thanks to
	Marshall T. Rose)

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2004-04-23  Alexey Shchepin  <alexey@sevcom.net>

	* (all): Updated to make tkabber run under AquaBI (thanks to
	Marshall T. Rose)

2004-04-17  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/info_commands.tcl: Cleanup (thanks to Sergei
	Golovan)

	* muc.tcl: Display real jid in join message when available (thanks
	to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Support for "name" attribute in
	presence stanzas with type "subscribed" (thanks to Sergei Golovan)
	* messages.tcl: Likewise
	* roster.tcl: Likewise

	* messages.tcl: Bugfix with displaying of "Undefined" group in
	"Edit item" dialog (thanks to Sergei Golovan)
	* roster.tcl: Likewise

	* plugins/chat/popupmenu.tcl: Bugfixes (thanks to Sergei Golovan)

2004-04-12  Alexey Shchepin  <alexey@sevcom.net>

	* pixmaps/kroc/: Pixmaps theme from tkabber-starkit

	* jabberlib-tclxml/jabberlib.tcl: Support for IDNA (RFC3490)
	* login.tcl: Likewise

2004-04-11  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/bookmark_highlighted.tcl: Bugfix (thanks to Sergei
	Golovan)

	* roster.tcl (roster::get_groups): Bugfix (thanks to Sergei
	Golovan)

	* plugins/chat/popupmenu.tcl: Moved bookmark image to bookmark.xpm
	(thanks to Sergei Golovan)
	* pixmaps/default/tkabber/bookmark.xpm: Likewise

	* plugins/chat/bookmark_highlighted.tcl: Updated (thanks to Sergei
	Golovan)

	* ifacetk/iroster.tcl: Added "Send message to all users in group"
	menu item (thanks to Sergei Golovan)

	* roster.tcl: Changed get_groups (thanks to Sergei Golovan)
	* itemedit.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* roster.tcl: Added function get_group_jids (thanks to Sergei
	Golovan)

	* messages.tcl: Headlines now stored in utf-8 encoding (thanks to
	Sergei Golovan)

	* messages.tcl: Changed syntax of message::send and
	message::send_dialog (thanks to Sergei Golovan)
	* search.tcl: Likewise
	* xmppmime.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise
	* ifacetk/iface.tcl: Likewise

	* default.tcl: More i18n

	* chats.tcl: Removed chats(groupchats) variable, added function
	chat::opened (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise
	* plugins/chat/popupmenu.tcl: Likewise
	* plugins/chat/nick_colors.tcl: Likewise

2004-04-07  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/popupmenu.tcl: Fixes, added hook (thanks to Sergei
	Golovan)

	* plugins/chat/nick_colors.tcl: Added "Edit nick color" context
	menu to colored nicks, fixes (thanks to Sergei Golovan)

	* plugins/chat/me_command.tcl: Bugfix (thanks to Sergei Golovan)

	* plugins/chat/draw_normal_message.tcl: Optimization, changed load
	priority (thanks to Sergei Golovan)

	* plugins/chat/bookmark_highlighted.tcl: Support for scrolling to
	highlighted messages (thanks to Sergei Golovan)

	* chats.tcl: Support for colored nicks in conference roster
	(thanks to Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise
	* plugins/chat/nick_colors.tcl: Likewise

	* chats.tcl: Added "Copy URL to clipboard" menu item (thanks to
	Sergei Golovan)

2004-04-04  Alexey Shchepin  <alexey@sevcom.net>

	* pixmaps/gush/: New pixmaps theme (thanks to Badlop)

	* pixmaps/amibulb/: Updated (thanks to Badlop)

	* ifacetk/ilogin.tcl: Minor change (thanks to Badlop)

	* muc.tcl: More i18n support (thanks to Badlop)

	* ifacetk/iface.tcl: New option "closebuttonaction" (thanks to
	Badlop)

	* examples/badlop-*: Updated (thanks to Badlop)

	* default.tcl: Added customization option for web browser (thanks
	to Badlop)

2004-04-03  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iroster.tcl: Customized tearoff displaying in roster
	menu (thanks to Sergei Golovan and Badlop)

	* ifacetk/iface.tcl: Bugfix in displaying of star in titlebar
	(thanks to Sergei Golovan)

	* ifacetk/idefault.tcl: Changed priority for define_fonts (thanks
	to Sergei Golovan)

	* privacy.tcl: Added debugmsgs (thanks to Sergei Golovan)

	* messages.tcl (message::str2node): Updated to work with latest
	tcllib (thanks to Sergei Golovan)

	* custom.tcl: Changed priority of custom::restore (thanks to
	Sergei Golovan)

	* chats.tcl: Added "highlight" tag (thanks to Sergei Golovan)
	* plugins/chat/draw_normal_message.tcl: Likewise

	* custom.tcl: Fixed custom.tcl path (this change and changes below
	are adaptations by Sergei Golovan of tkabber-starkit (authors:
	David Zolli, Steve Redler and Pat Thoyst))
	* default.tcl: Updated browseurl
	* joingrdialog.tcl: Specified -parent and -modal options
	* muc.tcl: Likewise
	* presence.tcl: Likewise
	* tkabber.tcl: Debugging info is now off by default, fixed file
	paths
	* examples/gtklook.xrdb: New theme
	* ifacetk/idefault.tcl: Minor update
	* ifacetk/iface.tcl: Added option show_presencebar
	* plugins/chat/nick_colors.tcl: Support for colored messages
	* plugins/chat/draw_normal_message.tcl: Likewise
	* plugins/chat/me_command.tcl: Likewise
	* plugins/chat/logger.tcl: Fixed file path
	* plugins/chat/popupmenu.tcl: Popup menu for chat windows
	* plugins/windows/console.tcl: Display console window

2004-03-30  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/logger.tcl (::logger::get_subdirs): Bugfix

2004-03-22  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

	* tkabber.tcl: Added setting of seed for tclx "random" command

2004-03-20  Alexey Shchepin  <alexey@sevcom.net>

	* iface*/iroster.tcl: Added sorting in send users dialog (thanks
	to Marshall T. Rose)
	* roster.tcl (roster::get_jids): Likewise

2004-03-16  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/fr.msg: Updated (thanks to Vincent Ricard)

	* contrib/extract-translations/extract.tcl: Added '-v' option to
	display useless old keys from translation files (thanks to Vincent
	Ricard)

	* plugins/chat/logger.tcl: Don't show months with no history
	messages, now possible to view entire history, added explicit
	color definitions in CSS (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Added binding for <<PrevWindow>> (thanks to
	Sergei Golovan)

	* utils.tcl: Checkbuttons list now sorted, fixed some bindings
	(thanks to Sergei Golovan)

	* messages.tcl: Added "Copy URL to clipboard" command for
	headlines (thanks to Sergei Golovan)

	* chats.tcl: Minor change (thanks to Sergei Golovan)

2004-03-12  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/windows/taskbar.tcl: Bugfix (thanks to Roger Sondermann)
	* plugins/unix/dockingtray.tcl: Likewise

2004-03-11  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iroster.tcl: Fixed group resubscribe (thanks to David
	Everly)

2004-03-10  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Added check for "http" package
	version (thanks to Sergei Golovan)

	* filetransfer.tcl: Fixed check for "http" package version (thanks
	to Sergei Golovan)

	* browser.tcl: Don't open window when tkabber is disconnected
	(thanks to Sergei Golovan)
	* disco.tcl: Likewise
	* joingrdialog.tcl: Likewise

2004-03-08  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei
	Golovan)

	* examples/mtr-config.tcl: Updated (thanks to Marshall T. Rose)

2004-03-07  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iface.tcl: Added option for showing/hiding tearoffs
	(thanks to Badlop)

	* ifacetk/iface.tcl: Updated toolbar icons changing (thanks to
	Sergei Golovan)

	* userinfo.tcl: More compatibility with old versions, fixed regsub
	usage (thanks to Sergei Golovan)

	* tkabber.tcl: Now possible to use site-wide config (thanks to
	Sergei Golovan)

	* messages.tcl: Updated few messages (thanks to Sergei Golovan)

	* chats.tcl: Fixed presence sending to conference (thanks to
	Sergei Golovan)
	* presence.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* roster.tcl: Recognize "weather" in addition to "pogoda" (thanks
	to Marshall T. Rose)

	* jabberlib-tclxml/jabberlib.tcl: Added option for passing "to"
	attribute (thanks to Marshall T. Rose)

2004-03-02  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Fixed handshake processing

	* plugins/chat/info_commands.tcl: Removed not-evident AI (thanks
	to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* userinfo.tcl: Text widgets now inside ScrolledWindow, added
	-page option to userinfo::open, EMAIL tag now processed according
	to JEP-0054 (thanks to Sergei Golovan)

	* datagathering.tcl: Slightly updated look of x:data forms (thanks
	to Sergei Golovan)
	* muc.tcl: Likewise for affiliation lists

	* custom.tcl: Added group sorting (thanks to Sergei Golovan)

	* chats.tcl: Fixed "smart scroll" (thanks to Sergei Golovan)

2004-02-27  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2004-02-26  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/bwidget_workarounds.tcl: Disable previous workaround for
	unix platform

2004-02-25  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/idefault.tcl: Added changing of font "on the fly" for
	non-unix platforms (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Likewise

	* ifacetk/bwidget_workarounds.tcl: Fixed SelectFont widget (thanks
	to Sergei Golovan)

	* utils.tcl: Added "error_type_condition" function (thanks to
	Sergei Golovan)

	* privacy.tcl: Updated interface, also added interface to
	visible/invisible/ignore lists (thanks to Sergei Golovan)
	* ifacetk/iface.tcl: Updated menu for privacy rules (thanks to
	Sergei Golovan)

	* muc.tcl: Updated menu labels (thanks to Sergei Golovan)

	* login.tcl: Roster getting and first presence sending moved to
	hooks (thanks to Sergei Golovan)
	* presence.tcl: Likewise
	* roster.tcl: Likewise

	* datagathering.tcl: Removed "xml:lang" attribute (thanks to
	Sergei Golovan)
	* disco.tcl: Likewise
	* muc.tcl: Likewise
	* register.tcl: Likewise
	* search.tcl: Likewise
	* userinfo.tcl: Likewise
	* plugins/general/conferenceinfo.tcl: Likewise

	* datagathering.tcl: Better look (thanks to Sergei Golovan)

	* custom.tcl: Added "font" type for variables (thanks to Sergei
	Golovan)

	* chats.tcl: Fixed conference topic changing (thanks to Sergei
	Golovan)

	* chats.tcl: Minor update (thanks to Sergei Golovan)
	* ifaceck/widgets.tcl: Likewise
	* plugins/general/rawxml.tcl: Likewise

	* balloon.tcl: Minor change (thanks to Sergei Golovan)

2004-02-17  Alexey Shchepin  <alexey@sevcom.net>

	* pixmaps/amibulb/: New pixmaps theme (thanks to Badlop)

	* datagathering.tcl: Minor fix
	* ifaceck/iroster.tcl: Likewise
	* login.tcl: Likewise
	* muc.tcl: Likewise
	* plugins/chat/logger.tcl: Likewise
	* roster.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl: Fixed error message output
	(thanks to Sergei Golovan)

	* muc.tcl: Added history management (thanks to Sergei Golovan)

	* chats.tcl: "Extended Away" message is replaced with "Extended
	away" (thanks to Sergei Golovan)
	* iface.tcl: Likewise
	* presence.tcl: Likewise
	* ifaceck/iroster.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* chats.tcl: Don't scroll window if message have empty body
	(thanks to Sergei Golovan)

2004-02-10  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* iface.tcl: Fixed translatable string (thanks to Sergei Golovan)
	* search.tcl: Likewise

	* roster.tcl: Fixed get_category_and_subtype and
	heuristically_get_category_and_subtype (thanks to Sergei Golovan)
	* gpgme.tcl: Likewise

	* datagathering.tcl: Fixed sending of ejabberd:config element
	(thanks to Sergei Golovan)

	* chats.tcl: Nick change command moved to muc.tcl, fixed error
	with conference menu (thanks to Sergei Golovan)
	* muc.tcl: Likewise
	* plugins/chat/irc_commands.tcl: Likewise

2004-02-08  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

	* plugins/general/rawxml.tcl: Added mandatory "id" attribute to IQ
	templates

	* plugins/general/stats.tcl: Added disco feature description
	(thanks to Sergei Golovan)

	* plugins/chat/irc_commands.tcl: /part and /leave now close
	conference window (thanks to Sergei Golovan)

	* plugins/chat/exec_command.tcl: Cleanup (thanks to Sergei
	Golovan)
	* plugins/chat/info_commands.tcl: Likewise

	* ifacetk/iface.tcl: Added ifacetk::destroy_win function (thanks
	to Sergei Golovan)

	* tkabber.tcl: Restored previous loading order (thanks to Sergei
	Golovan)

	* datagathering.tcl: Support for ejabberd:config namespace (thanks
	to Sergei Golovan)

	* chats.tcl: Open conference window before MUC negotiation (thanks
	to Sergei Golovan)
	* joingrdialog.tcl: Likewise
	* muc.tcl: Likewise
	* ifacetk/iroster.tcl: Likewise

	* browser.tcl: Minor update in ns_handler and feature_handler
	processing (thanks to Sergei Golovan)
	* disco.tcl: Likewise

	* pixmaps/jajc/docking/*.gif: New JAJC-like docking icons (thanks
	to Oleksandr Yakovlyev)

2004-02-04  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/general/autoaway.tcl: Display autoaway options only if
	tkXwin is available (thanks to Sergei Golovan)

	* joingrdialog.tcl: Join conference with current presence status
	(thanks to Sergei Golovan)
	* muc.tcl: Likewise

2004-02-01  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/windows/taskbar.tcl: Added option for taskbar blinking
	(thanks to Badlop)

	* msgs/es.msg: Updated (thanks to Badlop)

	* msgs/ca.msg: Updated (thanks to Badlop)

	* examples/badlop-*: Updated (thanks to Badlop)

	* ifacetk/iface.tcl: Added options for switching of tabbed mode
	and toolbar displaying (thanks to Badlop)

	* tkabber.tcl: Slightly changed loading order

	* ifacetk/iface.tcl (ifacetk::update_chat_titles): Minor fix

2004-01-26  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/irc_commands.tcl: Updated nick changing (thanks to
	Sergei Golovan)

	* plugins/chat/draw_message.tcl: Minor update (thanks to Sergei
	Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Updated (thanks to Sergei
	Golovan)

	* presence.tcl: Removed "-id" processing (thanks to Sergei
	Golovan)

	* muc.tcl: Updated processing of nick changing (thanks to Sergei
	Golovan)

	* chats.tcl: Updated nick handling (thanks to Sergei Golovan)

2004-01-20  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Bugfix (thanks to Sergei
	Golovan)

2004-01-19  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/irc_commands.tcl: Fixed nick changing (thanks to
	Sergei Golovan)

	* ifacetk/iroster.tcl: Bugfixes (thanks to Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Added -command option to
	presence sending (thanks to Sergei Golovan)
	* presence.tcl: Likewise

	* jabberlib-tclxml/jabberlib.tcl: HTTP Polling update (thanks to
	Sergei Golovan)

	* chats.tcl: Bugfix (thanks to Sergei Golovan)

2004-01-18  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Function get_lang moved to
	jabberlib.tcl from utils.tcl, added sending of xml:lang attribute
	in stream header
	* utils.tcl: Likewise

	* plugins/chat/irc_commands.tcl: Minor update (thanks to Sergei
	Golovan)

	* login.tcl: Added 2 options for HTTP Polling, bugfix (thanks to
	Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Cleanup, updated error codes,
	changed connid generation, added HTTP_LOG callback, more options
	for HTTP Polling (thanks to Sergei Golovan)
	* tkabber.tcl: Added HTTP_LOG callback
	* ckabber.tcl: Likewise

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Bugfix (thanks to Sergei Golovan)

	* chats.tcl: Added rejoining to conferences on login (thanks to
	Sergei Golovan)

2004-01-17  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iface.tcl: Copyright update
	* splash.tcl: Likewise

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

	* ifacetk/ilogin.tcl: Bugfix (thanks to Sergei Golovan)

2004-01-14  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/complete_last_nick.tcl: Minor fix (thanks to Sergei
	Golovan)

	* muc.tcl: Fixed /kick command (thanks to Sergei Golovan)

	* browser.tcl: Updated to latest JEP-0011 (thanks to Sergei
	Golovan)
	* plugins/iq/browse.tcl: Likewise

	* ifacetk/iroster.tcl: Bugfix (thanks to Sergei Golovan)

2004-01-12  Alexey Shchepin  <alexey@sevcom.net>

	* tkabber.tcl: Bugfix

2004-01-11  Alexey Shchepin  <alexey@sevcom.net>

	* login.tcl (client:reconnect): Bugfix

	* msgs/pt.msg: Updated (thanks to Miguel)

2004-01-08  Alexey Shchepin  <alexey@sevcom.net>

	* chats.tcl: Bugfix

2004-01-07  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/windows/taskbar.tcl: Bugfix (thanks to Irek Chmielowiec)
	* plugins/unix/dockingtray.tcl: Likewise

	* browser.tcl: Fixed typos (thanks to Badlop)

2004-01-06  Alexey Shchepin  <alexey@sevcom.net>

	* browser.tcl: Bugfix

2004-01-05  Alexey Shchepin  <alexey@sevcom.net>

	* ifacetk/iroster.tcl: Bugfix

2004-01-04  Alexey Shchepin  <alexey@sevcom.net>

	* pixmaps/*/services/jud.gif: New icons for JUD service (thanks to
	Sergei Golovan)

	* jabberlib-tclxml/jabberlib.tcl: Added predisconnected_hook
	(thanks to Sergei Golovan)

	* roster.tcl: Interface stuff moved to ifacetk/iroster.tcl (thanks
	to Sergei Golovan)
	* ifacetk/iroster.tcl: Likewise, added roster state autosave
	feature
	* chats.tcl: Updated roster stuff
	* messages.tcl: Likewise
	* search.tcl: Likewise
	* ifacetk/iface.tcl: Likewise
	* plugins/unix/wmdock.tcl: Likewise

	* msgs/pt.msg: Updated (thanks to Miguel)

2004-01-03  Alexey Shchepin  <alexey@sevcom.net>

	* doc/tkabber.xml: Updated (thanks to Badlop)

2003-12-30  Alexey Shchepin  <alexey@sevcom.net>

	* jabberlib-tclxml/jabberlib.tcl: Use poll keys only when http
	polling is enabled (thanks to Sergei Golovan)

	* ifacetk/iface.tcl: Bugfixes (thanks to Sergei Golovan)

	* ifaceck/*: Updated (not completed yet) (thanks to Sergei
	Golovan)

	* userinfo.tcl: Fixed tab bindings (thanks to Sergei Golovan)

	* tkabber.tcl: Minor changes (thanks to Sergei Golovan)

	* login.tcl: Fixed types for port variables, fixed option for poll
	security keys (thanks to Sergei Golovan)
	* ifacetk/ilogin.tcl: Likewise

	* default.tcl: Some parts moved to ifacetk/ (thanks to Sergei
	Golovan)

	* ckabber.tcl: Updated (thanks to Sergei Golovan)

	* bwidget_workarounds.tcl: Moved to ifacetk/ (thanks to Sergei
	Golovan)

	* browser.tcl: Changed packing order (thanks to Sergei Golovan)
	* disco.tcl: Likewise

2003-12-29  Alexey Shchepin  <alexey@sevcom.net>

	* Makefile: Updated SUBDIRS, removed "*.xrdb" from "cp"

	* ifacetk/iface.tcl (ifacetk::update_ssl_ind): Bugfix (thanks to
	Sergei Golovan)

2003-12-28  Alexey Shchepin  <alexey@sevcom.net>

	* muc.tcl (muc::receive_list): Fixed non-translatable string

	* plugins/unix/dockingtray.tcl: Added check for interface (thanks
	to Sergei Golovan)
	* plugins/windows/taskbar.tcl: Likewise

	* plugins/iq/last.tcl: Added option for reply denying (thanks to
	Sergei Golovan)
	* plugins/iq/time.tcl: Likewise
	* plugins/iq/version.tcl: Likewise

	* plugins/general/stats.tcl: Added optional arguments to handler
	(thanks to Sergei Golovan)

	* plugins/chat/highlight.tcl: Bugfix (thanks to Sergei Golovan)

	* msgs/ru.msg: Updated (thanks to Sergei Golovan)

	* ifacetk/*: Interface for Tk (thanks to Sergei Golovan)

	* ifaceck/*: Interface for Ck (not completed yet) (thanks to
	Sergei Golovan)

	* tkabber.tcl: Minor changes (thanks to Sergei Golovan)

	* roster.tcl: Bugfix, moved updating of "show only online users"
	button to iface (thanks to Sergei Golovan)

	* muc.tcl: Added possibility for reporting of current MUC rooms on
	disco#items query, slightly changed muc::join (thanks to Sergei
	Golovan)

	* iq.tcl: Added option for iq request displaying in status line
	(thanks to Sergei Golovan)

	* iface.tcl: Most of stuff moved to ifacetk/ (thanks to Sergei
	Golovan)
	* login.tcl: Likewise

	* disco.tcl: Now possible to register nodes, added type "client"
	(thanks to Sergei Golovan)

	* default.xrdb: Moved to ifacetk/default.xrdb (thanks to Sergei
	Golovan)

	* datagathering.tcl: Added optional arguments to
	data::request_data (thanks to Sergei Golovan)

	* ckabber.tcl: Startup file for tkabber with console interface
	(thanks to Sergei Golovan)

	* chats.tcl: "chats(messages,$chatid)" and
	"chats(messagestome,$chatid)" are moved to iface (thanks to Sergei
	Golovan)

	* browser.tcl: Few cosmetic changes, added -connection option to
	browser::open, and -category and -type to for handlers (thanks to
	Sergei Golovan)
	* disco.tcl: Likewise
	* register.tcl: Updated disco and browse handlers
	* search.tcl: Likewise
	* userinfo.tcl: Likewise

2003-12-24  Alexey Shchepin  <alexey@sevcom.net>

	* msgs/pl.msg: Updated (thanks to Irek Chmielowiec)

2003-12-23  Alexey Shchepin  <alexey@sevcom.net>

	* plugins/chat/irc_commands.tcl: Plugin for IRC-like commands
	(/topic, /join, /leave) (thanks to Sergei Golovan)
	* plugins/chat/nick_command.tcl: Removed

	* jabberlib-tclxml/jabberlib.tcl: Added two helper functions
	(thanks to Sergei Golovan)

	* examples/teopetuk.xrdb: Updated (thanks to Sergei Golovan)

	* roster.tcl: Updated "roster::addline", now possible to
	darg'n'drop JIDs not only on group name, fixed bugs with
	"Undefined" and "Active Chats" groups (thanks to Sergei Golovan)

	* login.tcl: Changed usage of "loginconf" array (thanks to Sergei
	Golovan)

	* joingrdialog.tcl: Added options to "add_group_dialog" (thanks to
	Sergei Golovan)

	* iface.tcl: Some parts of tkabber.tcl moved here (thanks to
	Sergei Golovan)
	* login.tcl: Likewise
	* tkabber.tcl: Likewise

	* datagathering.tcl: Updated mousewheel bindings (thanks to Sergei
	Golovan)
	* messages.tcl: Likewise
	* plugins/general/message_archive.tcl: Likewise

	* chats.tcl: Removed usage of "loginconf", updated "open_to_user"
	(thanks to Sergei Golovan)

